// scripts/main.ts
import {
  world as world69,
  system as system68,
  Player as Player12,
  EquipmentSlot as EquipmentSlot10,
  ItemStack as ItemStack10,
  EntityComponentTypes
} from "@minecraft/server";

// scripts/Luckyblocks/luckyblock_dropluckyblocks.ts
import { world as world2, system as system2 } from "@minecraft/server";

// scripts/Luckyblocks/luckyblock.ts
import { world, system } from "@minecraft/server";
var LuckyBlock = class _LuckyBlock {
  static weight = 10;
  static debug = false;
  static DelayTrigger = 10;
  static DelayRemove = 20;
  static Hsubclassees = [];
  CheckIfValid(atEntity) {
    return true;
  }
  Trigger(atEntity) {
    if (_LuckyBlock.debug == true) {
      world.sendMessage("LuckyBlock! Weight:" + _LuckyBlock.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, _LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    this.destroyEntity(atEntity);
  }
  destroyEntity(e) {
    system.runTimeout(() => {
      if (e && e.isValid())
        e.remove();
    }, _LuckyBlock.DelayRemove);
  }
};

// scripts/Luckyblocks/luckyblock_dropluckyblocks.ts
var LuckyBlock_DropLuckyBlocks = class _LuckyBlock_DropLuckyBlocks extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world2.sendMessage("LuckyBlock_DropLuckyBlocks! Weight:" + _LuckyBlock_DropLuckyBlocks.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system2.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_dropluckyblocks\"");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawncow.ts
import { world as world3, system as system3 } from "@minecraft/server";
var LuckyBlock_SpawnCow = class _LuckyBlock_SpawnCow extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world3.sendMessage("LuckyBlock_SpawnCow! Weight:" + _LuckyBlock_SpawnCow.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system3.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:cow", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawndonkey.ts
import { world as world4, system as system4 } from "@minecraft/server";
var LuckyBlock_SpawnDonkey = class _LuckyBlock_SpawnDonkey extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world4.sendMessage("LuckyBlock_SpawnDonkey! Weight:" + _LuckyBlock_SpawnDonkey.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system4.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:donkey", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_changeday.ts
import { system as system5, world as world5 } from "@minecraft/server";

// node_modules/@minecraft/math/lib/general/clamp.js
function clampNumber(val, min, max) {
  return Math.min(Math.max(val, min), max);
}

// node_modules/@minecraft/math/lib/vector3/coreHelpers.js
var Vector3Utils = class _Vector3Utils {
  /**
   * equals
   *
   * Check the equality of two vectors
   */
  static equals(v1, v2) {
    return v1.x === v2.x && v1.y === v2.y && v1.z === v2.z;
  }
  /**
   * add
   *
   * Add two vectors to produce a new vector
   */
  static add(v1, v2) {
    return { x: v1.x + v2.x, y: v1.y + v2.y, z: v1.z + v2.z };
  }
  /**
   * subtract
   *
   * Subtract two vectors to produce a new vector (v1-v2)
   */
  static subtract(v1, v2) {
    return { x: v1.x - v2.x, y: v1.y - v2.y, z: v1.z - v2.z };
  }
  /** scale
   *
   * Multiple all entries in a vector by a single scalar value producing a new vector
   */
  static scale(v1, scale) {
    return { x: v1.x * scale, y: v1.y * scale, z: v1.z * scale };
  }
  /**
   * dot
   *
   * Calculate the dot product of two vectors
   */
  static dot(a, b) {
    return a.x * b.x + a.y * b.y + a.z * b.z;
  }
  /**
   * cross
   *
   * Calculate the cross product of two vectors. Returns a new vector.
   */
  static cross(a, b) {
    return {
      x: a.y * b.z - a.z * b.y,
      y: a.z * b.x - a.x * b.z,
      z: a.x * b.y - a.y * b.x
    };
  }
  /**
   * magnitude
   *
   * The magnitude of a vector
   */
  static magnitude(v) {
    return Math.sqrt(v.x ** 2 + v.y ** 2 + v.z ** 2);
  }
  /**
   * distance
   *
   * Calculate the distance between two vectors
   */
  static distance(a, b) {
    return _Vector3Utils.magnitude(_Vector3Utils.subtract(a, b));
  }
  /**
   * normalize
   *
   * Takes a vector 3 and normalizes it to a unit vector
   */
  static normalize(v) {
    const mag = _Vector3Utils.magnitude(v);
    return { x: v.x / mag, y: v.y / mag, z: v.z / mag };
  }
  /**
   * floor
   *
   * Floor the components of a vector to produce a new vector
   */
  static floor(v) {
    return { x: Math.floor(v.x), y: Math.floor(v.y), z: Math.floor(v.z) };
  }
  /**
   * toString
   *
   * Create a string representation of a vector3
   */
  static toString(v, options) {
    const decimals = options?.decimals ?? 2;
    const str = [v.x.toFixed(decimals), v.y.toFixed(decimals), v.z.toFixed(decimals)];
    return str.join(options?.delimiter ?? ", ");
  }
  /**
   * clamp
   *
   * Clamps the components of a vector to limits to produce a new vector
   */
  static clamp(v, limits) {
    return {
      x: clampNumber(v.x, limits?.min?.x ?? Number.MIN_SAFE_INTEGER, limits?.max?.x ?? Number.MAX_SAFE_INTEGER),
      y: clampNumber(v.y, limits?.min?.y ?? Number.MIN_SAFE_INTEGER, limits?.max?.y ?? Number.MAX_SAFE_INTEGER),
      z: clampNumber(v.z, limits?.min?.z ?? Number.MIN_SAFE_INTEGER, limits?.max?.z ?? Number.MAX_SAFE_INTEGER)
    };
  }
  /**
   * lerp
   *
   * Constructs a new vector using linear interpolation on each component from two vectors.
   */
  static lerp(a, b, t) {
    return {
      x: a.x + (b.x - a.x) * t,
      y: a.y + (b.y - a.y) * t,
      z: a.z + (b.z - a.z) * t
    };
  }
  /**
   * slerp
   *
   * Constructs a new vector using spherical linear interpolation on each component from two vectors.
   */
  static slerp(a, b, t) {
    const theta = Math.acos(_Vector3Utils.dot(a, b));
    const sinTheta = Math.sin(theta);
    const ta = Math.sin((1 - t) * theta) / sinTheta;
    const tb = Math.sin(t * theta) / sinTheta;
    return _Vector3Utils.add(_Vector3Utils.scale(a, ta), _Vector3Utils.scale(b, tb));
  }
};
var VECTOR3_UP = { x: 0, y: 1, z: 0 };

// scripts/utilities.ts
import {
  Player
} from "@minecraft/server";
var Utilities = class {
  static distance(entity1, entity2) {
    const dx = entity1.location.x - entity2.location.x;
    const dy = entity1.location.y - entity2.location.y;
    const dz = entity1.location.z - entity2.location.z;
    return Math.sqrt(dx * dx + dy * dy + dz * dz);
  }
  static GetClosestPlayer(atEntity, inRange) {
    if (!atEntity.isValid()) {
      return void 0;
    }
    const query = {
      location: atEntity.location,
      maxDistance: inRange,
      closest: 1
    };
    let players = atEntity.dimension.getPlayers(query);
    return players[0];
  }
  static GetAllEntitiesInRange(atEntity, inRange, exclude, families) {
    if (!atEntity.isValid()) {
      return [];
    }
    const query = {
      families,
      location: atEntity.location,
      maxDistance: inRange
    };
    let entities = atEntity.dimension.getEntities(query);
    if (exclude) {
      entities.filter((e) => !exclude.some((o) => o == e));
    }
    return entities;
  }
  static CheckIfBlocksAboveEntityIsOnlyAir(entity, maxY) {
    const options = {
      includeLiquidBlocks: true,
      includePassableBlocks: true,
      maxDistance: maxY
    };
    let blockHit = entity.dimension.getBlockFromRay(entity.location, VECTOR3_UP, options);
    return blockHit === void 0;
  }
  static DisplayTitleAtClosestPlayers(atEntity, langKey, inRange = 5, playerCount = 1, options) {
    if (!atEntity.isValid()) {
      return;
    }
    const query = {
      location: atEntity.location,
      maxDistance: inRange,
      closest: playerCount
    };
    let players = atEntity.dimension.getPlayers(query);
    players.forEach((player) => {
      player.onScreenDisplay.setTitle({ translate: langKey }, options);
    });
  }
  static IsPlayer(entity) {
    return entity instanceof Player;
  }
  // min and max included
  static RandomIntInRange(min, max) {
    return Math.floor(Math.random() * (max - min + 1) + min);
  }
  static RandomFloatInRange(min, max) {
    return Math.round((Math.random() * (max - min + 0.1) + min + Number.EPSILON) * 100) / 100;
  }
  /**
   * @remarks
   * Returns true if difficulty is Peaceful.
   *
   */
  /*static IsPeaceful(atEntity: Entity): boolean {
    try {
      const testEntity: Entity = atEntity.dimension.spawnEntity(MinecraftEntityTypes.Skeleton, atEntity.location);
      testEntity.remove();
      return false;
    } catch (error) {
      return true;
    }
  }*/
};

// scripts/Luckyblocks/luckyblock_changeday.ts
var LuckyBlock_ChangeDay = class _LuckyBlock_ChangeDay extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world5.sendMessage("LuckyBlock_ChangeDay! Weight:" + _LuckyBlock_ChangeDay.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system5.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("function HoH/luc/events/day");
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:daytime");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_bees.ts
import { system as system6, world as world6 } from "@minecraft/server";
var LuckyBlock_SpawnBee = class _LuckyBlock_SpawnBee extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world6.sendMessage("LuckyBlock_SpawnBee! Weight:" + _LuckyBlock_SpawnBee.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system6.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:bee", hitPosition);
    atEntity.dimension.spawnEntity("minecraft:bee", hitPosition);
    atEntity.dimension.spawnEntity("minecraft:bee", hitPosition);
    atEntity.dimension.spawnEntity("minecraft:bee", hitPosition);
    atEntity.dimension.spawnEntity("minecraft:bee", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_happybirthday.ts
import { world as world7, system as system7 } from "@minecraft/server";
var LuckyBlock_HappyBirthDay = class _LuckyBlock_HappyBirthDay extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world7.sendMessage("LuckyBlock_HappyBirthDay! Weight:" + _LuckyBlock_HappyBirthDay.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system7.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("setblock ~~~ cake keep ");
    atEntity.runCommand("playsound hoh_luc:happybirthdaysong @a[r=5] ~~~ 1");
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:happybirthday");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_changeweatherthunder.ts
import { system as system8, world as world8 } from "@minecraft/server";
var LuckyBlock_ChangeWeatherThunder = class _LuckyBlock_ChangeWeatherThunder extends LuckyBlock {
  static weight = 5;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world8.sendMessage("LuckyBlock_ChangeWeatherThunder! Weight:" + _LuckyBlock_ChangeWeatherThunder.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system8.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("function HoH/luc/events/thunderstorm");
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:thunderstorm");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnchicken.ts
import { world as world9, system as system9 } from "@minecraft/server";
var LuckyBlock_SpawnChicken = class _LuckyBlock_SpawnChicken extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world9.sendMessage("LuckyBlock_SpawnChicken! Weight:" + _LuckyBlock_SpawnChicken.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system9.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:chicken", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnrabbit.ts
import { world as world10, system as system10 } from "@minecraft/server";
var LuckyBlock_SpawnRabbit = class _LuckyBlock_SpawnRabbit extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world10.sendMessage("LuckyBlock_SpawnRabbit! Weight:" + _LuckyBlock_SpawnRabbit.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system10.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:rabbit", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawncreeper.ts
import { world as world11, system as system11 } from "@minecraft/server";
var LuckyBlock_SpawnCreeper = class _LuckyBlock_SpawnCreeper extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world11.sendMessage("LuckyBlock_SpawnCreeper! Weight:" + _LuckyBlock_SpawnCreeper.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system11.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    try {
      atEntity.dimension.spawnEntity("minecraft:creeper", hitPosition);
    } catch (e) {
      try {
        atEntity.dimension.spawnEntity("hoh_luc:party_pig", hitPosition);
      } catch (error) {
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnskeletonArmy.ts
import { world as world12, system as system12 } from "@minecraft/server";
var LuckyBlock_SpawnSkeletonArmy = class _LuckyBlock_SpawnSkeletonArmy extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world12.sendMessage("LuckyBlock_SpawnSkeletonArmy! Weight:" + _LuckyBlock_SpawnSkeletonArmy.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system12.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const hitPosition = atEntity.location;
    const spawnRadius = 5;
    for (let i = 0; i < 6; i++) {
      const angle = i / 6 * 2 * Math.PI;
      const xOffset = spawnRadius * Math.cos(angle);
      const zOffset = spawnRadius * Math.sin(angle);
      const spawnLocation = { x: xOffset + hitPosition.x, y: 0 + hitPosition.y, z: zOffset + hitPosition.z };
      spawnLocation.x = Math.floor(spawnLocation.x) + 0.5;
      spawnLocation.y = Math.round(spawnLocation.y);
      spawnLocation.z = Math.floor(spawnLocation.z) + 0.5;
      try {
        atEntity.dimension.spawnEntity("minecraft:skeleton", spawnLocation);
      } catch (e) {
        try {
          atEntity.dimension.spawnEntity("minecraft:wolf", hitPosition);
        } catch (error) {
        }
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_launchplayerup.ts
import { world as world13, system as system13 } from "@minecraft/server";
var LuckyBlock_LaunchPlayerUp = class _LuckyBlock_LaunchPlayerUp extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world13.sendMessage("LuckyBlock_LaunchPlayerUp! Weight:" + _LuckyBlock_LaunchPlayerUp.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system13.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    if (targetPlayer) {
      Utilities.DisplayTitleAtClosestPlayers(targetPlayer, "title.hoh_luc:launchplayerup");
      try {
        for (let x = 0; x < 200; x++) {
          system13.runTimeout(() => {
            targetPlayer?.runCommand("particle minecraft:explosion_manual ~~~");
          }, x);
        }
        system13.runTimeout(() => {
          targetPlayer?.runCommand("particle minecraft:large_explosion ~~~");
          targetPlayer?.applyKnockback(0, 0, 0, 5);
          targetPlayer?.runCommand("playsound random.explode @a  ~~~ 1");
          targetPlayer?.runCommand("title @s clear");
        }, 200);
        system13.runTimeout(() => {
          Utilities.DisplayTitleAtClosestPlayers(targetPlayer, "title.hoh_luc:launchplayerup_countdown_1", 10);
        }, 180);
        system13.runTimeout(() => {
          Utilities.DisplayTitleAtClosestPlayers(targetPlayer, "title.hoh_luc:launchplayerup_countdown_2", 10);
        }, 160);
        system13.runTimeout(() => {
          Utilities.DisplayTitleAtClosestPlayers(targetPlayer, "title.hoh_luc:launchplayerup_countdown_3", 10);
        }, 140);
      } catch (error) {
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_gravityshift.ts
import { world as world14, system as system14 } from "@minecraft/server";
var LuckyBlock_GravityShift = class _LuckyBlock_GravityShift extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world14.sendMessage("LuckyBlock_GravityShift! Weight:" + _LuckyBlock_GravityShift.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system14.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:gravityshift", 30, 10, {
      stayDuration: 100,
      fadeInDuration: 2,
      fadeOutDuration: 4
    });
    const entitites = Utilities.GetAllEntitiesInRange(atEntity, 30);
    entitites.forEach((entity) => {
      entity.addEffect("levitation", 200, { amplifier: 1, showParticles: false });
    });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectpower.ts
import { world as world15, system as system15 } from "@minecraft/server";
var LuckyBlock_GiveEffectPower = class _LuckyBlock_GiveEffectPower extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world15.sendMessage("LuckyBlock_GiveEffectPower! Weight:" + _LuckyBlock_GiveEffectPower.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system15.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    if (targetPlayer) {
      Utilities.DisplayTitleAtClosestPlayers(targetPlayer, "title.hoh_luc:giveeffectpower", 5, 1, {
        stayDuration: 100,
        fadeInDuration: 2,
        fadeOutDuration: 4,
        subtitle: { translate: "subtitle.hoh_luc:giveeffectpower" }
      });
      targetPlayer.addEffect("strength", 1200, { amplifier: 4, showParticles: true });
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectnausea.ts
import { world as world16, system as system16 } from "@minecraft/server";
var LuckyBlock_GiveEffectNausea = class _LuckyBlock_GiveEffectNausea extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world16.sendMessage("LuckyBlock_GiveEffectNausea! Weight:" + _LuckyBlock_GiveEffectNausea.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system16.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    if (targetPlayer) {
      Utilities.DisplayTitleAtClosestPlayers(targetPlayer, "title.hoh_luc:giveeffectnausea", 5, 1, {
        stayDuration: 100,
        fadeInDuration: 2,
        fadeOutDuration: 4,
        subtitle: { translate: "subtitle.hoh_luc:giveeffectnausea" }
      });
    }
    targetPlayer?.addEffect("nausea", 200, { amplifier: 1, showParticles: true });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnwolf.ts
import { world as world17, system as system17 } from "@minecraft/server";
var LuckyBlock_SpawnWolf = class _LuckyBlock_SpawnWolf extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world17.sendMessage("LuckyBlock_SpawnWolf! Weight:" + _LuckyBlock_SpawnWolf.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system17.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:wolf", hitPosition);
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_dropbones\"");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectminingpower.ts
import { world as world18, system as system18 } from "@minecraft/server";
var LuckyBlock_GiveEffectMiningPower = class _LuckyBlock_GiveEffectMiningPower extends LuckyBlock {
  static weight = 5;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world18.sendMessage("LuckyBlock_GiveEffectMiningPower! Weight:" + _LuckyBlock_GiveEffectMiningPower.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system18.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:giveeffectminingpower", 10);
    targetPlayer?.addEffect("haste", 1200, { amplifier: 2, showParticles: true });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_changeweatherclear.ts
import { system as system19, world as world19 } from "@minecraft/server";
var LuckyBlock_ChangeWeatherClear = class _LuckyBlock_ChangeWeatherClear extends LuckyBlock {
  static weight = 5;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world19.sendMessage("LuckyBlock_ChangeWeatherClear! Weight:" + _LuckyBlock_ChangeWeatherClear.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system19.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("function HoH/luc/events/clearday");
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:clearday");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectspeed.ts
import { world as world20, system as system20 } from "@minecraft/server";
var LuckyBlock_GiveEffectSpeed = class _LuckyBlock_GiveEffectSpeed extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world20.sendMessage("LuckyBlock_GiveEffectSpeed! Weight:" + _LuckyBlock_GiveEffectSpeed.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system20.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    if (targetPlayer) {
      Utilities.DisplayTitleAtClosestPlayers(targetPlayer, "title.hoh_luc:giveeffectspeed", 5, 1, {
        stayDuration: 100,
        fadeInDuration: 2,
        fadeOutDuration: 4,
        subtitle: { translate: "subtitle.hoh_luc:giveeffectspeed" }
      });
      targetPlayer.addEffect("speed", 1200, { amplifier: 10, showParticles: true });
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveplayersuperknockbackstick.ts
import {
  world as world21,
  system as system21,
  Player as Player2,
  EquipmentSlot
} from "@minecraft/server";
var Luckyblock_GivePlayerSuperKnockbackStick = class _Luckyblock_GivePlayerSuperKnockbackStick extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world21.sendMessage(
        "Luckyblock_GivePlayerSuperKnockbackStick! Weight:" + _Luckyblock_GivePlayerSuperKnockbackStick.weight
      );
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system21.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_dropknockbackstick\"");
    this.destroyEntity(atEntity);
  }
};
function knockbackStickEntityHitEntity(e) {
  if (!(e.damagingEntity instanceof Player2)) {
    return;
  }
  const equipmentCompPlayer = e.damagingEntity.getComponent("minecraft:equippable");
  if (equipmentCompPlayer) {
    let itemStack = equipmentCompPlayer.getEquipment(EquipmentSlot.Mainhand);
    if (itemStack) {
      if (itemStack.typeId == "hoh_luc:knockback_stick") {
        const direction = e.damagingEntity.getRotation();
        const dirpitch = direction.x;
        const diryaw = direction.y;
        const knockbackDirection = pitchYawToDirection(dirpitch, diryaw);
        try {
          e.hitEntity.applyKnockback(knockbackDirection.x, knockbackDirection.z, 9, 0.8);
        } catch (error) {
        }
      }
    }
  }
  function pitchYawToDirection(pitch, yaw) {
    const pitchRadians = pitch * (Math.PI / 180);
    const yawRadians = yaw * (Math.PI / 180);
    const directionX = -Math.sin(yawRadians) * Math.cos(pitchRadians);
    const directionY = -Math.sin(pitchRadians);
    const directionZ = Math.cos(yawRadians) * Math.cos(pitchRadians);
    return { x: directionX, y: directionY, z: directionZ };
  }
}
world21.afterEvents.entityHitEntity.subscribe(knockbackStickEntityHitEntity);

// scripts/Luckyblocks/luckyblock_giveeffectnightvision.ts
import { world as world22, system as system22 } from "@minecraft/server";
var LuckyBlock_GiveEffectNightVision = class _LuckyBlock_GiveEffectNightVision extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world22.sendMessage("LuckyBlock_GiveEffectNightVision! Weight:" + _LuckyBlock_GiveEffectNightVision.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system22.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:giveeffectnightvision", 10);
    targetPlayer?.addEffect("night_vision", 1200, { amplifier: 1, showParticles: true });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnhorse.ts
import { world as world23, system as system23 } from "@minecraft/server";
var LuckyBlock_SpawnHorse = class _LuckyBlock_SpawnHorse extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world23.sendMessage("LuckyBlock_SpawnHorse! Weight:" + _LuckyBlock_SpawnHorse.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system23.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:horse", hitPosition);
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_dropsaddle\"");
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_dropapple\"");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectblindness.ts
import { world as world24, system as system24 } from "@minecraft/server";
var LuckyBlock_GiveEffectBlindness = class _LuckyBlock_GiveEffectBlindness extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world24.sendMessage("LuckyBlock_GiveEffectBlindness! Weight:" + _LuckyBlock_GiveEffectBlindness.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system24.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:giveeffectblindness", 10);
    targetPlayer?.addEffect("darkness", 200, { amplifier: 5, showParticles: true });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnskeletonhorse.ts
import { world as world25, system as system25 } from "@minecraft/server";
var LuckyBlock_SpawnSkeletonHorse = class _LuckyBlock_SpawnSkeletonHorse extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world25.sendMessage("LuckyBlock_SpawnSkeletonHorse! Weight:" + _LuckyBlock_SpawnSkeletonHorse.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system25.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:skeleton_horse", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_drophotpotato.ts
import { world as world26, Player as Player3, system as system26, EquipmentSlot as EquipmentSlot2 } from "@minecraft/server";
var LuckyBlock_DropHotPotato = class _LuckyBlock_DropHotPotato extends LuckyBlock {
  static weight = 10;
  static LoopActive = false;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world26.sendMessage("LuckyBlock_DropHotPotato! Weight:" + _LuckyBlock_DropHotPotato.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system26.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_drophotpotato\"");
    this.destroyEntity(atEntity);
  }
};
function checkIfAPlayerIsHoldingPotato() {
  try {
    for (const player of world26.getAllPlayers()) {
      if (player instanceof Player3) {
        const equipmentCompPlayer = player.getComponent("minecraft:equippable");
        if (equipmentCompPlayer) {
          let itemStack = equipmentCompPlayer.getEquipment(EquipmentSlot2.Mainhand);
          if (itemStack) {
            if (itemStack.typeId == "hoh_luc:hot_potato") {
              player.applyDamage(1);
            }
          }
        }
      }
    }
  } catch (error) {
  }
  system26.runTimeout(() => {
    system26.run(checkIfAPlayerIsHoldingPotato);
  }, 10);
}
system26.run(checkIfAPlayerIsHoldingPotato);

// scripts/Luckyblocks/luckyblock_specialcookie.ts
import { world as world27, system as system27 } from "@minecraft/server";
var LuckyBlock_SpecialCookie = class _LuckyBlock_SpecialCookie extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world27.sendMessage("LuckyBlock_SpecialCookie! Weight:" + _LuckyBlock_SpecialCookie.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system27.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_dropspecialcookie\"");
    this.destroyEntity(atEntity);
  }
};
function cookieEaten(arg) {
  if (arg.itemStack.typeId == "hoh_luc:specialcookie") {
    for (let i = 0; i < 10; i++) {
      system27.runTimeout(() => {
        RandomTeleport(arg);
      }, i * 20);
    }
  }
}
function RandomTeleport(arg) {
  for (let index = 0; index < 30; index++) {
    const x = Utilities.RandomIntInRange(-32, 32) + arg.source.location.x;
    const y = Utilities.RandomIntInRange(-6, 6) + arg.source.location.y;
    const z = Utilities.RandomIntInRange(-32, 32) + arg.source.location.z;
    const pos = { x, y: Math.min(Math.max(y, -63), 319), z };
    if (arg.source.dimension.getBlock(pos)?.isAir == true) {
      try {
        arg.source.runCommand("playsound mob.endermen.portal @a ~~~");
        arg.source.runCommand("particle minecraft:mob_portal ~~~");
        arg.source.runCommand("particle minecraft:mob_portal ~~~");
        arg.source.runCommand("particle minecraft:mob_portal ~~~");
        arg.source.runCommand("particle minecraft:mob_portal ~~~");
        arg.source.runCommand("particle minecraft:mob_portal ~~~");
        arg.source.teleport(pos, {
          checkForBlocks: true
        });
        system27.runTimeout(() => {
          arg.source.runCommand("playsound mob.endermen.portal @a " + x + " " + y + " " + z);
          arg.source.runCommand("particle minecraft:mob_portal " + x + " " + y + " " + z);
          arg.source.runCommand("particle minecraft:mob_portal " + x + " " + y + " " + z);
          arg.source.runCommand("particle minecraft:mob_portal " + x + " " + y + " " + z);
          arg.source.runCommand("particle minecraft:mob_portal " + x + " " + y + " " + z);
          arg.source.runCommand("particle minecraft:mob_portal " + x + " " + y + " " + z);
        }, 1);
      } catch (error) {
      }
    }
  }
}
world27.afterEvents.itemCompleteUse.subscribe(cookieEaten);

// scripts/Luckyblocks/luckyblock_spawnslime.ts
import { world as world28, system as system28 } from "@minecraft/server";
var LuckyBlock_SpawnSlime = class _LuckyBlock_SpawnSlime extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world28.sendMessage("LuckyBlock_SpawnSlime! Weight:" + _LuckyBlock_SpawnSlime.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system28.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    try {
      atEntity.dimension.spawnEntity("minecraft:slime", hitPosition);
    } catch (e) {
      try {
        atEntity.dimension.spawnEntity("hoh_luc:dinosaur", hitPosition);
      } catch (error) {
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectfireresist.ts
import { world as world29, system as system29 } from "@minecraft/server";
var LuckyBlock_GiveEffectFireResist = class _LuckyBlock_GiveEffectFireResist extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world29.sendMessage("LuckyBlock_GiveEffectFireResist! Weight:" + _LuckyBlock_GiveEffectFireResist.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system29.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:giveeffectfireresist");
    targetPlayer?.addEffect("fire_resistance", 1200, { amplifier: 4, showParticles: true });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectjumpboost.ts
import { world as world30, system as system30 } from "@minecraft/server";
var LuckyBlock_GiveEffectJumpBoost = class _LuckyBlock_GiveEffectJumpBoost extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world30.sendMessage("LuckyBlock_GiveEffectJumpBoost! Weight:" + _LuckyBlock_GiveEffectJumpBoost.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system30.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:giveffectjumpboost", 10);
    targetPlayer?.addEffect("jump_boost", 1200, { amplifier: 4, showParticles: true });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_giveeffectabsorption.ts
import { world as world31, system as system31 } from "@minecraft/server";
var LuckyBlock_GiveEffectAbsorption = class _LuckyBlock_GiveEffectAbsorption extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world31.sendMessage("LuckyBlock_GiveEffectAbsorption! Weight:" + _LuckyBlock_GiveEffectAbsorption.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system31.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:giveeffectabsorption", 10);
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    targetPlayer?.addEffect("absorption", 1200, { amplifier: 5, showParticles: true });
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnboat.ts
import { world as world32, system as system32 } from "@minecraft/server";
var LuckyBlock_SpawnBoat = class _LuckyBlock_SpawnBoat extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world32.sendMessage("LuckyBlock_SpawnBoat! Weight:" + _LuckyBlock_SpawnBoat.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system32.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:boat", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnghast.ts
import { world as world33, system as system33 } from "@minecraft/server";
var LuckyBlock_SpawnGhast = class _LuckyBlock_SpawnGhast extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world33.sendMessage("LuckyBlock_SpawnGhast! Weight:" + _LuckyBlock_SpawnGhast.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system33.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    try {
      atEntity.dimension.spawnEntity("minecraft:ghast", hitPosition);
    } catch (e) {
      try {
        atEntity.dimension.spawnEntity("hoh_luc:party_pig", hitPosition);
      } catch (error) {
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_givecustomeffectwitheraura.ts
import { world as world34, system as system34 } from "@minecraft/server";
var LuckyBlock_GiveCustomEffectWitherAura = class _LuckyBlock_GiveCustomEffectWitherAura extends LuckyBlock {
  static weight = 2;
  static AuraActiveTime = 2e3;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world34.sendMessage(
        "LuckyBlock_GiveCustomEffectWitherAura! Weight:" + _LuckyBlock_GiveCustomEffectWitherAura.weight
      );
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system34.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    if (targetPlayer && !targetPlayer.hasTag("hoh_luc:WitherAura")) {
      Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:givecustomeffectwithaura", 6, 10, {
        stayDuration: 100,
        fadeInDuration: 2,
        fadeOutDuration: 4,
        subtitle: { translate: "subtitle.hoh_luc:givecustomeffectwithaura" }
      });
      this.ActivateWitherAura(targetPlayer);
    }
    this.destroyEntity(atEntity);
  }
  ActivateWitherAura(atEntity) {
    let time = 0;
    atEntity.addTag("hoh_luc:WitherAura");
    let Interval = system34.runInterval(() => {
      atEntity.runCommand("particle hoh_luc:witherauraparticle ~~~");
      time += 1;
      let modulus = time % 40;
      if (modulus == 0) {
        const query = {
          families: ["monster"],
          location: atEntity.location,
          maxDistance: 7
        };
        let entities = atEntity.dimension.getEntities(query);
        entities.forEach((entity) => {
          if (entity.applyDamage(2)) {
            atEntity.addEffect("regeneration", entities.length * 40, {
              amplifier: 1
            });
          }
        });
      }
      if (time >= _LuckyBlock_GiveCustomEffectWitherAura.AuraActiveTime || !atEntity.isValid()) {
        system34.clearRun(Interval);
        atEntity.removeTag("hoh_luc:WitherAura");
      }
    }, 1);
  }
};
function PlayerSpawned(arg) {
  if (arg.player.hasTag("hoh_luc:WitherAura")) {
    arg.player.removeTag("hoh_luc:WitherAura");
  }
}
world34.afterEvents.playerSpawn.subscribe(PlayerSpawned);

// scripts/Luckyblocks/luckyblock_givecustomeffectSpin.ts
import { world as world35, system as system35 } from "@minecraft/server";
var LuckyBlock_GiveCustomEffectSpin = class _LuckyBlock_GiveCustomEffectSpin extends LuckyBlock {
  static weight = 5;
  static AuraActiveTime = 60;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world35.sendMessage("LuckyBlock_GiveCustomEffectSpin! Weight:" + _LuckyBlock_GiveCustomEffectSpin.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system35.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    if (targetPlayer) {
      Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:givecustomeffectSpin", 6);
      this.ActivateWitherAura(targetPlayer);
    }
    this.destroyEntity(atEntity);
  }
  ActivateWitherAura(atEntity) {
    let time = 0;
    let Interval = system35.runInterval(() => {
      time += 1;
      let location = { x: atEntity.location.x, y: atEntity.location.y + time * 1e-3, z: atEntity.location.z };
      atEntity.teleport(location, { rotation: { x: 0, y: time * 45 } });
      if (time >= _LuckyBlock_GiveCustomEffectSpin.AuraActiveTime || !atEntity.isValid()) {
        system35.clearRun(Interval);
      }
    }, 1);
  }
};

// scripts/Luckyblocks/luckyblock_givecustomeffectknockbackaura.ts
import { world as world36, system as system36 } from "@minecraft/server";
var LuckyBlock_GiveCustomEffectKnockbackAura = class _LuckyBlock_GiveCustomEffectKnockbackAura extends LuckyBlock {
  static weight = 5;
  static AuraActiveTime = 2e3;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world36.sendMessage(
        "LuckyBlock_GiveCustomEffectKnockbackAura! Weight:" + _LuckyBlock_GiveCustomEffectKnockbackAura.weight
      );
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system36.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const targetPlayer = Utilities.GetClosestPlayer(atEntity, 10);
    if (targetPlayer && !targetPlayer.hasTag("hoh_luc:ProtectionAura")) {
      targetPlayer.onScreenDisplay.setTitle(
        { translate: "title.hoh_luc:givecustomeffectknockbackaura" },
        {
          stayDuration: 100,
          fadeInDuration: 2,
          fadeOutDuration: 4
        }
      );
      this.ActivateProtectionAura(targetPlayer);
    }
    this.destroyEntity(atEntity);
  }
  ActivateProtectionAura(atEntity) {
    let time = 0;
    atEntity.addTag("hoh_luc:ProtectionAura");
    let Interval = system36.runInterval(() => {
      atEntity.runCommand("particle hoh_luc:protectionauraparticle ~~~");
      time += 1;
      const modulus = time % 10;
      if (modulus == 0) {
        let entities = Utilities.GetAllEntitiesInRange(atEntity, 7, [atEntity]);
        entities.forEach((entity) => {
          if (entity.isValid()) {
            const diffX = atEntity.location.x - entity.location.x;
            const diffY = atEntity.location.y - entity.location.y;
            const diffZ = atEntity.location.z - entity.location.z;
            const distance = Math.sqrt(diffX * diffX + diffY * diffY + diffZ * diffZ);
            const directionX = diffX / distance;
            const directionY = diffY / distance;
            const directionZ = diffZ / distance;
            try {
              entity.applyKnockback(-directionX, -directionZ, 1, 0.2);
            } catch (error) {
            }
          }
        });
      }
      if (time >= _LuckyBlock_GiveCustomEffectKnockbackAura.AuraActiveTime || !atEntity.isValid()) {
        system36.clearRun(Interval);
        atEntity.removeTag("hoh_luc:ProtectionAura");
      }
    }, 1);
  }
};
function PlayerSpawned2(arg) {
  if (arg.player.hasTag("hoh_luc:ProtectionAura")) {
    arg.player.removeTag("hoh_luc:ProtectionAura");
  }
}
world36.afterEvents.playerSpawn.subscribe(PlayerSpawned2);

// scripts/Luckyblocks/luckyblock_spawnpartypig.ts
import { world as world37, system as system37 } from "@minecraft/server";
var LuckyBlock_SpawnPartyPig = class _LuckyBlock_SpawnPartyPig extends LuckyBlock {
  static weight = 2;
  static PartyActiveTime = 2e3;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world37.sendMessage("LuckyBlock_SpawnRabbit! Weight:" + _LuckyBlock_SpawnPartyPig.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system37.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    let pp = atEntity.dimension.spawnEntity("hoh_luc:party_pig", hitPosition);
    this.Party(pp);
    this.destroyEntity(atEntity);
  }
  Party(atEntity) {
    let time = 0;
    atEntity.runCommand("setblock ~ ~ ~ cake keep ");
    let Interval = system37.runInterval(() => {
      time += 1;
      if (atEntity.isValid()) {
        if (time % 40 === 0) {
          atEntity.runCommand("summon xp_bottle ~ ~5 ~");
          atEntity.runCommand("summon fireworks_rocket ~ ~ ~");
        }
      }
    }, 1);
    if (time >= _LuckyBlock_SpawnPartyPig.PartyActiveTime) {
      system37.clearRun(Interval);
      atEntity.remove();
    }
  }
};

// scripts/Luckyblocks/luckyblock_fishrain.ts
import { system as system38, world as world38 } from "@minecraft/server";

// node_modules/@minecraft/vanilla-data/lib/index.js
var MinecraftBiomeTypes = ((MinecraftBiomeTypes2) => {
  MinecraftBiomeTypes2["BambooJungle"] = "minecraft:bamboo_jungle";
  MinecraftBiomeTypes2["BambooJungleHills"] = "minecraft:bamboo_jungle_hills";
  MinecraftBiomeTypes2["BasaltDeltas"] = "minecraft:basalt_deltas";
  MinecraftBiomeTypes2["Beach"] = "minecraft:beach";
  MinecraftBiomeTypes2["BirchForest"] = "minecraft:birch_forest";
  MinecraftBiomeTypes2["BirchForestHills"] = "minecraft:birch_forest_hills";
  MinecraftBiomeTypes2["BirchForestHillsMutated"] = "minecraft:birch_forest_hills_mutated";
  MinecraftBiomeTypes2["BirchForestMutated"] = "minecraft:birch_forest_mutated";
  MinecraftBiomeTypes2["CherryGrove"] = "minecraft:cherry_grove";
  MinecraftBiomeTypes2["ColdBeach"] = "minecraft:cold_beach";
  MinecraftBiomeTypes2["ColdOcean"] = "minecraft:cold_ocean";
  MinecraftBiomeTypes2["ColdTaiga"] = "minecraft:cold_taiga";
  MinecraftBiomeTypes2["ColdTaigaHills"] = "minecraft:cold_taiga_hills";
  MinecraftBiomeTypes2["ColdTaigaMutated"] = "minecraft:cold_taiga_mutated";
  MinecraftBiomeTypes2["CrimsonForest"] = "minecraft:crimson_forest";
  MinecraftBiomeTypes2["DeepColdOcean"] = "minecraft:deep_cold_ocean";
  MinecraftBiomeTypes2["DeepDark"] = "minecraft:deep_dark";
  MinecraftBiomeTypes2["DeepFrozenOcean"] = "minecraft:deep_frozen_ocean";
  MinecraftBiomeTypes2["DeepLukewarmOcean"] = "minecraft:deep_lukewarm_ocean";
  MinecraftBiomeTypes2["DeepOcean"] = "minecraft:deep_ocean";
  MinecraftBiomeTypes2["DeepWarmOcean"] = "minecraft:deep_warm_ocean";
  MinecraftBiomeTypes2["Desert"] = "minecraft:desert";
  MinecraftBiomeTypes2["DesertHills"] = "minecraft:desert_hills";
  MinecraftBiomeTypes2["DesertMutated"] = "minecraft:desert_mutated";
  MinecraftBiomeTypes2["DripstoneCaves"] = "minecraft:dripstone_caves";
  MinecraftBiomeTypes2["ExtremeHills"] = "minecraft:extreme_hills";
  MinecraftBiomeTypes2["ExtremeHillsEdge"] = "minecraft:extreme_hills_edge";
  MinecraftBiomeTypes2["ExtremeHillsMutated"] = "minecraft:extreme_hills_mutated";
  MinecraftBiomeTypes2["ExtremeHillsPlusTrees"] = "minecraft:extreme_hills_plus_trees";
  MinecraftBiomeTypes2["ExtremeHillsPlusTreesMutated"] = "minecraft:extreme_hills_plus_trees_mutated";
  MinecraftBiomeTypes2["FlowerForest"] = "minecraft:flower_forest";
  MinecraftBiomeTypes2["Forest"] = "minecraft:forest";
  MinecraftBiomeTypes2["ForestHills"] = "minecraft:forest_hills";
  MinecraftBiomeTypes2["FrozenOcean"] = "minecraft:frozen_ocean";
  MinecraftBiomeTypes2["FrozenPeaks"] = "minecraft:frozen_peaks";
  MinecraftBiomeTypes2["FrozenRiver"] = "minecraft:frozen_river";
  MinecraftBiomeTypes2["Grove"] = "minecraft:grove";
  MinecraftBiomeTypes2["Hell"] = "minecraft:hell";
  MinecraftBiomeTypes2["IceMountains"] = "minecraft:ice_mountains";
  MinecraftBiomeTypes2["IcePlains"] = "minecraft:ice_plains";
  MinecraftBiomeTypes2["IcePlainsSpikes"] = "minecraft:ice_plains_spikes";
  MinecraftBiomeTypes2["JaggedPeaks"] = "minecraft:jagged_peaks";
  MinecraftBiomeTypes2["Jungle"] = "minecraft:jungle";
  MinecraftBiomeTypes2["JungleEdge"] = "minecraft:jungle_edge";
  MinecraftBiomeTypes2["JungleEdgeMutated"] = "minecraft:jungle_edge_mutated";
  MinecraftBiomeTypes2["JungleHills"] = "minecraft:jungle_hills";
  MinecraftBiomeTypes2["JungleMutated"] = "minecraft:jungle_mutated";
  MinecraftBiomeTypes2["LegacyFrozenOcean"] = "minecraft:legacy_frozen_ocean";
  MinecraftBiomeTypes2["LukewarmOcean"] = "minecraft:lukewarm_ocean";
  MinecraftBiomeTypes2["LushCaves"] = "minecraft:lush_caves";
  MinecraftBiomeTypes2["MangroveSwamp"] = "minecraft:mangrove_swamp";
  MinecraftBiomeTypes2["Meadow"] = "minecraft:meadow";
  MinecraftBiomeTypes2["MegaTaiga"] = "minecraft:mega_taiga";
  MinecraftBiomeTypes2["MegaTaigaHills"] = "minecraft:mega_taiga_hills";
  MinecraftBiomeTypes2["Mesa"] = "minecraft:mesa";
  MinecraftBiomeTypes2["MesaBryce"] = "minecraft:mesa_bryce";
  MinecraftBiomeTypes2["MesaPlateau"] = "minecraft:mesa_plateau";
  MinecraftBiomeTypes2["MesaPlateauMutated"] = "minecraft:mesa_plateau_mutated";
  MinecraftBiomeTypes2["MesaPlateauStone"] = "minecraft:mesa_plateau_stone";
  MinecraftBiomeTypes2["MesaPlateauStoneMutated"] = "minecraft:mesa_plateau_stone_mutated";
  MinecraftBiomeTypes2["MushroomIsland"] = "minecraft:mushroom_island";
  MinecraftBiomeTypes2["MushroomIslandShore"] = "minecraft:mushroom_island_shore";
  MinecraftBiomeTypes2["Ocean"] = "minecraft:ocean";
  MinecraftBiomeTypes2["Plains"] = "minecraft:plains";
  MinecraftBiomeTypes2["RedwoodTaigaHillsMutated"] = "minecraft:redwood_taiga_hills_mutated";
  MinecraftBiomeTypes2["RedwoodTaigaMutated"] = "minecraft:redwood_taiga_mutated";
  MinecraftBiomeTypes2["River"] = "minecraft:river";
  MinecraftBiomeTypes2["RoofedForest"] = "minecraft:roofed_forest";
  MinecraftBiomeTypes2["RoofedForestMutated"] = "minecraft:roofed_forest_mutated";
  MinecraftBiomeTypes2["Savanna"] = "minecraft:savanna";
  MinecraftBiomeTypes2["SavannaMutated"] = "minecraft:savanna_mutated";
  MinecraftBiomeTypes2["SavannaPlateau"] = "minecraft:savanna_plateau";
  MinecraftBiomeTypes2["SavannaPlateauMutated"] = "minecraft:savanna_plateau_mutated";
  MinecraftBiomeTypes2["SnowySlopes"] = "minecraft:snowy_slopes";
  MinecraftBiomeTypes2["SoulsandValley"] = "minecraft:soulsand_valley";
  MinecraftBiomeTypes2["StoneBeach"] = "minecraft:stone_beach";
  MinecraftBiomeTypes2["StonyPeaks"] = "minecraft:stony_peaks";
  MinecraftBiomeTypes2["SunflowerPlains"] = "minecraft:sunflower_plains";
  MinecraftBiomeTypes2["Swampland"] = "minecraft:swampland";
  MinecraftBiomeTypes2["SwamplandMutated"] = "minecraft:swampland_mutated";
  MinecraftBiomeTypes2["Taiga"] = "minecraft:taiga";
  MinecraftBiomeTypes2["TaigaHills"] = "minecraft:taiga_hills";
  MinecraftBiomeTypes2["TaigaMutated"] = "minecraft:taiga_mutated";
  MinecraftBiomeTypes2["TheEnd"] = "minecraft:the_end";
  MinecraftBiomeTypes2["WarmOcean"] = "minecraft:warm_ocean";
  MinecraftBiomeTypes2["WarpedForest"] = "minecraft:warped_forest";
  return MinecraftBiomeTypes2;
})(MinecraftBiomeTypes || {});
var MinecraftBlockTypes = ((MinecraftBlockTypes22) => {
  MinecraftBlockTypes22["AcaciaButton"] = "minecraft:acacia_button";
  MinecraftBlockTypes22["AcaciaDoor"] = "minecraft:acacia_door";
  MinecraftBlockTypes22["AcaciaDoubleSlab"] = "minecraft:acacia_double_slab";
  MinecraftBlockTypes22["AcaciaFence"] = "minecraft:acacia_fence";
  MinecraftBlockTypes22["AcaciaFenceGate"] = "minecraft:acacia_fence_gate";
  MinecraftBlockTypes22["AcaciaHangingSign"] = "minecraft:acacia_hanging_sign";
  MinecraftBlockTypes22["AcaciaLeaves"] = "minecraft:acacia_leaves";
  MinecraftBlockTypes22["AcaciaLog"] = "minecraft:acacia_log";
  MinecraftBlockTypes22["AcaciaPlanks"] = "minecraft:acacia_planks";
  MinecraftBlockTypes22["AcaciaPressurePlate"] = "minecraft:acacia_pressure_plate";
  MinecraftBlockTypes22["AcaciaSapling"] = "minecraft:acacia_sapling";
  MinecraftBlockTypes22["AcaciaSlab"] = "minecraft:acacia_slab";
  MinecraftBlockTypes22["AcaciaStairs"] = "minecraft:acacia_stairs";
  MinecraftBlockTypes22["AcaciaStandingSign"] = "minecraft:acacia_standing_sign";
  MinecraftBlockTypes22["AcaciaTrapdoor"] = "minecraft:acacia_trapdoor";
  MinecraftBlockTypes22["AcaciaWallSign"] = "minecraft:acacia_wall_sign";
  MinecraftBlockTypes22["AcaciaWood"] = "minecraft:acacia_wood";
  MinecraftBlockTypes22["ActivatorRail"] = "minecraft:activator_rail";
  MinecraftBlockTypes22["Air"] = "minecraft:air";
  MinecraftBlockTypes22["Allium"] = "minecraft:allium";
  MinecraftBlockTypes22["Allow"] = "minecraft:allow";
  MinecraftBlockTypes22["AmethystBlock"] = "minecraft:amethyst_block";
  MinecraftBlockTypes22["AmethystCluster"] = "minecraft:amethyst_cluster";
  MinecraftBlockTypes22["AncientDebris"] = "minecraft:ancient_debris";
  MinecraftBlockTypes22["Andesite"] = "minecraft:andesite";
  MinecraftBlockTypes22["AndesiteStairs"] = "minecraft:andesite_stairs";
  MinecraftBlockTypes22["Anvil"] = "minecraft:anvil";
  MinecraftBlockTypes22["Azalea"] = "minecraft:azalea";
  MinecraftBlockTypes22["AzaleaLeaves"] = "minecraft:azalea_leaves";
  MinecraftBlockTypes22["AzaleaLeavesFlowered"] = "minecraft:azalea_leaves_flowered";
  MinecraftBlockTypes22["AzureBluet"] = "minecraft:azure_bluet";
  MinecraftBlockTypes22["Bamboo"] = "minecraft:bamboo";
  MinecraftBlockTypes22["BambooBlock"] = "minecraft:bamboo_block";
  MinecraftBlockTypes22["BambooButton"] = "minecraft:bamboo_button";
  MinecraftBlockTypes22["BambooDoor"] = "minecraft:bamboo_door";
  MinecraftBlockTypes22["BambooDoubleSlab"] = "minecraft:bamboo_double_slab";
  MinecraftBlockTypes22["BambooFence"] = "minecraft:bamboo_fence";
  MinecraftBlockTypes22["BambooFenceGate"] = "minecraft:bamboo_fence_gate";
  MinecraftBlockTypes22["BambooHangingSign"] = "minecraft:bamboo_hanging_sign";
  MinecraftBlockTypes22["BambooMosaic"] = "minecraft:bamboo_mosaic";
  MinecraftBlockTypes22["BambooMosaicDoubleSlab"] = "minecraft:bamboo_mosaic_double_slab";
  MinecraftBlockTypes22["BambooMosaicSlab"] = "minecraft:bamboo_mosaic_slab";
  MinecraftBlockTypes22["BambooMosaicStairs"] = "minecraft:bamboo_mosaic_stairs";
  MinecraftBlockTypes22["BambooPlanks"] = "minecraft:bamboo_planks";
  MinecraftBlockTypes22["BambooPressurePlate"] = "minecraft:bamboo_pressure_plate";
  MinecraftBlockTypes22["BambooSapling"] = "minecraft:bamboo_sapling";
  MinecraftBlockTypes22["BambooSlab"] = "minecraft:bamboo_slab";
  MinecraftBlockTypes22["BambooStairs"] = "minecraft:bamboo_stairs";
  MinecraftBlockTypes22["BambooStandingSign"] = "minecraft:bamboo_standing_sign";
  MinecraftBlockTypes22["BambooTrapdoor"] = "minecraft:bamboo_trapdoor";
  MinecraftBlockTypes22["BambooWallSign"] = "minecraft:bamboo_wall_sign";
  MinecraftBlockTypes22["Barrel"] = "minecraft:barrel";
  MinecraftBlockTypes22["Barrier"] = "minecraft:barrier";
  MinecraftBlockTypes22["Basalt"] = "minecraft:basalt";
  MinecraftBlockTypes22["Beacon"] = "minecraft:beacon";
  MinecraftBlockTypes22["Bed"] = "minecraft:bed";
  MinecraftBlockTypes22["Bedrock"] = "minecraft:bedrock";
  MinecraftBlockTypes22["BeeNest"] = "minecraft:bee_nest";
  MinecraftBlockTypes22["Beehive"] = "minecraft:beehive";
  MinecraftBlockTypes22["Beetroot"] = "minecraft:beetroot";
  MinecraftBlockTypes22["Bell"] = "minecraft:bell";
  MinecraftBlockTypes22["BigDripleaf"] = "minecraft:big_dripleaf";
  MinecraftBlockTypes22["BirchButton"] = "minecraft:birch_button";
  MinecraftBlockTypes22["BirchDoor"] = "minecraft:birch_door";
  MinecraftBlockTypes22["BirchDoubleSlab"] = "minecraft:birch_double_slab";
  MinecraftBlockTypes22["BirchFence"] = "minecraft:birch_fence";
  MinecraftBlockTypes22["BirchFenceGate"] = "minecraft:birch_fence_gate";
  MinecraftBlockTypes22["BirchHangingSign"] = "minecraft:birch_hanging_sign";
  MinecraftBlockTypes22["BirchLeaves"] = "minecraft:birch_leaves";
  MinecraftBlockTypes22["BirchLog"] = "minecraft:birch_log";
  MinecraftBlockTypes22["BirchPlanks"] = "minecraft:birch_planks";
  MinecraftBlockTypes22["BirchPressurePlate"] = "minecraft:birch_pressure_plate";
  MinecraftBlockTypes22["BirchSapling"] = "minecraft:birch_sapling";
  MinecraftBlockTypes22["BirchSlab"] = "minecraft:birch_slab";
  MinecraftBlockTypes22["BirchStairs"] = "minecraft:birch_stairs";
  MinecraftBlockTypes22["BirchStandingSign"] = "minecraft:birch_standing_sign";
  MinecraftBlockTypes22["BirchTrapdoor"] = "minecraft:birch_trapdoor";
  MinecraftBlockTypes22["BirchWallSign"] = "minecraft:birch_wall_sign";
  MinecraftBlockTypes22["BirchWood"] = "minecraft:birch_wood";
  MinecraftBlockTypes22["BlackCandle"] = "minecraft:black_candle";
  MinecraftBlockTypes22["BlackCandleCake"] = "minecraft:black_candle_cake";
  MinecraftBlockTypes22["BlackCarpet"] = "minecraft:black_carpet";
  MinecraftBlockTypes22["BlackConcrete"] = "minecraft:black_concrete";
  MinecraftBlockTypes22["BlackConcretePowder"] = "minecraft:black_concrete_powder";
  MinecraftBlockTypes22["BlackGlazedTerracotta"] = "minecraft:black_glazed_terracotta";
  MinecraftBlockTypes22["BlackShulkerBox"] = "minecraft:black_shulker_box";
  MinecraftBlockTypes22["BlackStainedGlass"] = "minecraft:black_stained_glass";
  MinecraftBlockTypes22["BlackStainedGlassPane"] = "minecraft:black_stained_glass_pane";
  MinecraftBlockTypes22["BlackTerracotta"] = "minecraft:black_terracotta";
  MinecraftBlockTypes22["BlackWool"] = "minecraft:black_wool";
  MinecraftBlockTypes22["Blackstone"] = "minecraft:blackstone";
  MinecraftBlockTypes22["BlackstoneDoubleSlab"] = "minecraft:blackstone_double_slab";
  MinecraftBlockTypes22["BlackstoneSlab"] = "minecraft:blackstone_slab";
  MinecraftBlockTypes22["BlackstoneStairs"] = "minecraft:blackstone_stairs";
  MinecraftBlockTypes22["BlackstoneWall"] = "minecraft:blackstone_wall";
  MinecraftBlockTypes22["BlastFurnace"] = "minecraft:blast_furnace";
  MinecraftBlockTypes22["BlueCandle"] = "minecraft:blue_candle";
  MinecraftBlockTypes22["BlueCandleCake"] = "minecraft:blue_candle_cake";
  MinecraftBlockTypes22["BlueCarpet"] = "minecraft:blue_carpet";
  MinecraftBlockTypes22["BlueConcrete"] = "minecraft:blue_concrete";
  MinecraftBlockTypes22["BlueConcretePowder"] = "minecraft:blue_concrete_powder";
  MinecraftBlockTypes22["BlueGlazedTerracotta"] = "minecraft:blue_glazed_terracotta";
  MinecraftBlockTypes22["BlueIce"] = "minecraft:blue_ice";
  MinecraftBlockTypes22["BlueOrchid"] = "minecraft:blue_orchid";
  MinecraftBlockTypes22["BlueShulkerBox"] = "minecraft:blue_shulker_box";
  MinecraftBlockTypes22["BlueStainedGlass"] = "minecraft:blue_stained_glass";
  MinecraftBlockTypes22["BlueStainedGlassPane"] = "minecraft:blue_stained_glass_pane";
  MinecraftBlockTypes22["BlueTerracotta"] = "minecraft:blue_terracotta";
  MinecraftBlockTypes22["BlueWool"] = "minecraft:blue_wool";
  MinecraftBlockTypes22["BoneBlock"] = "minecraft:bone_block";
  MinecraftBlockTypes22["Bookshelf"] = "minecraft:bookshelf";
  MinecraftBlockTypes22["BorderBlock"] = "minecraft:border_block";
  MinecraftBlockTypes22["BrainCoral"] = "minecraft:brain_coral";
  MinecraftBlockTypes22["BrainCoralBlock"] = "minecraft:brain_coral_block";
  MinecraftBlockTypes22["BrainCoralFan"] = "minecraft:brain_coral_fan";
  MinecraftBlockTypes22["BrewingStand"] = "minecraft:brewing_stand";
  MinecraftBlockTypes22["BrickBlock"] = "minecraft:brick_block";
  MinecraftBlockTypes22["BrickSlab"] = "minecraft:brick_slab";
  MinecraftBlockTypes22["BrickStairs"] = "minecraft:brick_stairs";
  MinecraftBlockTypes22["BrownCandle"] = "minecraft:brown_candle";
  MinecraftBlockTypes22["BrownCandleCake"] = "minecraft:brown_candle_cake";
  MinecraftBlockTypes22["BrownCarpet"] = "minecraft:brown_carpet";
  MinecraftBlockTypes22["BrownConcrete"] = "minecraft:brown_concrete";
  MinecraftBlockTypes22["BrownConcretePowder"] = "minecraft:brown_concrete_powder";
  MinecraftBlockTypes22["BrownGlazedTerracotta"] = "minecraft:brown_glazed_terracotta";
  MinecraftBlockTypes22["BrownMushroom"] = "minecraft:brown_mushroom";
  MinecraftBlockTypes22["BrownMushroomBlock"] = "minecraft:brown_mushroom_block";
  MinecraftBlockTypes22["BrownShulkerBox"] = "minecraft:brown_shulker_box";
  MinecraftBlockTypes22["BrownStainedGlass"] = "minecraft:brown_stained_glass";
  MinecraftBlockTypes22["BrownStainedGlassPane"] = "minecraft:brown_stained_glass_pane";
  MinecraftBlockTypes22["BrownTerracotta"] = "minecraft:brown_terracotta";
  MinecraftBlockTypes22["BrownWool"] = "minecraft:brown_wool";
  MinecraftBlockTypes22["BubbleColumn"] = "minecraft:bubble_column";
  MinecraftBlockTypes22["BubbleCoral"] = "minecraft:bubble_coral";
  MinecraftBlockTypes22["BubbleCoralBlock"] = "minecraft:bubble_coral_block";
  MinecraftBlockTypes22["BubbleCoralFan"] = "minecraft:bubble_coral_fan";
  MinecraftBlockTypes22["BuddingAmethyst"] = "minecraft:budding_amethyst";
  MinecraftBlockTypes22["Cactus"] = "minecraft:cactus";
  MinecraftBlockTypes22["Cake"] = "minecraft:cake";
  MinecraftBlockTypes22["Calcite"] = "minecraft:calcite";
  MinecraftBlockTypes22["CalibratedSculkSensor"] = "minecraft:calibrated_sculk_sensor";
  MinecraftBlockTypes22["Camera"] = "minecraft:camera";
  MinecraftBlockTypes22["Campfire"] = "minecraft:campfire";
  MinecraftBlockTypes22["Candle"] = "minecraft:candle";
  MinecraftBlockTypes22["CandleCake"] = "minecraft:candle_cake";
  MinecraftBlockTypes22["Carrots"] = "minecraft:carrots";
  MinecraftBlockTypes22["CartographyTable"] = "minecraft:cartography_table";
  MinecraftBlockTypes22["CarvedPumpkin"] = "minecraft:carved_pumpkin";
  MinecraftBlockTypes22["Cauldron"] = "minecraft:cauldron";
  MinecraftBlockTypes22["CaveVines"] = "minecraft:cave_vines";
  MinecraftBlockTypes22["CaveVinesBodyWithBerries"] = "minecraft:cave_vines_body_with_berries";
  MinecraftBlockTypes22["CaveVinesHeadWithBerries"] = "minecraft:cave_vines_head_with_berries";
  MinecraftBlockTypes22["Chain"] = "minecraft:chain";
  MinecraftBlockTypes22["ChainCommandBlock"] = "minecraft:chain_command_block";
  MinecraftBlockTypes22["ChemicalHeat"] = "minecraft:chemical_heat";
  MinecraftBlockTypes22["ChemistryTable"] = "minecraft:chemistry_table";
  MinecraftBlockTypes22["CherryButton"] = "minecraft:cherry_button";
  MinecraftBlockTypes22["CherryDoor"] = "minecraft:cherry_door";
  MinecraftBlockTypes22["CherryDoubleSlab"] = "minecraft:cherry_double_slab";
  MinecraftBlockTypes22["CherryFence"] = "minecraft:cherry_fence";
  MinecraftBlockTypes22["CherryFenceGate"] = "minecraft:cherry_fence_gate";
  MinecraftBlockTypes22["CherryHangingSign"] = "minecraft:cherry_hanging_sign";
  MinecraftBlockTypes22["CherryLeaves"] = "minecraft:cherry_leaves";
  MinecraftBlockTypes22["CherryLog"] = "minecraft:cherry_log";
  MinecraftBlockTypes22["CherryPlanks"] = "minecraft:cherry_planks";
  MinecraftBlockTypes22["CherryPressurePlate"] = "minecraft:cherry_pressure_plate";
  MinecraftBlockTypes22["CherrySapling"] = "minecraft:cherry_sapling";
  MinecraftBlockTypes22["CherrySlab"] = "minecraft:cherry_slab";
  MinecraftBlockTypes22["CherryStairs"] = "minecraft:cherry_stairs";
  MinecraftBlockTypes22["CherryStandingSign"] = "minecraft:cherry_standing_sign";
  MinecraftBlockTypes22["CherryTrapdoor"] = "minecraft:cherry_trapdoor";
  MinecraftBlockTypes22["CherryWallSign"] = "minecraft:cherry_wall_sign";
  MinecraftBlockTypes22["CherryWood"] = "minecraft:cherry_wood";
  MinecraftBlockTypes22["Chest"] = "minecraft:chest";
  MinecraftBlockTypes22["ChiseledBookshelf"] = "minecraft:chiseled_bookshelf";
  MinecraftBlockTypes22["ChiseledCopper"] = "minecraft:chiseled_copper";
  MinecraftBlockTypes22["ChiseledDeepslate"] = "minecraft:chiseled_deepslate";
  MinecraftBlockTypes22["ChiseledNetherBricks"] = "minecraft:chiseled_nether_bricks";
  MinecraftBlockTypes22["ChiseledPolishedBlackstone"] = "minecraft:chiseled_polished_blackstone";
  MinecraftBlockTypes22["ChiseledTuff"] = "minecraft:chiseled_tuff";
  MinecraftBlockTypes22["ChiseledTuffBricks"] = "minecraft:chiseled_tuff_bricks";
  MinecraftBlockTypes22["ChorusFlower"] = "minecraft:chorus_flower";
  MinecraftBlockTypes22["ChorusPlant"] = "minecraft:chorus_plant";
  MinecraftBlockTypes22["Clay"] = "minecraft:clay";
  MinecraftBlockTypes22["ClientRequestPlaceholderBlock"] = "minecraft:client_request_placeholder_block";
  MinecraftBlockTypes22["CoalBlock"] = "minecraft:coal_block";
  MinecraftBlockTypes22["CoalOre"] = "minecraft:coal_ore";
  MinecraftBlockTypes22["CobbledDeepslate"] = "minecraft:cobbled_deepslate";
  MinecraftBlockTypes22["CobbledDeepslateDoubleSlab"] = "minecraft:cobbled_deepslate_double_slab";
  MinecraftBlockTypes22["CobbledDeepslateSlab"] = "minecraft:cobbled_deepslate_slab";
  MinecraftBlockTypes22["CobbledDeepslateStairs"] = "minecraft:cobbled_deepslate_stairs";
  MinecraftBlockTypes22["CobbledDeepslateWall"] = "minecraft:cobbled_deepslate_wall";
  MinecraftBlockTypes22["Cobblestone"] = "minecraft:cobblestone";
  MinecraftBlockTypes22["CobblestoneSlab"] = "minecraft:cobblestone_slab";
  MinecraftBlockTypes22["CobblestoneWall"] = "minecraft:cobblestone_wall";
  MinecraftBlockTypes22["Cocoa"] = "minecraft:cocoa";
  MinecraftBlockTypes22["ColoredTorchBp"] = "minecraft:colored_torch_bp";
  MinecraftBlockTypes22["ColoredTorchRg"] = "minecraft:colored_torch_rg";
  MinecraftBlockTypes22["CommandBlock"] = "minecraft:command_block";
  MinecraftBlockTypes22["Composter"] = "minecraft:composter";
  MinecraftBlockTypes22["Conduit"] = "minecraft:conduit";
  MinecraftBlockTypes22["CopperBlock"] = "minecraft:copper_block";
  MinecraftBlockTypes22["CopperBulb"] = "minecraft:copper_bulb";
  MinecraftBlockTypes22["CopperDoor"] = "minecraft:copper_door";
  MinecraftBlockTypes22["CopperGrate"] = "minecraft:copper_grate";
  MinecraftBlockTypes22["CopperOre"] = "minecraft:copper_ore";
  MinecraftBlockTypes22["CopperTrapdoor"] = "minecraft:copper_trapdoor";
  MinecraftBlockTypes22["CoralFanHang"] = "minecraft:coral_fan_hang";
  MinecraftBlockTypes22["CoralFanHang2"] = "minecraft:coral_fan_hang2";
  MinecraftBlockTypes22["CoralFanHang3"] = "minecraft:coral_fan_hang3";
  MinecraftBlockTypes22["Cornflower"] = "minecraft:cornflower";
  MinecraftBlockTypes22["CrackedDeepslateBricks"] = "minecraft:cracked_deepslate_bricks";
  MinecraftBlockTypes22["CrackedDeepslateTiles"] = "minecraft:cracked_deepslate_tiles";
  MinecraftBlockTypes22["CrackedNetherBricks"] = "minecraft:cracked_nether_bricks";
  MinecraftBlockTypes22["CrackedPolishedBlackstoneBricks"] = "minecraft:cracked_polished_blackstone_bricks";
  MinecraftBlockTypes22["Crafter"] = "minecraft:crafter";
  MinecraftBlockTypes22["CraftingTable"] = "minecraft:crafting_table";
  MinecraftBlockTypes22["CrimsonButton"] = "minecraft:crimson_button";
  MinecraftBlockTypes22["CrimsonDoor"] = "minecraft:crimson_door";
  MinecraftBlockTypes22["CrimsonDoubleSlab"] = "minecraft:crimson_double_slab";
  MinecraftBlockTypes22["CrimsonFence"] = "minecraft:crimson_fence";
  MinecraftBlockTypes22["CrimsonFenceGate"] = "minecraft:crimson_fence_gate";
  MinecraftBlockTypes22["CrimsonFungus"] = "minecraft:crimson_fungus";
  MinecraftBlockTypes22["CrimsonHangingSign"] = "minecraft:crimson_hanging_sign";
  MinecraftBlockTypes22["CrimsonHyphae"] = "minecraft:crimson_hyphae";
  MinecraftBlockTypes22["CrimsonNylium"] = "minecraft:crimson_nylium";
  MinecraftBlockTypes22["CrimsonPlanks"] = "minecraft:crimson_planks";
  MinecraftBlockTypes22["CrimsonPressurePlate"] = "minecraft:crimson_pressure_plate";
  MinecraftBlockTypes22["CrimsonRoots"] = "minecraft:crimson_roots";
  MinecraftBlockTypes22["CrimsonSlab"] = "minecraft:crimson_slab";
  MinecraftBlockTypes22["CrimsonStairs"] = "minecraft:crimson_stairs";
  MinecraftBlockTypes22["CrimsonStandingSign"] = "minecraft:crimson_standing_sign";
  MinecraftBlockTypes22["CrimsonStem"] = "minecraft:crimson_stem";
  MinecraftBlockTypes22["CrimsonTrapdoor"] = "minecraft:crimson_trapdoor";
  MinecraftBlockTypes22["CrimsonWallSign"] = "minecraft:crimson_wall_sign";
  MinecraftBlockTypes22["CryingObsidian"] = "minecraft:crying_obsidian";
  MinecraftBlockTypes22["CutCopper"] = "minecraft:cut_copper";
  MinecraftBlockTypes22["CutCopperSlab"] = "minecraft:cut_copper_slab";
  MinecraftBlockTypes22["CutCopperStairs"] = "minecraft:cut_copper_stairs";
  MinecraftBlockTypes22["CyanCandle"] = "minecraft:cyan_candle";
  MinecraftBlockTypes22["CyanCandleCake"] = "minecraft:cyan_candle_cake";
  MinecraftBlockTypes22["CyanCarpet"] = "minecraft:cyan_carpet";
  MinecraftBlockTypes22["CyanConcrete"] = "minecraft:cyan_concrete";
  MinecraftBlockTypes22["CyanConcretePowder"] = "minecraft:cyan_concrete_powder";
  MinecraftBlockTypes22["CyanGlazedTerracotta"] = "minecraft:cyan_glazed_terracotta";
  MinecraftBlockTypes22["CyanShulkerBox"] = "minecraft:cyan_shulker_box";
  MinecraftBlockTypes22["CyanStainedGlass"] = "minecraft:cyan_stained_glass";
  MinecraftBlockTypes22["CyanStainedGlassPane"] = "minecraft:cyan_stained_glass_pane";
  MinecraftBlockTypes22["CyanTerracotta"] = "minecraft:cyan_terracotta";
  MinecraftBlockTypes22["CyanWool"] = "minecraft:cyan_wool";
  MinecraftBlockTypes22["DarkOakButton"] = "minecraft:dark_oak_button";
  MinecraftBlockTypes22["DarkOakDoor"] = "minecraft:dark_oak_door";
  MinecraftBlockTypes22["DarkOakDoubleSlab"] = "minecraft:dark_oak_double_slab";
  MinecraftBlockTypes22["DarkOakFence"] = "minecraft:dark_oak_fence";
  MinecraftBlockTypes22["DarkOakFenceGate"] = "minecraft:dark_oak_fence_gate";
  MinecraftBlockTypes22["DarkOakHangingSign"] = "minecraft:dark_oak_hanging_sign";
  MinecraftBlockTypes22["DarkOakLeaves"] = "minecraft:dark_oak_leaves";
  MinecraftBlockTypes22["DarkOakLog"] = "minecraft:dark_oak_log";
  MinecraftBlockTypes22["DarkOakPlanks"] = "minecraft:dark_oak_planks";
  MinecraftBlockTypes22["DarkOakPressurePlate"] = "minecraft:dark_oak_pressure_plate";
  MinecraftBlockTypes22["DarkOakSapling"] = "minecraft:dark_oak_sapling";
  MinecraftBlockTypes22["DarkOakSlab"] = "minecraft:dark_oak_slab";
  MinecraftBlockTypes22["DarkOakStairs"] = "minecraft:dark_oak_stairs";
  MinecraftBlockTypes22["DarkOakTrapdoor"] = "minecraft:dark_oak_trapdoor";
  MinecraftBlockTypes22["DarkOakWood"] = "minecraft:dark_oak_wood";
  MinecraftBlockTypes22["DarkPrismarineStairs"] = "minecraft:dark_prismarine_stairs";
  MinecraftBlockTypes22["DarkoakStandingSign"] = "minecraft:darkoak_standing_sign";
  MinecraftBlockTypes22["DarkoakWallSign"] = "minecraft:darkoak_wall_sign";
  MinecraftBlockTypes22["DaylightDetector"] = "minecraft:daylight_detector";
  MinecraftBlockTypes22["DaylightDetectorInverted"] = "minecraft:daylight_detector_inverted";
  MinecraftBlockTypes22["DeadBrainCoral"] = "minecraft:dead_brain_coral";
  MinecraftBlockTypes22["DeadBrainCoralBlock"] = "minecraft:dead_brain_coral_block";
  MinecraftBlockTypes22["DeadBrainCoralFan"] = "minecraft:dead_brain_coral_fan";
  MinecraftBlockTypes22["DeadBubbleCoral"] = "minecraft:dead_bubble_coral";
  MinecraftBlockTypes22["DeadBubbleCoralBlock"] = "minecraft:dead_bubble_coral_block";
  MinecraftBlockTypes22["DeadBubbleCoralFan"] = "minecraft:dead_bubble_coral_fan";
  MinecraftBlockTypes22["DeadFireCoral"] = "minecraft:dead_fire_coral";
  MinecraftBlockTypes22["DeadFireCoralBlock"] = "minecraft:dead_fire_coral_block";
  MinecraftBlockTypes22["DeadFireCoralFan"] = "minecraft:dead_fire_coral_fan";
  MinecraftBlockTypes22["DeadHornCoral"] = "minecraft:dead_horn_coral";
  MinecraftBlockTypes22["DeadHornCoralBlock"] = "minecraft:dead_horn_coral_block";
  MinecraftBlockTypes22["DeadHornCoralFan"] = "minecraft:dead_horn_coral_fan";
  MinecraftBlockTypes22["DeadTubeCoral"] = "minecraft:dead_tube_coral";
  MinecraftBlockTypes22["DeadTubeCoralBlock"] = "minecraft:dead_tube_coral_block";
  MinecraftBlockTypes22["DeadTubeCoralFan"] = "minecraft:dead_tube_coral_fan";
  MinecraftBlockTypes22["Deadbush"] = "minecraft:deadbush";
  MinecraftBlockTypes22["DecoratedPot"] = "minecraft:decorated_pot";
  MinecraftBlockTypes22["Deepslate"] = "minecraft:deepslate";
  MinecraftBlockTypes22["DeepslateBrickDoubleSlab"] = "minecraft:deepslate_brick_double_slab";
  MinecraftBlockTypes22["DeepslateBrickSlab"] = "minecraft:deepslate_brick_slab";
  MinecraftBlockTypes22["DeepslateBrickStairs"] = "minecraft:deepslate_brick_stairs";
  MinecraftBlockTypes22["DeepslateBrickWall"] = "minecraft:deepslate_brick_wall";
  MinecraftBlockTypes22["DeepslateBricks"] = "minecraft:deepslate_bricks";
  MinecraftBlockTypes22["DeepslateCoalOre"] = "minecraft:deepslate_coal_ore";
  MinecraftBlockTypes22["DeepslateCopperOre"] = "minecraft:deepslate_copper_ore";
  MinecraftBlockTypes22["DeepslateDiamondOre"] = "minecraft:deepslate_diamond_ore";
  MinecraftBlockTypes22["DeepslateEmeraldOre"] = "minecraft:deepslate_emerald_ore";
  MinecraftBlockTypes22["DeepslateGoldOre"] = "minecraft:deepslate_gold_ore";
  MinecraftBlockTypes22["DeepslateIronOre"] = "minecraft:deepslate_iron_ore";
  MinecraftBlockTypes22["DeepslateLapisOre"] = "minecraft:deepslate_lapis_ore";
  MinecraftBlockTypes22["DeepslateRedstoneOre"] = "minecraft:deepslate_redstone_ore";
  MinecraftBlockTypes22["DeepslateTileDoubleSlab"] = "minecraft:deepslate_tile_double_slab";
  MinecraftBlockTypes22["DeepslateTileSlab"] = "minecraft:deepslate_tile_slab";
  MinecraftBlockTypes22["DeepslateTileStairs"] = "minecraft:deepslate_tile_stairs";
  MinecraftBlockTypes22["DeepslateTileWall"] = "minecraft:deepslate_tile_wall";
  MinecraftBlockTypes22["DeepslateTiles"] = "minecraft:deepslate_tiles";
  MinecraftBlockTypes22["Deny"] = "minecraft:deny";
  MinecraftBlockTypes22["DetectorRail"] = "minecraft:detector_rail";
  MinecraftBlockTypes22["DiamondBlock"] = "minecraft:diamond_block";
  MinecraftBlockTypes22["DiamondOre"] = "minecraft:diamond_ore";
  MinecraftBlockTypes22["Diorite"] = "minecraft:diorite";
  MinecraftBlockTypes22["DioriteStairs"] = "minecraft:diorite_stairs";
  MinecraftBlockTypes22["Dirt"] = "minecraft:dirt";
  MinecraftBlockTypes22["DirtWithRoots"] = "minecraft:dirt_with_roots";
  MinecraftBlockTypes22["Dispenser"] = "minecraft:dispenser";
  MinecraftBlockTypes22["DoubleCutCopperSlab"] = "minecraft:double_cut_copper_slab";
  MinecraftBlockTypes22["DoubleStoneBlockSlab"] = "minecraft:double_stone_block_slab";
  MinecraftBlockTypes22["DoubleStoneBlockSlab2"] = "minecraft:double_stone_block_slab2";
  MinecraftBlockTypes22["DoubleStoneBlockSlab3"] = "minecraft:double_stone_block_slab3";
  MinecraftBlockTypes22["DoubleStoneBlockSlab4"] = "minecraft:double_stone_block_slab4";
  MinecraftBlockTypes22["DragonEgg"] = "minecraft:dragon_egg";
  MinecraftBlockTypes22["DriedKelpBlock"] = "minecraft:dried_kelp_block";
  MinecraftBlockTypes22["DripstoneBlock"] = "minecraft:dripstone_block";
  MinecraftBlockTypes22["Dropper"] = "minecraft:dropper";
  MinecraftBlockTypes22["Element0"] = "minecraft:element_0";
  MinecraftBlockTypes22["Element1"] = "minecraft:element_1";
  MinecraftBlockTypes22["Element10"] = "minecraft:element_10";
  MinecraftBlockTypes22["Element100"] = "minecraft:element_100";
  MinecraftBlockTypes22["Element101"] = "minecraft:element_101";
  MinecraftBlockTypes22["Element102"] = "minecraft:element_102";
  MinecraftBlockTypes22["Element103"] = "minecraft:element_103";
  MinecraftBlockTypes22["Element104"] = "minecraft:element_104";
  MinecraftBlockTypes22["Element105"] = "minecraft:element_105";
  MinecraftBlockTypes22["Element106"] = "minecraft:element_106";
  MinecraftBlockTypes22["Element107"] = "minecraft:element_107";
  MinecraftBlockTypes22["Element108"] = "minecraft:element_108";
  MinecraftBlockTypes22["Element109"] = "minecraft:element_109";
  MinecraftBlockTypes22["Element11"] = "minecraft:element_11";
  MinecraftBlockTypes22["Element110"] = "minecraft:element_110";
  MinecraftBlockTypes22["Element111"] = "minecraft:element_111";
  MinecraftBlockTypes22["Element112"] = "minecraft:element_112";
  MinecraftBlockTypes22["Element113"] = "minecraft:element_113";
  MinecraftBlockTypes22["Element114"] = "minecraft:element_114";
  MinecraftBlockTypes22["Element115"] = "minecraft:element_115";
  MinecraftBlockTypes22["Element116"] = "minecraft:element_116";
  MinecraftBlockTypes22["Element117"] = "minecraft:element_117";
  MinecraftBlockTypes22["Element118"] = "minecraft:element_118";
  MinecraftBlockTypes22["Element12"] = "minecraft:element_12";
  MinecraftBlockTypes22["Element13"] = "minecraft:element_13";
  MinecraftBlockTypes22["Element14"] = "minecraft:element_14";
  MinecraftBlockTypes22["Element15"] = "minecraft:element_15";
  MinecraftBlockTypes22["Element16"] = "minecraft:element_16";
  MinecraftBlockTypes22["Element17"] = "minecraft:element_17";
  MinecraftBlockTypes22["Element18"] = "minecraft:element_18";
  MinecraftBlockTypes22["Element19"] = "minecraft:element_19";
  MinecraftBlockTypes22["Element2"] = "minecraft:element_2";
  MinecraftBlockTypes22["Element20"] = "minecraft:element_20";
  MinecraftBlockTypes22["Element21"] = "minecraft:element_21";
  MinecraftBlockTypes22["Element22"] = "minecraft:element_22";
  MinecraftBlockTypes22["Element23"] = "minecraft:element_23";
  MinecraftBlockTypes22["Element24"] = "minecraft:element_24";
  MinecraftBlockTypes22["Element25"] = "minecraft:element_25";
  MinecraftBlockTypes22["Element26"] = "minecraft:element_26";
  MinecraftBlockTypes22["Element27"] = "minecraft:element_27";
  MinecraftBlockTypes22["Element28"] = "minecraft:element_28";
  MinecraftBlockTypes22["Element29"] = "minecraft:element_29";
  MinecraftBlockTypes22["Element3"] = "minecraft:element_3";
  MinecraftBlockTypes22["Element30"] = "minecraft:element_30";
  MinecraftBlockTypes22["Element31"] = "minecraft:element_31";
  MinecraftBlockTypes22["Element32"] = "minecraft:element_32";
  MinecraftBlockTypes22["Element33"] = "minecraft:element_33";
  MinecraftBlockTypes22["Element34"] = "minecraft:element_34";
  MinecraftBlockTypes22["Element35"] = "minecraft:element_35";
  MinecraftBlockTypes22["Element36"] = "minecraft:element_36";
  MinecraftBlockTypes22["Element37"] = "minecraft:element_37";
  MinecraftBlockTypes22["Element38"] = "minecraft:element_38";
  MinecraftBlockTypes22["Element39"] = "minecraft:element_39";
  MinecraftBlockTypes22["Element4"] = "minecraft:element_4";
  MinecraftBlockTypes22["Element40"] = "minecraft:element_40";
  MinecraftBlockTypes22["Element41"] = "minecraft:element_41";
  MinecraftBlockTypes22["Element42"] = "minecraft:element_42";
  MinecraftBlockTypes22["Element43"] = "minecraft:element_43";
  MinecraftBlockTypes22["Element44"] = "minecraft:element_44";
  MinecraftBlockTypes22["Element45"] = "minecraft:element_45";
  MinecraftBlockTypes22["Element46"] = "minecraft:element_46";
  MinecraftBlockTypes22["Element47"] = "minecraft:element_47";
  MinecraftBlockTypes22["Element48"] = "minecraft:element_48";
  MinecraftBlockTypes22["Element49"] = "minecraft:element_49";
  MinecraftBlockTypes22["Element5"] = "minecraft:element_5";
  MinecraftBlockTypes22["Element50"] = "minecraft:element_50";
  MinecraftBlockTypes22["Element51"] = "minecraft:element_51";
  MinecraftBlockTypes22["Element52"] = "minecraft:element_52";
  MinecraftBlockTypes22["Element53"] = "minecraft:element_53";
  MinecraftBlockTypes22["Element54"] = "minecraft:element_54";
  MinecraftBlockTypes22["Element55"] = "minecraft:element_55";
  MinecraftBlockTypes22["Element56"] = "minecraft:element_56";
  MinecraftBlockTypes22["Element57"] = "minecraft:element_57";
  MinecraftBlockTypes22["Element58"] = "minecraft:element_58";
  MinecraftBlockTypes22["Element59"] = "minecraft:element_59";
  MinecraftBlockTypes22["Element6"] = "minecraft:element_6";
  MinecraftBlockTypes22["Element60"] = "minecraft:element_60";
  MinecraftBlockTypes22["Element61"] = "minecraft:element_61";
  MinecraftBlockTypes22["Element62"] = "minecraft:element_62";
  MinecraftBlockTypes22["Element63"] = "minecraft:element_63";
  MinecraftBlockTypes22["Element64"] = "minecraft:element_64";
  MinecraftBlockTypes22["Element65"] = "minecraft:element_65";
  MinecraftBlockTypes22["Element66"] = "minecraft:element_66";
  MinecraftBlockTypes22["Element67"] = "minecraft:element_67";
  MinecraftBlockTypes22["Element68"] = "minecraft:element_68";
  MinecraftBlockTypes22["Element69"] = "minecraft:element_69";
  MinecraftBlockTypes22["Element7"] = "minecraft:element_7";
  MinecraftBlockTypes22["Element70"] = "minecraft:element_70";
  MinecraftBlockTypes22["Element71"] = "minecraft:element_71";
  MinecraftBlockTypes22["Element72"] = "minecraft:element_72";
  MinecraftBlockTypes22["Element73"] = "minecraft:element_73";
  MinecraftBlockTypes22["Element74"] = "minecraft:element_74";
  MinecraftBlockTypes22["Element75"] = "minecraft:element_75";
  MinecraftBlockTypes22["Element76"] = "minecraft:element_76";
  MinecraftBlockTypes22["Element77"] = "minecraft:element_77";
  MinecraftBlockTypes22["Element78"] = "minecraft:element_78";
  MinecraftBlockTypes22["Element79"] = "minecraft:element_79";
  MinecraftBlockTypes22["Element8"] = "minecraft:element_8";
  MinecraftBlockTypes22["Element80"] = "minecraft:element_80";
  MinecraftBlockTypes22["Element81"] = "minecraft:element_81";
  MinecraftBlockTypes22["Element82"] = "minecraft:element_82";
  MinecraftBlockTypes22["Element83"] = "minecraft:element_83";
  MinecraftBlockTypes22["Element84"] = "minecraft:element_84";
  MinecraftBlockTypes22["Element85"] = "minecraft:element_85";
  MinecraftBlockTypes22["Element86"] = "minecraft:element_86";
  MinecraftBlockTypes22["Element87"] = "minecraft:element_87";
  MinecraftBlockTypes22["Element88"] = "minecraft:element_88";
  MinecraftBlockTypes22["Element89"] = "minecraft:element_89";
  MinecraftBlockTypes22["Element9"] = "minecraft:element_9";
  MinecraftBlockTypes22["Element90"] = "minecraft:element_90";
  MinecraftBlockTypes22["Element91"] = "minecraft:element_91";
  MinecraftBlockTypes22["Element92"] = "minecraft:element_92";
  MinecraftBlockTypes22["Element93"] = "minecraft:element_93";
  MinecraftBlockTypes22["Element94"] = "minecraft:element_94";
  MinecraftBlockTypes22["Element95"] = "minecraft:element_95";
  MinecraftBlockTypes22["Element96"] = "minecraft:element_96";
  MinecraftBlockTypes22["Element97"] = "minecraft:element_97";
  MinecraftBlockTypes22["Element98"] = "minecraft:element_98";
  MinecraftBlockTypes22["Element99"] = "minecraft:element_99";
  MinecraftBlockTypes22["EmeraldBlock"] = "minecraft:emerald_block";
  MinecraftBlockTypes22["EmeraldOre"] = "minecraft:emerald_ore";
  MinecraftBlockTypes22["EnchantingTable"] = "minecraft:enchanting_table";
  MinecraftBlockTypes22["EndBrickStairs"] = "minecraft:end_brick_stairs";
  MinecraftBlockTypes22["EndBricks"] = "minecraft:end_bricks";
  MinecraftBlockTypes22["EndGateway"] = "minecraft:end_gateway";
  MinecraftBlockTypes22["EndPortal"] = "minecraft:end_portal";
  MinecraftBlockTypes22["EndPortalFrame"] = "minecraft:end_portal_frame";
  MinecraftBlockTypes22["EndRod"] = "minecraft:end_rod";
  MinecraftBlockTypes22["EndStone"] = "minecraft:end_stone";
  MinecraftBlockTypes22["EnderChest"] = "minecraft:ender_chest";
  MinecraftBlockTypes22["ExposedChiseledCopper"] = "minecraft:exposed_chiseled_copper";
  MinecraftBlockTypes22["ExposedCopper"] = "minecraft:exposed_copper";
  MinecraftBlockTypes22["ExposedCopperBulb"] = "minecraft:exposed_copper_bulb";
  MinecraftBlockTypes22["ExposedCopperDoor"] = "minecraft:exposed_copper_door";
  MinecraftBlockTypes22["ExposedCopperGrate"] = "minecraft:exposed_copper_grate";
  MinecraftBlockTypes22["ExposedCopperTrapdoor"] = "minecraft:exposed_copper_trapdoor";
  MinecraftBlockTypes22["ExposedCutCopper"] = "minecraft:exposed_cut_copper";
  MinecraftBlockTypes22["ExposedCutCopperSlab"] = "minecraft:exposed_cut_copper_slab";
  MinecraftBlockTypes22["ExposedCutCopperStairs"] = "minecraft:exposed_cut_copper_stairs";
  MinecraftBlockTypes22["ExposedDoubleCutCopperSlab"] = "minecraft:exposed_double_cut_copper_slab";
  MinecraftBlockTypes22["Farmland"] = "minecraft:farmland";
  MinecraftBlockTypes22["FenceGate"] = "minecraft:fence_gate";
  MinecraftBlockTypes22["Fern"] = "minecraft:fern";
  MinecraftBlockTypes22["Fire"] = "minecraft:fire";
  MinecraftBlockTypes22["FireCoral"] = "minecraft:fire_coral";
  MinecraftBlockTypes22["FireCoralBlock"] = "minecraft:fire_coral_block";
  MinecraftBlockTypes22["FireCoralFan"] = "minecraft:fire_coral_fan";
  MinecraftBlockTypes22["FletchingTable"] = "minecraft:fletching_table";
  MinecraftBlockTypes22["FlowerPot"] = "minecraft:flower_pot";
  MinecraftBlockTypes22["FloweringAzalea"] = "minecraft:flowering_azalea";
  MinecraftBlockTypes22["FlowingLava"] = "minecraft:flowing_lava";
  MinecraftBlockTypes22["FlowingWater"] = "minecraft:flowing_water";
  MinecraftBlockTypes22["Frame"] = "minecraft:frame";
  MinecraftBlockTypes22["FrogSpawn"] = "minecraft:frog_spawn";
  MinecraftBlockTypes22["FrostedIce"] = "minecraft:frosted_ice";
  MinecraftBlockTypes22["Furnace"] = "minecraft:furnace";
  MinecraftBlockTypes22["GildedBlackstone"] = "minecraft:gilded_blackstone";
  MinecraftBlockTypes22["Glass"] = "minecraft:glass";
  MinecraftBlockTypes22["GlassPane"] = "minecraft:glass_pane";
  MinecraftBlockTypes22["GlowFrame"] = "minecraft:glow_frame";
  MinecraftBlockTypes22["GlowLichen"] = "minecraft:glow_lichen";
  MinecraftBlockTypes22["Glowingobsidian"] = "minecraft:glowingobsidian";
  MinecraftBlockTypes22["Glowstone"] = "minecraft:glowstone";
  MinecraftBlockTypes22["GoldBlock"] = "minecraft:gold_block";
  MinecraftBlockTypes22["GoldOre"] = "minecraft:gold_ore";
  MinecraftBlockTypes22["GoldenRail"] = "minecraft:golden_rail";
  MinecraftBlockTypes22["Granite"] = "minecraft:granite";
  MinecraftBlockTypes22["GraniteStairs"] = "minecraft:granite_stairs";
  MinecraftBlockTypes22["GrassBlock"] = "minecraft:grass_block";
  MinecraftBlockTypes22["GrassPath"] = "minecraft:grass_path";
  MinecraftBlockTypes22["Gravel"] = "minecraft:gravel";
  MinecraftBlockTypes22["GrayCandle"] = "minecraft:gray_candle";
  MinecraftBlockTypes22["GrayCandleCake"] = "minecraft:gray_candle_cake";
  MinecraftBlockTypes22["GrayCarpet"] = "minecraft:gray_carpet";
  MinecraftBlockTypes22["GrayConcrete"] = "minecraft:gray_concrete";
  MinecraftBlockTypes22["GrayConcretePowder"] = "minecraft:gray_concrete_powder";
  MinecraftBlockTypes22["GrayGlazedTerracotta"] = "minecraft:gray_glazed_terracotta";
  MinecraftBlockTypes22["GrayShulkerBox"] = "minecraft:gray_shulker_box";
  MinecraftBlockTypes22["GrayStainedGlass"] = "minecraft:gray_stained_glass";
  MinecraftBlockTypes22["GrayStainedGlassPane"] = "minecraft:gray_stained_glass_pane";
  MinecraftBlockTypes22["GrayTerracotta"] = "minecraft:gray_terracotta";
  MinecraftBlockTypes22["GrayWool"] = "minecraft:gray_wool";
  MinecraftBlockTypes22["GreenCandle"] = "minecraft:green_candle";
  MinecraftBlockTypes22["GreenCandleCake"] = "minecraft:green_candle_cake";
  MinecraftBlockTypes22["GreenCarpet"] = "minecraft:green_carpet";
  MinecraftBlockTypes22["GreenConcrete"] = "minecraft:green_concrete";
  MinecraftBlockTypes22["GreenConcretePowder"] = "minecraft:green_concrete_powder";
  MinecraftBlockTypes22["GreenGlazedTerracotta"] = "minecraft:green_glazed_terracotta";
  MinecraftBlockTypes22["GreenShulkerBox"] = "minecraft:green_shulker_box";
  MinecraftBlockTypes22["GreenStainedGlass"] = "minecraft:green_stained_glass";
  MinecraftBlockTypes22["GreenStainedGlassPane"] = "minecraft:green_stained_glass_pane";
  MinecraftBlockTypes22["GreenTerracotta"] = "minecraft:green_terracotta";
  MinecraftBlockTypes22["GreenWool"] = "minecraft:green_wool";
  MinecraftBlockTypes22["Grindstone"] = "minecraft:grindstone";
  MinecraftBlockTypes22["HangingRoots"] = "minecraft:hanging_roots";
  MinecraftBlockTypes22["HardBlackStainedGlass"] = "minecraft:hard_black_stained_glass";
  MinecraftBlockTypes22["HardBlackStainedGlassPane"] = "minecraft:hard_black_stained_glass_pane";
  MinecraftBlockTypes22["HardBlueStainedGlass"] = "minecraft:hard_blue_stained_glass";
  MinecraftBlockTypes22["HardBlueStainedGlassPane"] = "minecraft:hard_blue_stained_glass_pane";
  MinecraftBlockTypes22["HardBrownStainedGlass"] = "minecraft:hard_brown_stained_glass";
  MinecraftBlockTypes22["HardBrownStainedGlassPane"] = "minecraft:hard_brown_stained_glass_pane";
  MinecraftBlockTypes22["HardCyanStainedGlass"] = "minecraft:hard_cyan_stained_glass";
  MinecraftBlockTypes22["HardCyanStainedGlassPane"] = "minecraft:hard_cyan_stained_glass_pane";
  MinecraftBlockTypes22["HardGlass"] = "minecraft:hard_glass";
  MinecraftBlockTypes22["HardGlassPane"] = "minecraft:hard_glass_pane";
  MinecraftBlockTypes22["HardGrayStainedGlass"] = "minecraft:hard_gray_stained_glass";
  MinecraftBlockTypes22["HardGrayStainedGlassPane"] = "minecraft:hard_gray_stained_glass_pane";
  MinecraftBlockTypes22["HardGreenStainedGlass"] = "minecraft:hard_green_stained_glass";
  MinecraftBlockTypes22["HardGreenStainedGlassPane"] = "minecraft:hard_green_stained_glass_pane";
  MinecraftBlockTypes22["HardLightBlueStainedGlass"] = "minecraft:hard_light_blue_stained_glass";
  MinecraftBlockTypes22["HardLightBlueStainedGlassPane"] = "minecraft:hard_light_blue_stained_glass_pane";
  MinecraftBlockTypes22["HardLightGrayStainedGlass"] = "minecraft:hard_light_gray_stained_glass";
  MinecraftBlockTypes22["HardLightGrayStainedGlassPane"] = "minecraft:hard_light_gray_stained_glass_pane";
  MinecraftBlockTypes22["HardLimeStainedGlass"] = "minecraft:hard_lime_stained_glass";
  MinecraftBlockTypes22["HardLimeStainedGlassPane"] = "minecraft:hard_lime_stained_glass_pane";
  MinecraftBlockTypes22["HardMagentaStainedGlass"] = "minecraft:hard_magenta_stained_glass";
  MinecraftBlockTypes22["HardMagentaStainedGlassPane"] = "minecraft:hard_magenta_stained_glass_pane";
  MinecraftBlockTypes22["HardOrangeStainedGlass"] = "minecraft:hard_orange_stained_glass";
  MinecraftBlockTypes22["HardOrangeStainedGlassPane"] = "minecraft:hard_orange_stained_glass_pane";
  MinecraftBlockTypes22["HardPinkStainedGlass"] = "minecraft:hard_pink_stained_glass";
  MinecraftBlockTypes22["HardPinkStainedGlassPane"] = "minecraft:hard_pink_stained_glass_pane";
  MinecraftBlockTypes22["HardPurpleStainedGlass"] = "minecraft:hard_purple_stained_glass";
  MinecraftBlockTypes22["HardPurpleStainedGlassPane"] = "minecraft:hard_purple_stained_glass_pane";
  MinecraftBlockTypes22["HardRedStainedGlass"] = "minecraft:hard_red_stained_glass";
  MinecraftBlockTypes22["HardRedStainedGlassPane"] = "minecraft:hard_red_stained_glass_pane";
  MinecraftBlockTypes22["HardWhiteStainedGlass"] = "minecraft:hard_white_stained_glass";
  MinecraftBlockTypes22["HardWhiteStainedGlassPane"] = "minecraft:hard_white_stained_glass_pane";
  MinecraftBlockTypes22["HardYellowStainedGlass"] = "minecraft:hard_yellow_stained_glass";
  MinecraftBlockTypes22["HardYellowStainedGlassPane"] = "minecraft:hard_yellow_stained_glass_pane";
  MinecraftBlockTypes22["HardenedClay"] = "minecraft:hardened_clay";
  MinecraftBlockTypes22["HayBlock"] = "minecraft:hay_block";
  MinecraftBlockTypes22["HeavyCore"] = "minecraft:heavy_core";
  MinecraftBlockTypes22["HeavyWeightedPressurePlate"] = "minecraft:heavy_weighted_pressure_plate";
  MinecraftBlockTypes22["HoneyBlock"] = "minecraft:honey_block";
  MinecraftBlockTypes22["HoneycombBlock"] = "minecraft:honeycomb_block";
  MinecraftBlockTypes22["Hopper"] = "minecraft:hopper";
  MinecraftBlockTypes22["HornCoral"] = "minecraft:horn_coral";
  MinecraftBlockTypes22["HornCoralBlock"] = "minecraft:horn_coral_block";
  MinecraftBlockTypes22["HornCoralFan"] = "minecraft:horn_coral_fan";
  MinecraftBlockTypes22["Ice"] = "minecraft:ice";
  MinecraftBlockTypes22["InfestedDeepslate"] = "minecraft:infested_deepslate";
  MinecraftBlockTypes22["InfoUpdate"] = "minecraft:info_update";
  MinecraftBlockTypes22["InfoUpdate2"] = "minecraft:info_update2";
  MinecraftBlockTypes22["InvisibleBedrock"] = "minecraft:invisible_bedrock";
  MinecraftBlockTypes22["IronBars"] = "minecraft:iron_bars";
  MinecraftBlockTypes22["IronBlock"] = "minecraft:iron_block";
  MinecraftBlockTypes22["IronDoor"] = "minecraft:iron_door";
  MinecraftBlockTypes22["IronOre"] = "minecraft:iron_ore";
  MinecraftBlockTypes22["IronTrapdoor"] = "minecraft:iron_trapdoor";
  MinecraftBlockTypes22["Jigsaw"] = "minecraft:jigsaw";
  MinecraftBlockTypes22["Jukebox"] = "minecraft:jukebox";
  MinecraftBlockTypes22["JungleButton"] = "minecraft:jungle_button";
  MinecraftBlockTypes22["JungleDoor"] = "minecraft:jungle_door";
  MinecraftBlockTypes22["JungleDoubleSlab"] = "minecraft:jungle_double_slab";
  MinecraftBlockTypes22["JungleFence"] = "minecraft:jungle_fence";
  MinecraftBlockTypes22["JungleFenceGate"] = "minecraft:jungle_fence_gate";
  MinecraftBlockTypes22["JungleHangingSign"] = "minecraft:jungle_hanging_sign";
  MinecraftBlockTypes22["JungleLeaves"] = "minecraft:jungle_leaves";
  MinecraftBlockTypes22["JungleLog"] = "minecraft:jungle_log";
  MinecraftBlockTypes22["JunglePlanks"] = "minecraft:jungle_planks";
  MinecraftBlockTypes22["JunglePressurePlate"] = "minecraft:jungle_pressure_plate";
  MinecraftBlockTypes22["JungleSapling"] = "minecraft:jungle_sapling";
  MinecraftBlockTypes22["JungleSlab"] = "minecraft:jungle_slab";
  MinecraftBlockTypes22["JungleStairs"] = "minecraft:jungle_stairs";
  MinecraftBlockTypes22["JungleStandingSign"] = "minecraft:jungle_standing_sign";
  MinecraftBlockTypes22["JungleTrapdoor"] = "minecraft:jungle_trapdoor";
  MinecraftBlockTypes22["JungleWallSign"] = "minecraft:jungle_wall_sign";
  MinecraftBlockTypes22["JungleWood"] = "minecraft:jungle_wood";
  MinecraftBlockTypes22["Kelp"] = "minecraft:kelp";
  MinecraftBlockTypes22["Ladder"] = "minecraft:ladder";
  MinecraftBlockTypes22["Lantern"] = "minecraft:lantern";
  MinecraftBlockTypes22["LapisBlock"] = "minecraft:lapis_block";
  MinecraftBlockTypes22["LapisOre"] = "minecraft:lapis_ore";
  MinecraftBlockTypes22["LargeAmethystBud"] = "minecraft:large_amethyst_bud";
  MinecraftBlockTypes22["LargeFern"] = "minecraft:large_fern";
  MinecraftBlockTypes22["Lava"] = "minecraft:lava";
  MinecraftBlockTypes22["Lectern"] = "minecraft:lectern";
  MinecraftBlockTypes22["Lever"] = "minecraft:lever";
  MinecraftBlockTypes22["LightBlock"] = "minecraft:light_block";
  MinecraftBlockTypes22["LightBlueCandle"] = "minecraft:light_blue_candle";
  MinecraftBlockTypes22["LightBlueCandleCake"] = "minecraft:light_blue_candle_cake";
  MinecraftBlockTypes22["LightBlueCarpet"] = "minecraft:light_blue_carpet";
  MinecraftBlockTypes22["LightBlueConcrete"] = "minecraft:light_blue_concrete";
  MinecraftBlockTypes22["LightBlueConcretePowder"] = "minecraft:light_blue_concrete_powder";
  MinecraftBlockTypes22["LightBlueGlazedTerracotta"] = "minecraft:light_blue_glazed_terracotta";
  MinecraftBlockTypes22["LightBlueShulkerBox"] = "minecraft:light_blue_shulker_box";
  MinecraftBlockTypes22["LightBlueStainedGlass"] = "minecraft:light_blue_stained_glass";
  MinecraftBlockTypes22["LightBlueStainedGlassPane"] = "minecraft:light_blue_stained_glass_pane";
  MinecraftBlockTypes22["LightBlueTerracotta"] = "minecraft:light_blue_terracotta";
  MinecraftBlockTypes22["LightBlueWool"] = "minecraft:light_blue_wool";
  MinecraftBlockTypes22["LightGrayCandle"] = "minecraft:light_gray_candle";
  MinecraftBlockTypes22["LightGrayCandleCake"] = "minecraft:light_gray_candle_cake";
  MinecraftBlockTypes22["LightGrayCarpet"] = "minecraft:light_gray_carpet";
  MinecraftBlockTypes22["LightGrayConcrete"] = "minecraft:light_gray_concrete";
  MinecraftBlockTypes22["LightGrayConcretePowder"] = "minecraft:light_gray_concrete_powder";
  MinecraftBlockTypes22["LightGrayShulkerBox"] = "minecraft:light_gray_shulker_box";
  MinecraftBlockTypes22["LightGrayStainedGlass"] = "minecraft:light_gray_stained_glass";
  MinecraftBlockTypes22["LightGrayStainedGlassPane"] = "minecraft:light_gray_stained_glass_pane";
  MinecraftBlockTypes22["LightGrayTerracotta"] = "minecraft:light_gray_terracotta";
  MinecraftBlockTypes22["LightGrayWool"] = "minecraft:light_gray_wool";
  MinecraftBlockTypes22["LightWeightedPressurePlate"] = "minecraft:light_weighted_pressure_plate";
  MinecraftBlockTypes22["LightningRod"] = "minecraft:lightning_rod";
  MinecraftBlockTypes22["Lilac"] = "minecraft:lilac";
  MinecraftBlockTypes22["LilyOfTheValley"] = "minecraft:lily_of_the_valley";
  MinecraftBlockTypes22["LimeCandle"] = "minecraft:lime_candle";
  MinecraftBlockTypes22["LimeCandleCake"] = "minecraft:lime_candle_cake";
  MinecraftBlockTypes22["LimeCarpet"] = "minecraft:lime_carpet";
  MinecraftBlockTypes22["LimeConcrete"] = "minecraft:lime_concrete";
  MinecraftBlockTypes22["LimeConcretePowder"] = "minecraft:lime_concrete_powder";
  MinecraftBlockTypes22["LimeGlazedTerracotta"] = "minecraft:lime_glazed_terracotta";
  MinecraftBlockTypes22["LimeShulkerBox"] = "minecraft:lime_shulker_box";
  MinecraftBlockTypes22["LimeStainedGlass"] = "minecraft:lime_stained_glass";
  MinecraftBlockTypes22["LimeStainedGlassPane"] = "minecraft:lime_stained_glass_pane";
  MinecraftBlockTypes22["LimeTerracotta"] = "minecraft:lime_terracotta";
  MinecraftBlockTypes22["LimeWool"] = "minecraft:lime_wool";
  MinecraftBlockTypes22["LitBlastFurnace"] = "minecraft:lit_blast_furnace";
  MinecraftBlockTypes22["LitDeepslateRedstoneOre"] = "minecraft:lit_deepslate_redstone_ore";
  MinecraftBlockTypes22["LitFurnace"] = "minecraft:lit_furnace";
  MinecraftBlockTypes22["LitPumpkin"] = "minecraft:lit_pumpkin";
  MinecraftBlockTypes22["LitRedstoneLamp"] = "minecraft:lit_redstone_lamp";
  MinecraftBlockTypes22["LitRedstoneOre"] = "minecraft:lit_redstone_ore";
  MinecraftBlockTypes22["LitSmoker"] = "minecraft:lit_smoker";
  MinecraftBlockTypes22["Lodestone"] = "minecraft:lodestone";
  MinecraftBlockTypes22["Loom"] = "minecraft:loom";
  MinecraftBlockTypes22["MagentaCandle"] = "minecraft:magenta_candle";
  MinecraftBlockTypes22["MagentaCandleCake"] = "minecraft:magenta_candle_cake";
  MinecraftBlockTypes22["MagentaCarpet"] = "minecraft:magenta_carpet";
  MinecraftBlockTypes22["MagentaConcrete"] = "minecraft:magenta_concrete";
  MinecraftBlockTypes22["MagentaConcretePowder"] = "minecraft:magenta_concrete_powder";
  MinecraftBlockTypes22["MagentaGlazedTerracotta"] = "minecraft:magenta_glazed_terracotta";
  MinecraftBlockTypes22["MagentaShulkerBox"] = "minecraft:magenta_shulker_box";
  MinecraftBlockTypes22["MagentaStainedGlass"] = "minecraft:magenta_stained_glass";
  MinecraftBlockTypes22["MagentaStainedGlassPane"] = "minecraft:magenta_stained_glass_pane";
  MinecraftBlockTypes22["MagentaTerracotta"] = "minecraft:magenta_terracotta";
  MinecraftBlockTypes22["MagentaWool"] = "minecraft:magenta_wool";
  MinecraftBlockTypes22["Magma"] = "minecraft:magma";
  MinecraftBlockTypes22["MangroveButton"] = "minecraft:mangrove_button";
  MinecraftBlockTypes22["MangroveDoor"] = "minecraft:mangrove_door";
  MinecraftBlockTypes22["MangroveDoubleSlab"] = "minecraft:mangrove_double_slab";
  MinecraftBlockTypes22["MangroveFence"] = "minecraft:mangrove_fence";
  MinecraftBlockTypes22["MangroveFenceGate"] = "minecraft:mangrove_fence_gate";
  MinecraftBlockTypes22["MangroveHangingSign"] = "minecraft:mangrove_hanging_sign";
  MinecraftBlockTypes22["MangroveLeaves"] = "minecraft:mangrove_leaves";
  MinecraftBlockTypes22["MangroveLog"] = "minecraft:mangrove_log";
  MinecraftBlockTypes22["MangrovePlanks"] = "minecraft:mangrove_planks";
  MinecraftBlockTypes22["MangrovePressurePlate"] = "minecraft:mangrove_pressure_plate";
  MinecraftBlockTypes22["MangrovePropagule"] = "minecraft:mangrove_propagule";
  MinecraftBlockTypes22["MangroveRoots"] = "minecraft:mangrove_roots";
  MinecraftBlockTypes22["MangroveSlab"] = "minecraft:mangrove_slab";
  MinecraftBlockTypes22["MangroveStairs"] = "minecraft:mangrove_stairs";
  MinecraftBlockTypes22["MangroveStandingSign"] = "minecraft:mangrove_standing_sign";
  MinecraftBlockTypes22["MangroveTrapdoor"] = "minecraft:mangrove_trapdoor";
  MinecraftBlockTypes22["MangroveWallSign"] = "minecraft:mangrove_wall_sign";
  MinecraftBlockTypes22["MangroveWood"] = "minecraft:mangrove_wood";
  MinecraftBlockTypes22["MediumAmethystBud"] = "minecraft:medium_amethyst_bud";
  MinecraftBlockTypes22["MelonBlock"] = "minecraft:melon_block";
  MinecraftBlockTypes22["MelonStem"] = "minecraft:melon_stem";
  MinecraftBlockTypes22["MobSpawner"] = "minecraft:mob_spawner";
  MinecraftBlockTypes22["MonsterEgg"] = "minecraft:monster_egg";
  MinecraftBlockTypes22["MossBlock"] = "minecraft:moss_block";
  MinecraftBlockTypes22["MossCarpet"] = "minecraft:moss_carpet";
  MinecraftBlockTypes22["MossyCobblestone"] = "minecraft:mossy_cobblestone";
  MinecraftBlockTypes22["MossyCobblestoneStairs"] = "minecraft:mossy_cobblestone_stairs";
  MinecraftBlockTypes22["MossyStoneBrickStairs"] = "minecraft:mossy_stone_brick_stairs";
  MinecraftBlockTypes22["MovingBlock"] = "minecraft:moving_block";
  MinecraftBlockTypes22["Mud"] = "minecraft:mud";
  MinecraftBlockTypes22["MudBrickDoubleSlab"] = "minecraft:mud_brick_double_slab";
  MinecraftBlockTypes22["MudBrickSlab"] = "minecraft:mud_brick_slab";
  MinecraftBlockTypes22["MudBrickStairs"] = "minecraft:mud_brick_stairs";
  MinecraftBlockTypes22["MudBrickWall"] = "minecraft:mud_brick_wall";
  MinecraftBlockTypes22["MudBricks"] = "minecraft:mud_bricks";
  MinecraftBlockTypes22["MuddyMangroveRoots"] = "minecraft:muddy_mangrove_roots";
  MinecraftBlockTypes22["Mycelium"] = "minecraft:mycelium";
  MinecraftBlockTypes22["NetherBrick"] = "minecraft:nether_brick";
  MinecraftBlockTypes22["NetherBrickFence"] = "minecraft:nether_brick_fence";
  MinecraftBlockTypes22["NetherBrickSlab"] = "minecraft:nether_brick_slab";
  MinecraftBlockTypes22["NetherBrickStairs"] = "minecraft:nether_brick_stairs";
  MinecraftBlockTypes22["NetherGoldOre"] = "minecraft:nether_gold_ore";
  MinecraftBlockTypes22["NetherSprouts"] = "minecraft:nether_sprouts";
  MinecraftBlockTypes22["NetherWart"] = "minecraft:nether_wart";
  MinecraftBlockTypes22["NetherWartBlock"] = "minecraft:nether_wart_block";
  MinecraftBlockTypes22["NetheriteBlock"] = "minecraft:netherite_block";
  MinecraftBlockTypes22["Netherrack"] = "minecraft:netherrack";
  MinecraftBlockTypes22["Netherreactor"] = "minecraft:netherreactor";
  MinecraftBlockTypes22["NormalStoneStairs"] = "minecraft:normal_stone_stairs";
  MinecraftBlockTypes22["Noteblock"] = "minecraft:noteblock";
  MinecraftBlockTypes22["OakDoubleSlab"] = "minecraft:oak_double_slab";
  MinecraftBlockTypes22["OakFence"] = "minecraft:oak_fence";
  MinecraftBlockTypes22["OakHangingSign"] = "minecraft:oak_hanging_sign";
  MinecraftBlockTypes22["OakLeaves"] = "minecraft:oak_leaves";
  MinecraftBlockTypes22["OakLog"] = "minecraft:oak_log";
  MinecraftBlockTypes22["OakPlanks"] = "minecraft:oak_planks";
  MinecraftBlockTypes22["OakSapling"] = "minecraft:oak_sapling";
  MinecraftBlockTypes22["OakSlab"] = "minecraft:oak_slab";
  MinecraftBlockTypes22["OakStairs"] = "minecraft:oak_stairs";
  MinecraftBlockTypes22["OakWood"] = "minecraft:oak_wood";
  MinecraftBlockTypes22["Observer"] = "minecraft:observer";
  MinecraftBlockTypes22["Obsidian"] = "minecraft:obsidian";
  MinecraftBlockTypes22["OchreFroglight"] = "minecraft:ochre_froglight";
  MinecraftBlockTypes22["OrangeCandle"] = "minecraft:orange_candle";
  MinecraftBlockTypes22["OrangeCandleCake"] = "minecraft:orange_candle_cake";
  MinecraftBlockTypes22["OrangeCarpet"] = "minecraft:orange_carpet";
  MinecraftBlockTypes22["OrangeConcrete"] = "minecraft:orange_concrete";
  MinecraftBlockTypes22["OrangeConcretePowder"] = "minecraft:orange_concrete_powder";
  MinecraftBlockTypes22["OrangeGlazedTerracotta"] = "minecraft:orange_glazed_terracotta";
  MinecraftBlockTypes22["OrangeShulkerBox"] = "minecraft:orange_shulker_box";
  MinecraftBlockTypes22["OrangeStainedGlass"] = "minecraft:orange_stained_glass";
  MinecraftBlockTypes22["OrangeStainedGlassPane"] = "minecraft:orange_stained_glass_pane";
  MinecraftBlockTypes22["OrangeTerracotta"] = "minecraft:orange_terracotta";
  MinecraftBlockTypes22["OrangeTulip"] = "minecraft:orange_tulip";
  MinecraftBlockTypes22["OrangeWool"] = "minecraft:orange_wool";
  MinecraftBlockTypes22["OxeyeDaisy"] = "minecraft:oxeye_daisy";
  MinecraftBlockTypes22["OxidizedChiseledCopper"] = "minecraft:oxidized_chiseled_copper";
  MinecraftBlockTypes22["OxidizedCopper"] = "minecraft:oxidized_copper";
  MinecraftBlockTypes22["OxidizedCopperBulb"] = "minecraft:oxidized_copper_bulb";
  MinecraftBlockTypes22["OxidizedCopperDoor"] = "minecraft:oxidized_copper_door";
  MinecraftBlockTypes22["OxidizedCopperGrate"] = "minecraft:oxidized_copper_grate";
  MinecraftBlockTypes22["OxidizedCopperTrapdoor"] = "minecraft:oxidized_copper_trapdoor";
  MinecraftBlockTypes22["OxidizedCutCopper"] = "minecraft:oxidized_cut_copper";
  MinecraftBlockTypes22["OxidizedCutCopperSlab"] = "minecraft:oxidized_cut_copper_slab";
  MinecraftBlockTypes22["OxidizedCutCopperStairs"] = "minecraft:oxidized_cut_copper_stairs";
  MinecraftBlockTypes22["OxidizedDoubleCutCopperSlab"] = "minecraft:oxidized_double_cut_copper_slab";
  MinecraftBlockTypes22["PackedIce"] = "minecraft:packed_ice";
  MinecraftBlockTypes22["PackedMud"] = "minecraft:packed_mud";
  MinecraftBlockTypes22["PearlescentFroglight"] = "minecraft:pearlescent_froglight";
  MinecraftBlockTypes22["Peony"] = "minecraft:peony";
  MinecraftBlockTypes22["PetrifiedOakSlab"] = "minecraft:petrified_oak_slab";
  MinecraftBlockTypes22["PinkCandle"] = "minecraft:pink_candle";
  MinecraftBlockTypes22["PinkCandleCake"] = "minecraft:pink_candle_cake";
  MinecraftBlockTypes22["PinkCarpet"] = "minecraft:pink_carpet";
  MinecraftBlockTypes22["PinkConcrete"] = "minecraft:pink_concrete";
  MinecraftBlockTypes22["PinkConcretePowder"] = "minecraft:pink_concrete_powder";
  MinecraftBlockTypes22["PinkGlazedTerracotta"] = "minecraft:pink_glazed_terracotta";
  MinecraftBlockTypes22["PinkPetals"] = "minecraft:pink_petals";
  MinecraftBlockTypes22["PinkShulkerBox"] = "minecraft:pink_shulker_box";
  MinecraftBlockTypes22["PinkStainedGlass"] = "minecraft:pink_stained_glass";
  MinecraftBlockTypes22["PinkStainedGlassPane"] = "minecraft:pink_stained_glass_pane";
  MinecraftBlockTypes22["PinkTerracotta"] = "minecraft:pink_terracotta";
  MinecraftBlockTypes22["PinkTulip"] = "minecraft:pink_tulip";
  MinecraftBlockTypes22["PinkWool"] = "minecraft:pink_wool";
  MinecraftBlockTypes22["Piston"] = "minecraft:piston";
  MinecraftBlockTypes22["PistonArmCollision"] = "minecraft:piston_arm_collision";
  MinecraftBlockTypes22["PitcherCrop"] = "minecraft:pitcher_crop";
  MinecraftBlockTypes22["PitcherPlant"] = "minecraft:pitcher_plant";
  MinecraftBlockTypes22["Podzol"] = "minecraft:podzol";
  MinecraftBlockTypes22["PointedDripstone"] = "minecraft:pointed_dripstone";
  MinecraftBlockTypes22["PolishedAndesite"] = "minecraft:polished_andesite";
  MinecraftBlockTypes22["PolishedAndesiteStairs"] = "minecraft:polished_andesite_stairs";
  MinecraftBlockTypes22["PolishedBasalt"] = "minecraft:polished_basalt";
  MinecraftBlockTypes22["PolishedBlackstone"] = "minecraft:polished_blackstone";
  MinecraftBlockTypes22["PolishedBlackstoneBrickDoubleSlab"] = "minecraft:polished_blackstone_brick_double_slab";
  MinecraftBlockTypes22["PolishedBlackstoneBrickSlab"] = "minecraft:polished_blackstone_brick_slab";
  MinecraftBlockTypes22["PolishedBlackstoneBrickStairs"] = "minecraft:polished_blackstone_brick_stairs";
  MinecraftBlockTypes22["PolishedBlackstoneBrickWall"] = "minecraft:polished_blackstone_brick_wall";
  MinecraftBlockTypes22["PolishedBlackstoneBricks"] = "minecraft:polished_blackstone_bricks";
  MinecraftBlockTypes22["PolishedBlackstoneButton"] = "minecraft:polished_blackstone_button";
  MinecraftBlockTypes22["PolishedBlackstoneDoubleSlab"] = "minecraft:polished_blackstone_double_slab";
  MinecraftBlockTypes22["PolishedBlackstonePressurePlate"] = "minecraft:polished_blackstone_pressure_plate";
  MinecraftBlockTypes22["PolishedBlackstoneSlab"] = "minecraft:polished_blackstone_slab";
  MinecraftBlockTypes22["PolishedBlackstoneStairs"] = "minecraft:polished_blackstone_stairs";
  MinecraftBlockTypes22["PolishedBlackstoneWall"] = "minecraft:polished_blackstone_wall";
  MinecraftBlockTypes22["PolishedDeepslate"] = "minecraft:polished_deepslate";
  MinecraftBlockTypes22["PolishedDeepslateDoubleSlab"] = "minecraft:polished_deepslate_double_slab";
  MinecraftBlockTypes22["PolishedDeepslateSlab"] = "minecraft:polished_deepslate_slab";
  MinecraftBlockTypes22["PolishedDeepslateStairs"] = "minecraft:polished_deepslate_stairs";
  MinecraftBlockTypes22["PolishedDeepslateWall"] = "minecraft:polished_deepslate_wall";
  MinecraftBlockTypes22["PolishedDiorite"] = "minecraft:polished_diorite";
  MinecraftBlockTypes22["PolishedDioriteStairs"] = "minecraft:polished_diorite_stairs";
  MinecraftBlockTypes22["PolishedGranite"] = "minecraft:polished_granite";
  MinecraftBlockTypes22["PolishedGraniteStairs"] = "minecraft:polished_granite_stairs";
  MinecraftBlockTypes22["PolishedTuff"] = "minecraft:polished_tuff";
  MinecraftBlockTypes22["PolishedTuffDoubleSlab"] = "minecraft:polished_tuff_double_slab";
  MinecraftBlockTypes22["PolishedTuffSlab"] = "minecraft:polished_tuff_slab";
  MinecraftBlockTypes22["PolishedTuffStairs"] = "minecraft:polished_tuff_stairs";
  MinecraftBlockTypes22["PolishedTuffWall"] = "minecraft:polished_tuff_wall";
  MinecraftBlockTypes22["Poppy"] = "minecraft:poppy";
  MinecraftBlockTypes22["Portal"] = "minecraft:portal";
  MinecraftBlockTypes22["Potatoes"] = "minecraft:potatoes";
  MinecraftBlockTypes22["PowderSnow"] = "minecraft:powder_snow";
  MinecraftBlockTypes22["PoweredComparator"] = "minecraft:powered_comparator";
  MinecraftBlockTypes22["PoweredRepeater"] = "minecraft:powered_repeater";
  MinecraftBlockTypes22["Prismarine"] = "minecraft:prismarine";
  MinecraftBlockTypes22["PrismarineBricksStairs"] = "minecraft:prismarine_bricks_stairs";
  MinecraftBlockTypes22["PrismarineStairs"] = "minecraft:prismarine_stairs";
  MinecraftBlockTypes22["Pumpkin"] = "minecraft:pumpkin";
  MinecraftBlockTypes22["PumpkinStem"] = "minecraft:pumpkin_stem";
  MinecraftBlockTypes22["PurpleCandle"] = "minecraft:purple_candle";
  MinecraftBlockTypes22["PurpleCandleCake"] = "minecraft:purple_candle_cake";
  MinecraftBlockTypes22["PurpleCarpet"] = "minecraft:purple_carpet";
  MinecraftBlockTypes22["PurpleConcrete"] = "minecraft:purple_concrete";
  MinecraftBlockTypes22["PurpleConcretePowder"] = "minecraft:purple_concrete_powder";
  MinecraftBlockTypes22["PurpleGlazedTerracotta"] = "minecraft:purple_glazed_terracotta";
  MinecraftBlockTypes22["PurpleShulkerBox"] = "minecraft:purple_shulker_box";
  MinecraftBlockTypes22["PurpleStainedGlass"] = "minecraft:purple_stained_glass";
  MinecraftBlockTypes22["PurpleStainedGlassPane"] = "minecraft:purple_stained_glass_pane";
  MinecraftBlockTypes22["PurpleTerracotta"] = "minecraft:purple_terracotta";
  MinecraftBlockTypes22["PurpleWool"] = "minecraft:purple_wool";
  MinecraftBlockTypes22["PurpurBlock"] = "minecraft:purpur_block";
  MinecraftBlockTypes22["PurpurStairs"] = "minecraft:purpur_stairs";
  MinecraftBlockTypes22["QuartzBlock"] = "minecraft:quartz_block";
  MinecraftBlockTypes22["QuartzBricks"] = "minecraft:quartz_bricks";
  MinecraftBlockTypes22["QuartzOre"] = "minecraft:quartz_ore";
  MinecraftBlockTypes22["QuartzSlab"] = "minecraft:quartz_slab";
  MinecraftBlockTypes22["QuartzStairs"] = "minecraft:quartz_stairs";
  MinecraftBlockTypes22["Rail"] = "minecraft:rail";
  MinecraftBlockTypes22["RawCopperBlock"] = "minecraft:raw_copper_block";
  MinecraftBlockTypes22["RawGoldBlock"] = "minecraft:raw_gold_block";
  MinecraftBlockTypes22["RawIronBlock"] = "minecraft:raw_iron_block";
  MinecraftBlockTypes22["RedCandle"] = "minecraft:red_candle";
  MinecraftBlockTypes22["RedCandleCake"] = "minecraft:red_candle_cake";
  MinecraftBlockTypes22["RedCarpet"] = "minecraft:red_carpet";
  MinecraftBlockTypes22["RedConcrete"] = "minecraft:red_concrete";
  MinecraftBlockTypes22["RedConcretePowder"] = "minecraft:red_concrete_powder";
  MinecraftBlockTypes22["RedGlazedTerracotta"] = "minecraft:red_glazed_terracotta";
  MinecraftBlockTypes22["RedMushroom"] = "minecraft:red_mushroom";
  MinecraftBlockTypes22["RedMushroomBlock"] = "minecraft:red_mushroom_block";
  MinecraftBlockTypes22["RedNetherBrick"] = "minecraft:red_nether_brick";
  MinecraftBlockTypes22["RedNetherBrickStairs"] = "minecraft:red_nether_brick_stairs";
  MinecraftBlockTypes22["RedSandstone"] = "minecraft:red_sandstone";
  MinecraftBlockTypes22["RedSandstoneStairs"] = "minecraft:red_sandstone_stairs";
  MinecraftBlockTypes22["RedShulkerBox"] = "minecraft:red_shulker_box";
  MinecraftBlockTypes22["RedStainedGlass"] = "minecraft:red_stained_glass";
  MinecraftBlockTypes22["RedStainedGlassPane"] = "minecraft:red_stained_glass_pane";
  MinecraftBlockTypes22["RedTerracotta"] = "minecraft:red_terracotta";
  MinecraftBlockTypes22["RedTulip"] = "minecraft:red_tulip";
  MinecraftBlockTypes22["RedWool"] = "minecraft:red_wool";
  MinecraftBlockTypes22["RedstoneBlock"] = "minecraft:redstone_block";
  MinecraftBlockTypes22["RedstoneLamp"] = "minecraft:redstone_lamp";
  MinecraftBlockTypes22["RedstoneOre"] = "minecraft:redstone_ore";
  MinecraftBlockTypes22["RedstoneTorch"] = "minecraft:redstone_torch";
  MinecraftBlockTypes22["RedstoneWire"] = "minecraft:redstone_wire";
  MinecraftBlockTypes22["Reeds"] = "minecraft:reeds";
  MinecraftBlockTypes22["ReinforcedDeepslate"] = "minecraft:reinforced_deepslate";
  MinecraftBlockTypes22["RepeatingCommandBlock"] = "minecraft:repeating_command_block";
  MinecraftBlockTypes22["Reserved6"] = "minecraft:reserved6";
  MinecraftBlockTypes22["RespawnAnchor"] = "minecraft:respawn_anchor";
  MinecraftBlockTypes22["RoseBush"] = "minecraft:rose_bush";
  MinecraftBlockTypes22["Sand"] = "minecraft:sand";
  MinecraftBlockTypes22["Sandstone"] = "minecraft:sandstone";
  MinecraftBlockTypes22["SandstoneSlab"] = "minecraft:sandstone_slab";
  MinecraftBlockTypes22["SandstoneStairs"] = "minecraft:sandstone_stairs";
  MinecraftBlockTypes22["Scaffolding"] = "minecraft:scaffolding";
  MinecraftBlockTypes22["Sculk"] = "minecraft:sculk";
  MinecraftBlockTypes22["SculkCatalyst"] = "minecraft:sculk_catalyst";
  MinecraftBlockTypes22["SculkSensor"] = "minecraft:sculk_sensor";
  MinecraftBlockTypes22["SculkShrieker"] = "minecraft:sculk_shrieker";
  MinecraftBlockTypes22["SculkVein"] = "minecraft:sculk_vein";
  MinecraftBlockTypes22["SeaLantern"] = "minecraft:sea_lantern";
  MinecraftBlockTypes22["SeaPickle"] = "minecraft:sea_pickle";
  MinecraftBlockTypes22["Seagrass"] = "minecraft:seagrass";
  MinecraftBlockTypes22["ShortGrass"] = "minecraft:short_grass";
  MinecraftBlockTypes22["Shroomlight"] = "minecraft:shroomlight";
  MinecraftBlockTypes22["SilverGlazedTerracotta"] = "minecraft:silver_glazed_terracotta";
  MinecraftBlockTypes22["Skull"] = "minecraft:skull";
  MinecraftBlockTypes22["Slime"] = "minecraft:slime";
  MinecraftBlockTypes22["SmallAmethystBud"] = "minecraft:small_amethyst_bud";
  MinecraftBlockTypes22["SmallDripleafBlock"] = "minecraft:small_dripleaf_block";
  MinecraftBlockTypes22["SmithingTable"] = "minecraft:smithing_table";
  MinecraftBlockTypes22["Smoker"] = "minecraft:smoker";
  MinecraftBlockTypes22["SmoothBasalt"] = "minecraft:smooth_basalt";
  MinecraftBlockTypes22["SmoothQuartzStairs"] = "minecraft:smooth_quartz_stairs";
  MinecraftBlockTypes22["SmoothRedSandstoneStairs"] = "minecraft:smooth_red_sandstone_stairs";
  MinecraftBlockTypes22["SmoothSandstoneStairs"] = "minecraft:smooth_sandstone_stairs";
  MinecraftBlockTypes22["SmoothStone"] = "minecraft:smooth_stone";
  MinecraftBlockTypes22["SmoothStoneSlab"] = "minecraft:smooth_stone_slab";
  MinecraftBlockTypes22["SnifferEgg"] = "minecraft:sniffer_egg";
  MinecraftBlockTypes22["Snow"] = "minecraft:snow";
  MinecraftBlockTypes22["SnowLayer"] = "minecraft:snow_layer";
  MinecraftBlockTypes22["SoulCampfire"] = "minecraft:soul_campfire";
  MinecraftBlockTypes22["SoulFire"] = "minecraft:soul_fire";
  MinecraftBlockTypes22["SoulLantern"] = "minecraft:soul_lantern";
  MinecraftBlockTypes22["SoulSand"] = "minecraft:soul_sand";
  MinecraftBlockTypes22["SoulSoil"] = "minecraft:soul_soil";
  MinecraftBlockTypes22["SoulTorch"] = "minecraft:soul_torch";
  MinecraftBlockTypes22["Sponge"] = "minecraft:sponge";
  MinecraftBlockTypes22["SporeBlossom"] = "minecraft:spore_blossom";
  MinecraftBlockTypes22["SpruceButton"] = "minecraft:spruce_button";
  MinecraftBlockTypes22["SpruceDoor"] = "minecraft:spruce_door";
  MinecraftBlockTypes22["SpruceDoubleSlab"] = "minecraft:spruce_double_slab";
  MinecraftBlockTypes22["SpruceFence"] = "minecraft:spruce_fence";
  MinecraftBlockTypes22["SpruceFenceGate"] = "minecraft:spruce_fence_gate";
  MinecraftBlockTypes22["SpruceHangingSign"] = "minecraft:spruce_hanging_sign";
  MinecraftBlockTypes22["SpruceLeaves"] = "minecraft:spruce_leaves";
  MinecraftBlockTypes22["SpruceLog"] = "minecraft:spruce_log";
  MinecraftBlockTypes22["SprucePlanks"] = "minecraft:spruce_planks";
  MinecraftBlockTypes22["SprucePressurePlate"] = "minecraft:spruce_pressure_plate";
  MinecraftBlockTypes22["SpruceSapling"] = "minecraft:spruce_sapling";
  MinecraftBlockTypes22["SpruceSlab"] = "minecraft:spruce_slab";
  MinecraftBlockTypes22["SpruceStairs"] = "minecraft:spruce_stairs";
  MinecraftBlockTypes22["SpruceStandingSign"] = "minecraft:spruce_standing_sign";
  MinecraftBlockTypes22["SpruceTrapdoor"] = "minecraft:spruce_trapdoor";
  MinecraftBlockTypes22["SpruceWallSign"] = "minecraft:spruce_wall_sign";
  MinecraftBlockTypes22["SpruceWood"] = "minecraft:spruce_wood";
  MinecraftBlockTypes22["StandingBanner"] = "minecraft:standing_banner";
  MinecraftBlockTypes22["StandingSign"] = "minecraft:standing_sign";
  MinecraftBlockTypes22["StickyPiston"] = "minecraft:sticky_piston";
  MinecraftBlockTypes22["StickyPistonArmCollision"] = "minecraft:sticky_piston_arm_collision";
  MinecraftBlockTypes22["Stone"] = "minecraft:stone";
  MinecraftBlockTypes22["StoneBlockSlab2"] = "minecraft:stone_block_slab2";
  MinecraftBlockTypes22["StoneBlockSlab3"] = "minecraft:stone_block_slab3";
  MinecraftBlockTypes22["StoneBlockSlab4"] = "minecraft:stone_block_slab4";
  MinecraftBlockTypes22["StoneBrickSlab"] = "minecraft:stone_brick_slab";
  MinecraftBlockTypes22["StoneBrickStairs"] = "minecraft:stone_brick_stairs";
  MinecraftBlockTypes22["StoneButton"] = "minecraft:stone_button";
  MinecraftBlockTypes22["StonePressurePlate"] = "minecraft:stone_pressure_plate";
  MinecraftBlockTypes22["StoneStairs"] = "minecraft:stone_stairs";
  MinecraftBlockTypes22["Stonebrick"] = "minecraft:stonebrick";
  MinecraftBlockTypes22["Stonecutter"] = "minecraft:stonecutter";
  MinecraftBlockTypes22["StonecutterBlock"] = "minecraft:stonecutter_block";
  MinecraftBlockTypes22["StrippedAcaciaLog"] = "minecraft:stripped_acacia_log";
  MinecraftBlockTypes22["StrippedAcaciaWood"] = "minecraft:stripped_acacia_wood";
  MinecraftBlockTypes22["StrippedBambooBlock"] = "minecraft:stripped_bamboo_block";
  MinecraftBlockTypes22["StrippedBirchLog"] = "minecraft:stripped_birch_log";
  MinecraftBlockTypes22["StrippedBirchWood"] = "minecraft:stripped_birch_wood";
  MinecraftBlockTypes22["StrippedCherryLog"] = "minecraft:stripped_cherry_log";
  MinecraftBlockTypes22["StrippedCherryWood"] = "minecraft:stripped_cherry_wood";
  MinecraftBlockTypes22["StrippedCrimsonHyphae"] = "minecraft:stripped_crimson_hyphae";
  MinecraftBlockTypes22["StrippedCrimsonStem"] = "minecraft:stripped_crimson_stem";
  MinecraftBlockTypes22["StrippedDarkOakLog"] = "minecraft:stripped_dark_oak_log";
  MinecraftBlockTypes22["StrippedDarkOakWood"] = "minecraft:stripped_dark_oak_wood";
  MinecraftBlockTypes22["StrippedJungleLog"] = "minecraft:stripped_jungle_log";
  MinecraftBlockTypes22["StrippedJungleWood"] = "minecraft:stripped_jungle_wood";
  MinecraftBlockTypes22["StrippedMangroveLog"] = "minecraft:stripped_mangrove_log";
  MinecraftBlockTypes22["StrippedMangroveWood"] = "minecraft:stripped_mangrove_wood";
  MinecraftBlockTypes22["StrippedOakLog"] = "minecraft:stripped_oak_log";
  MinecraftBlockTypes22["StrippedOakWood"] = "minecraft:stripped_oak_wood";
  MinecraftBlockTypes22["StrippedSpruceLog"] = "minecraft:stripped_spruce_log";
  MinecraftBlockTypes22["StrippedSpruceWood"] = "minecraft:stripped_spruce_wood";
  MinecraftBlockTypes22["StrippedWarpedHyphae"] = "minecraft:stripped_warped_hyphae";
  MinecraftBlockTypes22["StrippedWarpedStem"] = "minecraft:stripped_warped_stem";
  MinecraftBlockTypes22["StructureBlock"] = "minecraft:structure_block";
  MinecraftBlockTypes22["StructureVoid"] = "minecraft:structure_void";
  MinecraftBlockTypes22["Sunflower"] = "minecraft:sunflower";
  MinecraftBlockTypes22["SuspiciousGravel"] = "minecraft:suspicious_gravel";
  MinecraftBlockTypes22["SuspiciousSand"] = "minecraft:suspicious_sand";
  MinecraftBlockTypes22["SweetBerryBush"] = "minecraft:sweet_berry_bush";
  MinecraftBlockTypes22["TallGrass"] = "minecraft:tall_grass";
  MinecraftBlockTypes22["Target"] = "minecraft:target";
  MinecraftBlockTypes22["TintedGlass"] = "minecraft:tinted_glass";
  MinecraftBlockTypes22["Tnt"] = "minecraft:tnt";
  MinecraftBlockTypes22["Torch"] = "minecraft:torch";
  MinecraftBlockTypes22["Torchflower"] = "minecraft:torchflower";
  MinecraftBlockTypes22["TorchflowerCrop"] = "minecraft:torchflower_crop";
  MinecraftBlockTypes22["Trapdoor"] = "minecraft:trapdoor";
  MinecraftBlockTypes22["TrappedChest"] = "minecraft:trapped_chest";
  MinecraftBlockTypes22["TrialSpawner"] = "minecraft:trial_spawner";
  MinecraftBlockTypes22["TripWire"] = "minecraft:trip_wire";
  MinecraftBlockTypes22["TripwireHook"] = "minecraft:tripwire_hook";
  MinecraftBlockTypes22["TubeCoral"] = "minecraft:tube_coral";
  MinecraftBlockTypes22["TubeCoralBlock"] = "minecraft:tube_coral_block";
  MinecraftBlockTypes22["TubeCoralFan"] = "minecraft:tube_coral_fan";
  MinecraftBlockTypes22["Tuff"] = "minecraft:tuff";
  MinecraftBlockTypes22["TuffBrickDoubleSlab"] = "minecraft:tuff_brick_double_slab";
  MinecraftBlockTypes22["TuffBrickSlab"] = "minecraft:tuff_brick_slab";
  MinecraftBlockTypes22["TuffBrickStairs"] = "minecraft:tuff_brick_stairs";
  MinecraftBlockTypes22["TuffBrickWall"] = "minecraft:tuff_brick_wall";
  MinecraftBlockTypes22["TuffBricks"] = "minecraft:tuff_bricks";
  MinecraftBlockTypes22["TuffDoubleSlab"] = "minecraft:tuff_double_slab";
  MinecraftBlockTypes22["TuffSlab"] = "minecraft:tuff_slab";
  MinecraftBlockTypes22["TuffStairs"] = "minecraft:tuff_stairs";
  MinecraftBlockTypes22["TuffWall"] = "minecraft:tuff_wall";
  MinecraftBlockTypes22["TurtleEgg"] = "minecraft:turtle_egg";
  MinecraftBlockTypes22["TwistingVines"] = "minecraft:twisting_vines";
  MinecraftBlockTypes22["UnderwaterTorch"] = "minecraft:underwater_torch";
  MinecraftBlockTypes22["UndyedShulkerBox"] = "minecraft:undyed_shulker_box";
  MinecraftBlockTypes22["Unknown"] = "minecraft:unknown";
  MinecraftBlockTypes22["UnlitRedstoneTorch"] = "minecraft:unlit_redstone_torch";
  MinecraftBlockTypes22["UnpoweredComparator"] = "minecraft:unpowered_comparator";
  MinecraftBlockTypes22["UnpoweredRepeater"] = "minecraft:unpowered_repeater";
  MinecraftBlockTypes22["Vault"] = "minecraft:vault";
  MinecraftBlockTypes22["VerdantFroglight"] = "minecraft:verdant_froglight";
  MinecraftBlockTypes22["Vine"] = "minecraft:vine";
  MinecraftBlockTypes22["WallBanner"] = "minecraft:wall_banner";
  MinecraftBlockTypes22["WallSign"] = "minecraft:wall_sign";
  MinecraftBlockTypes22["WarpedButton"] = "minecraft:warped_button";
  MinecraftBlockTypes22["WarpedDoor"] = "minecraft:warped_door";
  MinecraftBlockTypes22["WarpedDoubleSlab"] = "minecraft:warped_double_slab";
  MinecraftBlockTypes22["WarpedFence"] = "minecraft:warped_fence";
  MinecraftBlockTypes22["WarpedFenceGate"] = "minecraft:warped_fence_gate";
  MinecraftBlockTypes22["WarpedFungus"] = "minecraft:warped_fungus";
  MinecraftBlockTypes22["WarpedHangingSign"] = "minecraft:warped_hanging_sign";
  MinecraftBlockTypes22["WarpedHyphae"] = "minecraft:warped_hyphae";
  MinecraftBlockTypes22["WarpedNylium"] = "minecraft:warped_nylium";
  MinecraftBlockTypes22["WarpedPlanks"] = "minecraft:warped_planks";
  MinecraftBlockTypes22["WarpedPressurePlate"] = "minecraft:warped_pressure_plate";
  MinecraftBlockTypes22["WarpedRoots"] = "minecraft:warped_roots";
  MinecraftBlockTypes22["WarpedSlab"] = "minecraft:warped_slab";
  MinecraftBlockTypes22["WarpedStairs"] = "minecraft:warped_stairs";
  MinecraftBlockTypes22["WarpedStandingSign"] = "minecraft:warped_standing_sign";
  MinecraftBlockTypes22["WarpedStem"] = "minecraft:warped_stem";
  MinecraftBlockTypes22["WarpedTrapdoor"] = "minecraft:warped_trapdoor";
  MinecraftBlockTypes22["WarpedWallSign"] = "minecraft:warped_wall_sign";
  MinecraftBlockTypes22["WarpedWartBlock"] = "minecraft:warped_wart_block";
  MinecraftBlockTypes22["Water"] = "minecraft:water";
  MinecraftBlockTypes22["Waterlily"] = "minecraft:waterlily";
  MinecraftBlockTypes22["WaxedChiseledCopper"] = "minecraft:waxed_chiseled_copper";
  MinecraftBlockTypes22["WaxedCopper"] = "minecraft:waxed_copper";
  MinecraftBlockTypes22["WaxedCopperBulb"] = "minecraft:waxed_copper_bulb";
  MinecraftBlockTypes22["WaxedCopperDoor"] = "minecraft:waxed_copper_door";
  MinecraftBlockTypes22["WaxedCopperGrate"] = "minecraft:waxed_copper_grate";
  MinecraftBlockTypes22["WaxedCopperTrapdoor"] = "minecraft:waxed_copper_trapdoor";
  MinecraftBlockTypes22["WaxedCutCopper"] = "minecraft:waxed_cut_copper";
  MinecraftBlockTypes22["WaxedCutCopperSlab"] = "minecraft:waxed_cut_copper_slab";
  MinecraftBlockTypes22["WaxedCutCopperStairs"] = "minecraft:waxed_cut_copper_stairs";
  MinecraftBlockTypes22["WaxedDoubleCutCopperSlab"] = "minecraft:waxed_double_cut_copper_slab";
  MinecraftBlockTypes22["WaxedExposedChiseledCopper"] = "minecraft:waxed_exposed_chiseled_copper";
  MinecraftBlockTypes22["WaxedExposedCopper"] = "minecraft:waxed_exposed_copper";
  MinecraftBlockTypes22["WaxedExposedCopperBulb"] = "minecraft:waxed_exposed_copper_bulb";
  MinecraftBlockTypes22["WaxedExposedCopperDoor"] = "minecraft:waxed_exposed_copper_door";
  MinecraftBlockTypes22["WaxedExposedCopperGrate"] = "minecraft:waxed_exposed_copper_grate";
  MinecraftBlockTypes22["WaxedExposedCopperTrapdoor"] = "minecraft:waxed_exposed_copper_trapdoor";
  MinecraftBlockTypes22["WaxedExposedCutCopper"] = "minecraft:waxed_exposed_cut_copper";
  MinecraftBlockTypes22["WaxedExposedCutCopperSlab"] = "minecraft:waxed_exposed_cut_copper_slab";
  MinecraftBlockTypes22["WaxedExposedCutCopperStairs"] = "minecraft:waxed_exposed_cut_copper_stairs";
  MinecraftBlockTypes22["WaxedExposedDoubleCutCopperSlab"] = "minecraft:waxed_exposed_double_cut_copper_slab";
  MinecraftBlockTypes22["WaxedOxidizedChiseledCopper"] = "minecraft:waxed_oxidized_chiseled_copper";
  MinecraftBlockTypes22["WaxedOxidizedCopper"] = "minecraft:waxed_oxidized_copper";
  MinecraftBlockTypes22["WaxedOxidizedCopperBulb"] = "minecraft:waxed_oxidized_copper_bulb";
  MinecraftBlockTypes22["WaxedOxidizedCopperDoor"] = "minecraft:waxed_oxidized_copper_door";
  MinecraftBlockTypes22["WaxedOxidizedCopperGrate"] = "minecraft:waxed_oxidized_copper_grate";
  MinecraftBlockTypes22["WaxedOxidizedCopperTrapdoor"] = "minecraft:waxed_oxidized_copper_trapdoor";
  MinecraftBlockTypes22["WaxedOxidizedCutCopper"] = "minecraft:waxed_oxidized_cut_copper";
  MinecraftBlockTypes22["WaxedOxidizedCutCopperSlab"] = "minecraft:waxed_oxidized_cut_copper_slab";
  MinecraftBlockTypes22["WaxedOxidizedCutCopperStairs"] = "minecraft:waxed_oxidized_cut_copper_stairs";
  MinecraftBlockTypes22["WaxedOxidizedDoubleCutCopperSlab"] = "minecraft:waxed_oxidized_double_cut_copper_slab";
  MinecraftBlockTypes22["WaxedWeatheredChiseledCopper"] = "minecraft:waxed_weathered_chiseled_copper";
  MinecraftBlockTypes22["WaxedWeatheredCopper"] = "minecraft:waxed_weathered_copper";
  MinecraftBlockTypes22["WaxedWeatheredCopperBulb"] = "minecraft:waxed_weathered_copper_bulb";
  MinecraftBlockTypes22["WaxedWeatheredCopperDoor"] = "minecraft:waxed_weathered_copper_door";
  MinecraftBlockTypes22["WaxedWeatheredCopperGrate"] = "minecraft:waxed_weathered_copper_grate";
  MinecraftBlockTypes22["WaxedWeatheredCopperTrapdoor"] = "minecraft:waxed_weathered_copper_trapdoor";
  MinecraftBlockTypes22["WaxedWeatheredCutCopper"] = "minecraft:waxed_weathered_cut_copper";
  MinecraftBlockTypes22["WaxedWeatheredCutCopperSlab"] = "minecraft:waxed_weathered_cut_copper_slab";
  MinecraftBlockTypes22["WaxedWeatheredCutCopperStairs"] = "minecraft:waxed_weathered_cut_copper_stairs";
  MinecraftBlockTypes22["WaxedWeatheredDoubleCutCopperSlab"] = "minecraft:waxed_weathered_double_cut_copper_slab";
  MinecraftBlockTypes22["WeatheredChiseledCopper"] = "minecraft:weathered_chiseled_copper";
  MinecraftBlockTypes22["WeatheredCopper"] = "minecraft:weathered_copper";
  MinecraftBlockTypes22["WeatheredCopperBulb"] = "minecraft:weathered_copper_bulb";
  MinecraftBlockTypes22["WeatheredCopperDoor"] = "minecraft:weathered_copper_door";
  MinecraftBlockTypes22["WeatheredCopperGrate"] = "minecraft:weathered_copper_grate";
  MinecraftBlockTypes22["WeatheredCopperTrapdoor"] = "minecraft:weathered_copper_trapdoor";
  MinecraftBlockTypes22["WeatheredCutCopper"] = "minecraft:weathered_cut_copper";
  MinecraftBlockTypes22["WeatheredCutCopperSlab"] = "minecraft:weathered_cut_copper_slab";
  MinecraftBlockTypes22["WeatheredCutCopperStairs"] = "minecraft:weathered_cut_copper_stairs";
  MinecraftBlockTypes22["WeatheredDoubleCutCopperSlab"] = "minecraft:weathered_double_cut_copper_slab";
  MinecraftBlockTypes22["Web"] = "minecraft:web";
  MinecraftBlockTypes22["WeepingVines"] = "minecraft:weeping_vines";
  MinecraftBlockTypes22["Wheat"] = "minecraft:wheat";
  MinecraftBlockTypes22["WhiteCandle"] = "minecraft:white_candle";
  MinecraftBlockTypes22["WhiteCandleCake"] = "minecraft:white_candle_cake";
  MinecraftBlockTypes22["WhiteCarpet"] = "minecraft:white_carpet";
  MinecraftBlockTypes22["WhiteConcrete"] = "minecraft:white_concrete";
  MinecraftBlockTypes22["WhiteConcretePowder"] = "minecraft:white_concrete_powder";
  MinecraftBlockTypes22["WhiteGlazedTerracotta"] = "minecraft:white_glazed_terracotta";
  MinecraftBlockTypes22["WhiteShulkerBox"] = "minecraft:white_shulker_box";
  MinecraftBlockTypes22["WhiteStainedGlass"] = "minecraft:white_stained_glass";
  MinecraftBlockTypes22["WhiteStainedGlassPane"] = "minecraft:white_stained_glass_pane";
  MinecraftBlockTypes22["WhiteTerracotta"] = "minecraft:white_terracotta";
  MinecraftBlockTypes22["WhiteTulip"] = "minecraft:white_tulip";
  MinecraftBlockTypes22["WhiteWool"] = "minecraft:white_wool";
  MinecraftBlockTypes22["WitherRose"] = "minecraft:wither_rose";
  MinecraftBlockTypes22["WoodenButton"] = "minecraft:wooden_button";
  MinecraftBlockTypes22["WoodenDoor"] = "minecraft:wooden_door";
  MinecraftBlockTypes22["WoodenPressurePlate"] = "minecraft:wooden_pressure_plate";
  MinecraftBlockTypes22["YellowCandle"] = "minecraft:yellow_candle";
  MinecraftBlockTypes22["YellowCandleCake"] = "minecraft:yellow_candle_cake";
  MinecraftBlockTypes22["YellowCarpet"] = "minecraft:yellow_carpet";
  MinecraftBlockTypes22["YellowConcrete"] = "minecraft:yellow_concrete";
  MinecraftBlockTypes22["YellowConcretePowder"] = "minecraft:yellow_concrete_powder";
  MinecraftBlockTypes22["YellowFlower"] = "minecraft:yellow_flower";
  MinecraftBlockTypes22["YellowGlazedTerracotta"] = "minecraft:yellow_glazed_terracotta";
  MinecraftBlockTypes22["YellowShulkerBox"] = "minecraft:yellow_shulker_box";
  MinecraftBlockTypes22["YellowStainedGlass"] = "minecraft:yellow_stained_glass";
  MinecraftBlockTypes22["YellowStainedGlassPane"] = "minecraft:yellow_stained_glass_pane";
  MinecraftBlockTypes22["YellowTerracotta"] = "minecraft:yellow_terracotta";
  MinecraftBlockTypes22["YellowWool"] = "minecraft:yellow_wool";
  return MinecraftBlockTypes22;
})(MinecraftBlockTypes || {});
var MinecraftCameraPresetsTypes = ((MinecraftCameraPresetsTypes2) => {
  MinecraftCameraPresetsTypes2["FirstPerson"] = "minecraft:first_person";
  MinecraftCameraPresetsTypes2["Free"] = "minecraft:free";
  MinecraftCameraPresetsTypes2["ThirdPerson"] = "minecraft:third_person";
  MinecraftCameraPresetsTypes2["ThirdPersonFront"] = "minecraft:third_person_front";
  return MinecraftCameraPresetsTypes2;
})(MinecraftCameraPresetsTypes || {});
var MinecraftCooldownCategoryTypes = ((MinecraftCooldownCategoryTypes2) => {
  MinecraftCooldownCategoryTypes2["Chorusfruit"] = "minecraft:chorusfruit";
  MinecraftCooldownCategoryTypes2["EnderPearl"] = "minecraft:ender_pearl";
  MinecraftCooldownCategoryTypes2["GoatHorn"] = "minecraft:goat_horn";
  MinecraftCooldownCategoryTypes2["Shield"] = "minecraft:shield";
  MinecraftCooldownCategoryTypes2["WindCharge"] = "minecraft:wind_charge";
  return MinecraftCooldownCategoryTypes2;
})(MinecraftCooldownCategoryTypes || {});
var MinecraftDimensionTypes = ((MinecraftDimensionTypes22) => {
  MinecraftDimensionTypes22["Nether"] = "minecraft:nether";
  MinecraftDimensionTypes22["Overworld"] = "minecraft:overworld";
  MinecraftDimensionTypes22["TheEnd"] = "minecraft:the_end";
  return MinecraftDimensionTypes22;
})(MinecraftDimensionTypes || {});
var MinecraftEffectTypes = ((MinecraftEffectTypes2) => {
  MinecraftEffectTypes2["Absorption"] = "absorption";
  MinecraftEffectTypes2["BadOmen"] = "bad_omen";
  MinecraftEffectTypes2["Blindness"] = "blindness";
  MinecraftEffectTypes2["ConduitPower"] = "conduit_power";
  MinecraftEffectTypes2["Darkness"] = "darkness";
  MinecraftEffectTypes2["Empty"] = "empty";
  MinecraftEffectTypes2["FatalPoison"] = "fatal_poison";
  MinecraftEffectTypes2["FireResistance"] = "fire_resistance";
  MinecraftEffectTypes2["Haste"] = "haste";
  MinecraftEffectTypes2["HealthBoost"] = "health_boost";
  MinecraftEffectTypes2["Hunger"] = "hunger";
  MinecraftEffectTypes2["Infested"] = "infested";
  MinecraftEffectTypes2["InstantDamage"] = "instant_damage";
  MinecraftEffectTypes2["InstantHealth"] = "instant_health";
  MinecraftEffectTypes2["Invisibility"] = "invisibility";
  MinecraftEffectTypes2["JumpBoost"] = "jump_boost";
  MinecraftEffectTypes2["Levitation"] = "levitation";
  MinecraftEffectTypes2["MiningFatigue"] = "mining_fatigue";
  MinecraftEffectTypes2["Nausea"] = "nausea";
  MinecraftEffectTypes2["NightVision"] = "night_vision";
  MinecraftEffectTypes2["Oozing"] = "oozing";
  MinecraftEffectTypes2["Poison"] = "poison";
  MinecraftEffectTypes2["RaidOmen"] = "raid_omen";
  MinecraftEffectTypes2["Regeneration"] = "regeneration";
  MinecraftEffectTypes2["Resistance"] = "resistance";
  MinecraftEffectTypes2["Saturation"] = "saturation";
  MinecraftEffectTypes2["SlowFalling"] = "slow_falling";
  MinecraftEffectTypes2["Slowness"] = "slowness";
  MinecraftEffectTypes2["Speed"] = "speed";
  MinecraftEffectTypes2["Strength"] = "strength";
  MinecraftEffectTypes2["TrialOmen"] = "trial_omen";
  MinecraftEffectTypes2["VillageHero"] = "village_hero";
  MinecraftEffectTypes2["WaterBreathing"] = "water_breathing";
  MinecraftEffectTypes2["Weakness"] = "weakness";
  MinecraftEffectTypes2["Weaving"] = "weaving";
  MinecraftEffectTypes2["WindCharged"] = "wind_charged";
  MinecraftEffectTypes2["Wither"] = "wither";
  return MinecraftEffectTypes2;
})(MinecraftEffectTypes || {});
var MinecraftEnchantmentTypes = ((MinecraftEnchantmentTypes2) => {
  MinecraftEnchantmentTypes2["AquaAffinity"] = "aqua_affinity";
  MinecraftEnchantmentTypes2["BaneOfArthropods"] = "bane_of_arthropods";
  MinecraftEnchantmentTypes2["Binding"] = "binding";
  MinecraftEnchantmentTypes2["BlastProtection"] = "blast_protection";
  MinecraftEnchantmentTypes2["Breach"] = "breach";
  MinecraftEnchantmentTypes2["Channeling"] = "channeling";
  MinecraftEnchantmentTypes2["Density"] = "density";
  MinecraftEnchantmentTypes2["DepthStrider"] = "depth_strider";
  MinecraftEnchantmentTypes2["Efficiency"] = "efficiency";
  MinecraftEnchantmentTypes2["FeatherFalling"] = "feather_falling";
  MinecraftEnchantmentTypes2["FireAspect"] = "fire_aspect";
  MinecraftEnchantmentTypes2["FireProtection"] = "fire_protection";
  MinecraftEnchantmentTypes2["Flame"] = "flame";
  MinecraftEnchantmentTypes2["Fortune"] = "fortune";
  MinecraftEnchantmentTypes2["FrostWalker"] = "frost_walker";
  MinecraftEnchantmentTypes2["Impaling"] = "impaling";
  MinecraftEnchantmentTypes2["Infinity"] = "infinity";
  MinecraftEnchantmentTypes2["Knockback"] = "knockback";
  MinecraftEnchantmentTypes2["Looting"] = "looting";
  MinecraftEnchantmentTypes2["Loyalty"] = "loyalty";
  MinecraftEnchantmentTypes2["LuckOfTheSea"] = "luck_of_the_sea";
  MinecraftEnchantmentTypes2["Lure"] = "lure";
  MinecraftEnchantmentTypes2["Mending"] = "mending";
  MinecraftEnchantmentTypes2["Multishot"] = "multishot";
  MinecraftEnchantmentTypes2["Piercing"] = "piercing";
  MinecraftEnchantmentTypes2["Power"] = "power";
  MinecraftEnchantmentTypes2["ProjectileProtection"] = "projectile_protection";
  MinecraftEnchantmentTypes2["Protection"] = "protection";
  MinecraftEnchantmentTypes2["Punch"] = "punch";
  MinecraftEnchantmentTypes2["QuickCharge"] = "quick_charge";
  MinecraftEnchantmentTypes2["Respiration"] = "respiration";
  MinecraftEnchantmentTypes2["Riptide"] = "riptide";
  MinecraftEnchantmentTypes2["Sharpness"] = "sharpness";
  MinecraftEnchantmentTypes2["SilkTouch"] = "silk_touch";
  MinecraftEnchantmentTypes2["Smite"] = "smite";
  MinecraftEnchantmentTypes2["SoulSpeed"] = "soul_speed";
  MinecraftEnchantmentTypes2["SwiftSneak"] = "swift_sneak";
  MinecraftEnchantmentTypes2["Thorns"] = "thorns";
  MinecraftEnchantmentTypes2["Unbreaking"] = "unbreaking";
  MinecraftEnchantmentTypes2["Vanishing"] = "vanishing";
  MinecraftEnchantmentTypes2["WindBurst"] = "wind_burst";
  return MinecraftEnchantmentTypes2;
})(MinecraftEnchantmentTypes || {});
var MinecraftEntityTypes = ((MinecraftEntityTypes2) => {
  MinecraftEntityTypes2["Agent"] = "agent";
  MinecraftEntityTypes2["Allay"] = "allay";
  MinecraftEntityTypes2["AreaEffectCloud"] = "area_effect_cloud";
  MinecraftEntityTypes2["Armadillo"] = "armadillo";
  MinecraftEntityTypes2["ArmorStand"] = "armor_stand";
  MinecraftEntityTypes2["Arrow"] = "arrow";
  MinecraftEntityTypes2["Axolotl"] = "axolotl";
  MinecraftEntityTypes2["Bat"] = "bat";
  MinecraftEntityTypes2["Bee"] = "bee";
  MinecraftEntityTypes2["Blaze"] = "blaze";
  MinecraftEntityTypes2["Boat"] = "boat";
  MinecraftEntityTypes2["Bogged"] = "bogged";
  MinecraftEntityTypes2["Breeze"] = "breeze";
  MinecraftEntityTypes2["BreezeWindChargeProjectile"] = "breeze_wind_charge_projectile";
  MinecraftEntityTypes2["Camel"] = "camel";
  MinecraftEntityTypes2["Cat"] = "cat";
  MinecraftEntityTypes2["CaveSpider"] = "cave_spider";
  MinecraftEntityTypes2["ChestBoat"] = "chest_boat";
  MinecraftEntityTypes2["ChestMinecart"] = "chest_minecart";
  MinecraftEntityTypes2["Chicken"] = "chicken";
  MinecraftEntityTypes2["Cod"] = "cod";
  MinecraftEntityTypes2["CommandBlockMinecart"] = "command_block_minecart";
  MinecraftEntityTypes2["Cow"] = "cow";
  MinecraftEntityTypes2["Creeper"] = "creeper";
  MinecraftEntityTypes2["Dolphin"] = "dolphin";
  MinecraftEntityTypes2["Donkey"] = "donkey";
  MinecraftEntityTypes2["DragonFireball"] = "dragon_fireball";
  MinecraftEntityTypes2["Drowned"] = "drowned";
  MinecraftEntityTypes2["Egg"] = "egg";
  MinecraftEntityTypes2["ElderGuardian"] = "elder_guardian";
  MinecraftEntityTypes2["EnderCrystal"] = "ender_crystal";
  MinecraftEntityTypes2["EnderDragon"] = "ender_dragon";
  MinecraftEntityTypes2["EnderPearl"] = "ender_pearl";
  MinecraftEntityTypes2["Enderman"] = "enderman";
  MinecraftEntityTypes2["Endermite"] = "endermite";
  MinecraftEntityTypes2["EvocationIllager"] = "evocation_illager";
  MinecraftEntityTypes2["EyeOfEnderSignal"] = "eye_of_ender_signal";
  MinecraftEntityTypes2["Fireball"] = "fireball";
  MinecraftEntityTypes2["FireworksRocket"] = "fireworks_rocket";
  MinecraftEntityTypes2["FishingHook"] = "fishing_hook";
  MinecraftEntityTypes2["Fox"] = "fox";
  MinecraftEntityTypes2["Frog"] = "frog";
  MinecraftEntityTypes2["Ghast"] = "ghast";
  MinecraftEntityTypes2["GlowSquid"] = "glow_squid";
  MinecraftEntityTypes2["Goat"] = "goat";
  MinecraftEntityTypes2["Guardian"] = "guardian";
  MinecraftEntityTypes2["Hoglin"] = "hoglin";
  MinecraftEntityTypes2["HopperMinecart"] = "hopper_minecart";
  MinecraftEntityTypes2["Horse"] = "horse";
  MinecraftEntityTypes2["Husk"] = "husk";
  MinecraftEntityTypes2["IronGolem"] = "iron_golem";
  MinecraftEntityTypes2["LightningBolt"] = "lightning_bolt";
  MinecraftEntityTypes2["LingeringPotion"] = "lingering_potion";
  MinecraftEntityTypes2["Llama"] = "llama";
  MinecraftEntityTypes2["LlamaSpit"] = "llama_spit";
  MinecraftEntityTypes2["MagmaCube"] = "magma_cube";
  MinecraftEntityTypes2["Minecart"] = "minecart";
  MinecraftEntityTypes2["Mooshroom"] = "mooshroom";
  MinecraftEntityTypes2["Mule"] = "mule";
  MinecraftEntityTypes2["Npc"] = "npc";
  MinecraftEntityTypes2["Ocelot"] = "ocelot";
  MinecraftEntityTypes2["OminousItemSpawner"] = "ominous_item_spawner";
  MinecraftEntityTypes2["Panda"] = "panda";
  MinecraftEntityTypes2["Parrot"] = "parrot";
  MinecraftEntityTypes2["Phantom"] = "phantom";
  MinecraftEntityTypes2["Pig"] = "pig";
  MinecraftEntityTypes2["Piglin"] = "piglin";
  MinecraftEntityTypes2["PiglinBrute"] = "piglin_brute";
  MinecraftEntityTypes2["Pillager"] = "pillager";
  MinecraftEntityTypes2["Player"] = "player";
  MinecraftEntityTypes2["PolarBear"] = "polar_bear";
  MinecraftEntityTypes2["Pufferfish"] = "pufferfish";
  MinecraftEntityTypes2["Rabbit"] = "rabbit";
  MinecraftEntityTypes2["Ravager"] = "ravager";
  MinecraftEntityTypes2["Salmon"] = "salmon";
  MinecraftEntityTypes2["Sheep"] = "sheep";
  MinecraftEntityTypes2["Shulker"] = "shulker";
  MinecraftEntityTypes2["ShulkerBullet"] = "shulker_bullet";
  MinecraftEntityTypes2["Silverfish"] = "silverfish";
  MinecraftEntityTypes2["Skeleton"] = "skeleton";
  MinecraftEntityTypes2["SkeletonHorse"] = "skeleton_horse";
  MinecraftEntityTypes2["Slime"] = "slime";
  MinecraftEntityTypes2["SmallFireball"] = "small_fireball";
  MinecraftEntityTypes2["Sniffer"] = "sniffer";
  MinecraftEntityTypes2["SnowGolem"] = "snow_golem";
  MinecraftEntityTypes2["Snowball"] = "snowball";
  MinecraftEntityTypes2["Spider"] = "spider";
  MinecraftEntityTypes2["SplashPotion"] = "splash_potion";
  MinecraftEntityTypes2["Squid"] = "squid";
  MinecraftEntityTypes2["Stray"] = "stray";
  MinecraftEntityTypes2["Strider"] = "strider";
  MinecraftEntityTypes2["Tadpole"] = "tadpole";
  MinecraftEntityTypes2["ThrownTrident"] = "thrown_trident";
  MinecraftEntityTypes2["Tnt"] = "tnt";
  MinecraftEntityTypes2["TntMinecart"] = "tnt_minecart";
  MinecraftEntityTypes2["TraderLlama"] = "trader_llama";
  MinecraftEntityTypes2["TripodCamera"] = "tripod_camera";
  MinecraftEntityTypes2["Tropicalfish"] = "tropicalfish";
  MinecraftEntityTypes2["Turtle"] = "turtle";
  MinecraftEntityTypes2["Vex"] = "vex";
  MinecraftEntityTypes2["Villager"] = "villager";
  MinecraftEntityTypes2["VillagerV2"] = "villager_v2";
  MinecraftEntityTypes2["Vindicator"] = "vindicator";
  MinecraftEntityTypes2["WanderingTrader"] = "wandering_trader";
  MinecraftEntityTypes2["Warden"] = "warden";
  MinecraftEntityTypes2["WindChargeProjectile"] = "wind_charge_projectile";
  MinecraftEntityTypes2["Witch"] = "witch";
  MinecraftEntityTypes2["Wither"] = "wither";
  MinecraftEntityTypes2["WitherSkeleton"] = "wither_skeleton";
  MinecraftEntityTypes2["WitherSkull"] = "wither_skull";
  MinecraftEntityTypes2["WitherSkullDangerous"] = "wither_skull_dangerous";
  MinecraftEntityTypes2["Wolf"] = "wolf";
  MinecraftEntityTypes2["XpBottle"] = "xp_bottle";
  MinecraftEntityTypes2["XpOrb"] = "xp_orb";
  MinecraftEntityTypes2["Zoglin"] = "zoglin";
  MinecraftEntityTypes2["Zombie"] = "zombie";
  MinecraftEntityTypes2["ZombieHorse"] = "zombie_horse";
  MinecraftEntityTypes2["ZombiePigman"] = "zombie_pigman";
  MinecraftEntityTypes2["ZombieVillager"] = "zombie_villager";
  MinecraftEntityTypes2["ZombieVillagerV2"] = "zombie_villager_v2";
  return MinecraftEntityTypes2;
})(MinecraftEntityTypes || {});
var MinecraftFeatureTypes = ((MinecraftFeatureTypes2) => {
  MinecraftFeatureTypes2["AncientCity"] = "minecraft:ancient_city";
  MinecraftFeatureTypes2["BastionRemnant"] = "minecraft:bastion_remnant";
  MinecraftFeatureTypes2["BuriedTreasure"] = "minecraft:buried_treasure";
  MinecraftFeatureTypes2["EndCity"] = "minecraft:end_city";
  MinecraftFeatureTypes2["Fortress"] = "minecraft:fortress";
  MinecraftFeatureTypes2["Mansion"] = "minecraft:mansion";
  MinecraftFeatureTypes2["Mineshaft"] = "minecraft:mineshaft";
  MinecraftFeatureTypes2["Monument"] = "minecraft:monument";
  MinecraftFeatureTypes2["PillagerOutpost"] = "minecraft:pillager_outpost";
  MinecraftFeatureTypes2["RuinedPortal"] = "minecraft:ruined_portal";
  MinecraftFeatureTypes2["Ruins"] = "minecraft:ruins";
  MinecraftFeatureTypes2["Shipwreck"] = "minecraft:shipwreck";
  MinecraftFeatureTypes2["Stronghold"] = "minecraft:stronghold";
  MinecraftFeatureTypes2["Temple"] = "minecraft:temple";
  MinecraftFeatureTypes2["TrailRuins"] = "minecraft:trail_ruins";
  MinecraftFeatureTypes2["TrialChambers"] = "minecraft:trial_chambers";
  MinecraftFeatureTypes2["Village"] = "minecraft:village";
  return MinecraftFeatureTypes2;
})(MinecraftFeatureTypes || {});
var MinecraftItemTypes = ((MinecraftItemTypes2) => {
  MinecraftItemTypes2["AcaciaBoat"] = "minecraft:acacia_boat";
  MinecraftItemTypes2["AcaciaButton"] = "minecraft:acacia_button";
  MinecraftItemTypes2["AcaciaChestBoat"] = "minecraft:acacia_chest_boat";
  MinecraftItemTypes2["AcaciaDoor"] = "minecraft:acacia_door";
  MinecraftItemTypes2["AcaciaFence"] = "minecraft:acacia_fence";
  MinecraftItemTypes2["AcaciaFenceGate"] = "minecraft:acacia_fence_gate";
  MinecraftItemTypes2["AcaciaHangingSign"] = "minecraft:acacia_hanging_sign";
  MinecraftItemTypes2["AcaciaLeaves"] = "minecraft:acacia_leaves";
  MinecraftItemTypes2["AcaciaLog"] = "minecraft:acacia_log";
  MinecraftItemTypes2["AcaciaPlanks"] = "minecraft:acacia_planks";
  MinecraftItemTypes2["AcaciaPressurePlate"] = "minecraft:acacia_pressure_plate";
  MinecraftItemTypes2["AcaciaSapling"] = "minecraft:acacia_sapling";
  MinecraftItemTypes2["AcaciaSign"] = "minecraft:acacia_sign";
  MinecraftItemTypes2["AcaciaSlab"] = "minecraft:acacia_slab";
  MinecraftItemTypes2["AcaciaStairs"] = "minecraft:acacia_stairs";
  MinecraftItemTypes2["AcaciaTrapdoor"] = "minecraft:acacia_trapdoor";
  MinecraftItemTypes2["AcaciaWood"] = "minecraft:acacia_wood";
  MinecraftItemTypes2["ActivatorRail"] = "minecraft:activator_rail";
  MinecraftItemTypes2["Air"] = "minecraft:air";
  MinecraftItemTypes2["AllaySpawnEgg"] = "minecraft:allay_spawn_egg";
  MinecraftItemTypes2["Allium"] = "minecraft:allium";
  MinecraftItemTypes2["Allow"] = "minecraft:allow";
  MinecraftItemTypes2["AmethystBlock"] = "minecraft:amethyst_block";
  MinecraftItemTypes2["AmethystCluster"] = "minecraft:amethyst_cluster";
  MinecraftItemTypes2["AmethystShard"] = "minecraft:amethyst_shard";
  MinecraftItemTypes2["AncientDebris"] = "minecraft:ancient_debris";
  MinecraftItemTypes2["Andesite"] = "minecraft:andesite";
  MinecraftItemTypes2["AndesiteStairs"] = "minecraft:andesite_stairs";
  MinecraftItemTypes2["AnglerPotterySherd"] = "minecraft:angler_pottery_sherd";
  MinecraftItemTypes2["Anvil"] = "minecraft:anvil";
  MinecraftItemTypes2["Apple"] = "minecraft:apple";
  MinecraftItemTypes2["ArcherPotterySherd"] = "minecraft:archer_pottery_sherd";
  MinecraftItemTypes2["ArmadilloScute"] = "minecraft:armadillo_scute";
  MinecraftItemTypes2["ArmadilloSpawnEgg"] = "minecraft:armadillo_spawn_egg";
  MinecraftItemTypes2["ArmorStand"] = "minecraft:armor_stand";
  MinecraftItemTypes2["ArmsUpPotterySherd"] = "minecraft:arms_up_pottery_sherd";
  MinecraftItemTypes2["Arrow"] = "minecraft:arrow";
  MinecraftItemTypes2["AxolotlBucket"] = "minecraft:axolotl_bucket";
  MinecraftItemTypes2["AxolotlSpawnEgg"] = "minecraft:axolotl_spawn_egg";
  MinecraftItemTypes2["Azalea"] = "minecraft:azalea";
  MinecraftItemTypes2["AzaleaLeaves"] = "minecraft:azalea_leaves";
  MinecraftItemTypes2["AzaleaLeavesFlowered"] = "minecraft:azalea_leaves_flowered";
  MinecraftItemTypes2["AzureBluet"] = "minecraft:azure_bluet";
  MinecraftItemTypes2["BakedPotato"] = "minecraft:baked_potato";
  MinecraftItemTypes2["Bamboo"] = "minecraft:bamboo";
  MinecraftItemTypes2["BambooBlock"] = "minecraft:bamboo_block";
  MinecraftItemTypes2["BambooButton"] = "minecraft:bamboo_button";
  MinecraftItemTypes2["BambooChestRaft"] = "minecraft:bamboo_chest_raft";
  MinecraftItemTypes2["BambooDoor"] = "minecraft:bamboo_door";
  MinecraftItemTypes2["BambooFence"] = "minecraft:bamboo_fence";
  MinecraftItemTypes2["BambooFenceGate"] = "minecraft:bamboo_fence_gate";
  MinecraftItemTypes2["BambooHangingSign"] = "minecraft:bamboo_hanging_sign";
  MinecraftItemTypes2["BambooMosaic"] = "minecraft:bamboo_mosaic";
  MinecraftItemTypes2["BambooMosaicSlab"] = "minecraft:bamboo_mosaic_slab";
  MinecraftItemTypes2["BambooMosaicStairs"] = "minecraft:bamboo_mosaic_stairs";
  MinecraftItemTypes2["BambooPlanks"] = "minecraft:bamboo_planks";
  MinecraftItemTypes2["BambooPressurePlate"] = "minecraft:bamboo_pressure_plate";
  MinecraftItemTypes2["BambooRaft"] = "minecraft:bamboo_raft";
  MinecraftItemTypes2["BambooSign"] = "minecraft:bamboo_sign";
  MinecraftItemTypes2["BambooSlab"] = "minecraft:bamboo_slab";
  MinecraftItemTypes2["BambooStairs"] = "minecraft:bamboo_stairs";
  MinecraftItemTypes2["BambooTrapdoor"] = "minecraft:bamboo_trapdoor";
  MinecraftItemTypes2["Banner"] = "minecraft:banner";
  MinecraftItemTypes2["BannerPattern"] = "minecraft:banner_pattern";
  MinecraftItemTypes2["Barrel"] = "minecraft:barrel";
  MinecraftItemTypes2["Barrier"] = "minecraft:barrier";
  MinecraftItemTypes2["Basalt"] = "minecraft:basalt";
  MinecraftItemTypes2["BatSpawnEgg"] = "minecraft:bat_spawn_egg";
  MinecraftItemTypes2["Beacon"] = "minecraft:beacon";
  MinecraftItemTypes2["Bed"] = "minecraft:bed";
  MinecraftItemTypes2["Bedrock"] = "minecraft:bedrock";
  MinecraftItemTypes2["BeeNest"] = "minecraft:bee_nest";
  MinecraftItemTypes2["BeeSpawnEgg"] = "minecraft:bee_spawn_egg";
  MinecraftItemTypes2["Beef"] = "minecraft:beef";
  MinecraftItemTypes2["Beehive"] = "minecraft:beehive";
  MinecraftItemTypes2["Beetroot"] = "minecraft:beetroot";
  MinecraftItemTypes2["BeetrootSeeds"] = "minecraft:beetroot_seeds";
  MinecraftItemTypes2["BeetrootSoup"] = "minecraft:beetroot_soup";
  MinecraftItemTypes2["Bell"] = "minecraft:bell";
  MinecraftItemTypes2["BigDripleaf"] = "minecraft:big_dripleaf";
  MinecraftItemTypes2["BirchBoat"] = "minecraft:birch_boat";
  MinecraftItemTypes2["BirchButton"] = "minecraft:birch_button";
  MinecraftItemTypes2["BirchChestBoat"] = "minecraft:birch_chest_boat";
  MinecraftItemTypes2["BirchDoor"] = "minecraft:birch_door";
  MinecraftItemTypes2["BirchFence"] = "minecraft:birch_fence";
  MinecraftItemTypes2["BirchFenceGate"] = "minecraft:birch_fence_gate";
  MinecraftItemTypes2["BirchHangingSign"] = "minecraft:birch_hanging_sign";
  MinecraftItemTypes2["BirchLeaves"] = "minecraft:birch_leaves";
  MinecraftItemTypes2["BirchLog"] = "minecraft:birch_log";
  MinecraftItemTypes2["BirchPlanks"] = "minecraft:birch_planks";
  MinecraftItemTypes2["BirchPressurePlate"] = "minecraft:birch_pressure_plate";
  MinecraftItemTypes2["BirchSapling"] = "minecraft:birch_sapling";
  MinecraftItemTypes2["BirchSign"] = "minecraft:birch_sign";
  MinecraftItemTypes2["BirchSlab"] = "minecraft:birch_slab";
  MinecraftItemTypes2["BirchStairs"] = "minecraft:birch_stairs";
  MinecraftItemTypes2["BirchTrapdoor"] = "minecraft:birch_trapdoor";
  MinecraftItemTypes2["BirchWood"] = "minecraft:birch_wood";
  MinecraftItemTypes2["BlackCandle"] = "minecraft:black_candle";
  MinecraftItemTypes2["BlackCarpet"] = "minecraft:black_carpet";
  MinecraftItemTypes2["BlackConcrete"] = "minecraft:black_concrete";
  MinecraftItemTypes2["BlackConcretePowder"] = "minecraft:black_concrete_powder";
  MinecraftItemTypes2["BlackDye"] = "minecraft:black_dye";
  MinecraftItemTypes2["BlackGlazedTerracotta"] = "minecraft:black_glazed_terracotta";
  MinecraftItemTypes2["BlackShulkerBox"] = "minecraft:black_shulker_box";
  MinecraftItemTypes2["BlackStainedGlass"] = "minecraft:black_stained_glass";
  MinecraftItemTypes2["BlackStainedGlassPane"] = "minecraft:black_stained_glass_pane";
  MinecraftItemTypes2["BlackTerracotta"] = "minecraft:black_terracotta";
  MinecraftItemTypes2["BlackWool"] = "minecraft:black_wool";
  MinecraftItemTypes2["Blackstone"] = "minecraft:blackstone";
  MinecraftItemTypes2["BlackstoneSlab"] = "minecraft:blackstone_slab";
  MinecraftItemTypes2["BlackstoneStairs"] = "minecraft:blackstone_stairs";
  MinecraftItemTypes2["BlackstoneWall"] = "minecraft:blackstone_wall";
  MinecraftItemTypes2["BladePotterySherd"] = "minecraft:blade_pottery_sherd";
  MinecraftItemTypes2["BlastFurnace"] = "minecraft:blast_furnace";
  MinecraftItemTypes2["BlazePowder"] = "minecraft:blaze_powder";
  MinecraftItemTypes2["BlazeRod"] = "minecraft:blaze_rod";
  MinecraftItemTypes2["BlazeSpawnEgg"] = "minecraft:blaze_spawn_egg";
  MinecraftItemTypes2["BlueCandle"] = "minecraft:blue_candle";
  MinecraftItemTypes2["BlueCarpet"] = "minecraft:blue_carpet";
  MinecraftItemTypes2["BlueConcrete"] = "minecraft:blue_concrete";
  MinecraftItemTypes2["BlueConcretePowder"] = "minecraft:blue_concrete_powder";
  MinecraftItemTypes2["BlueDye"] = "minecraft:blue_dye";
  MinecraftItemTypes2["BlueGlazedTerracotta"] = "minecraft:blue_glazed_terracotta";
  MinecraftItemTypes2["BlueIce"] = "minecraft:blue_ice";
  MinecraftItemTypes2["BlueOrchid"] = "minecraft:blue_orchid";
  MinecraftItemTypes2["BlueShulkerBox"] = "minecraft:blue_shulker_box";
  MinecraftItemTypes2["BlueStainedGlass"] = "minecraft:blue_stained_glass";
  MinecraftItemTypes2["BlueStainedGlassPane"] = "minecraft:blue_stained_glass_pane";
  MinecraftItemTypes2["BlueTerracotta"] = "minecraft:blue_terracotta";
  MinecraftItemTypes2["BlueWool"] = "minecraft:blue_wool";
  MinecraftItemTypes2["Boat"] = "minecraft:boat";
  MinecraftItemTypes2["BoggedSpawnEgg"] = "minecraft:bogged_spawn_egg";
  MinecraftItemTypes2["BoltArmorTrimSmithingTemplate"] = "minecraft:bolt_armor_trim_smithing_template";
  MinecraftItemTypes2["Bone"] = "minecraft:bone";
  MinecraftItemTypes2["BoneBlock"] = "minecraft:bone_block";
  MinecraftItemTypes2["BoneMeal"] = "minecraft:bone_meal";
  MinecraftItemTypes2["Book"] = "minecraft:book";
  MinecraftItemTypes2["Bookshelf"] = "minecraft:bookshelf";
  MinecraftItemTypes2["BorderBlock"] = "minecraft:border_block";
  MinecraftItemTypes2["BordureIndentedBannerPattern"] = "minecraft:bordure_indented_banner_pattern";
  MinecraftItemTypes2["Bow"] = "minecraft:bow";
  MinecraftItemTypes2["Bowl"] = "minecraft:bowl";
  MinecraftItemTypes2["BrainCoral"] = "minecraft:brain_coral";
  MinecraftItemTypes2["BrainCoralBlock"] = "minecraft:brain_coral_block";
  MinecraftItemTypes2["BrainCoralFan"] = "minecraft:brain_coral_fan";
  MinecraftItemTypes2["Bread"] = "minecraft:bread";
  MinecraftItemTypes2["BreezeRod"] = "minecraft:breeze_rod";
  MinecraftItemTypes2["BreezeSpawnEgg"] = "minecraft:breeze_spawn_egg";
  MinecraftItemTypes2["BrewerPotterySherd"] = "minecraft:brewer_pottery_sherd";
  MinecraftItemTypes2["BrewingStand"] = "minecraft:brewing_stand";
  MinecraftItemTypes2["Brick"] = "minecraft:brick";
  MinecraftItemTypes2["BrickBlock"] = "minecraft:brick_block";
  MinecraftItemTypes2["BrickSlab"] = "minecraft:brick_slab";
  MinecraftItemTypes2["BrickStairs"] = "minecraft:brick_stairs";
  MinecraftItemTypes2["BrownCandle"] = "minecraft:brown_candle";
  MinecraftItemTypes2["BrownCarpet"] = "minecraft:brown_carpet";
  MinecraftItemTypes2["BrownConcrete"] = "minecraft:brown_concrete";
  MinecraftItemTypes2["BrownConcretePowder"] = "minecraft:brown_concrete_powder";
  MinecraftItemTypes2["BrownDye"] = "minecraft:brown_dye";
  MinecraftItemTypes2["BrownGlazedTerracotta"] = "minecraft:brown_glazed_terracotta";
  MinecraftItemTypes2["BrownMushroom"] = "minecraft:brown_mushroom";
  MinecraftItemTypes2["BrownMushroomBlock"] = "minecraft:brown_mushroom_block";
  MinecraftItemTypes2["BrownShulkerBox"] = "minecraft:brown_shulker_box";
  MinecraftItemTypes2["BrownStainedGlass"] = "minecraft:brown_stained_glass";
  MinecraftItemTypes2["BrownStainedGlassPane"] = "minecraft:brown_stained_glass_pane";
  MinecraftItemTypes2["BrownTerracotta"] = "minecraft:brown_terracotta";
  MinecraftItemTypes2["BrownWool"] = "minecraft:brown_wool";
  MinecraftItemTypes2["Brush"] = "minecraft:brush";
  MinecraftItemTypes2["BubbleCoral"] = "minecraft:bubble_coral";
  MinecraftItemTypes2["BubbleCoralBlock"] = "minecraft:bubble_coral_block";
  MinecraftItemTypes2["BubbleCoralFan"] = "minecraft:bubble_coral_fan";
  MinecraftItemTypes2["Bucket"] = "minecraft:bucket";
  MinecraftItemTypes2["BuddingAmethyst"] = "minecraft:budding_amethyst";
  MinecraftItemTypes2["BurnPotterySherd"] = "minecraft:burn_pottery_sherd";
  MinecraftItemTypes2["Cactus"] = "minecraft:cactus";
  MinecraftItemTypes2["Cake"] = "minecraft:cake";
  MinecraftItemTypes2["Calcite"] = "minecraft:calcite";
  MinecraftItemTypes2["CalibratedSculkSensor"] = "minecraft:calibrated_sculk_sensor";
  MinecraftItemTypes2["CamelSpawnEgg"] = "minecraft:camel_spawn_egg";
  MinecraftItemTypes2["Campfire"] = "minecraft:campfire";
  MinecraftItemTypes2["Candle"] = "minecraft:candle";
  MinecraftItemTypes2["Carpet"] = "minecraft:carpet";
  MinecraftItemTypes2["Carrot"] = "minecraft:carrot";
  MinecraftItemTypes2["CarrotOnAStick"] = "minecraft:carrot_on_a_stick";
  MinecraftItemTypes2["CartographyTable"] = "minecraft:cartography_table";
  MinecraftItemTypes2["CarvedPumpkin"] = "minecraft:carved_pumpkin";
  MinecraftItemTypes2["CatSpawnEgg"] = "minecraft:cat_spawn_egg";
  MinecraftItemTypes2["Cauldron"] = "minecraft:cauldron";
  MinecraftItemTypes2["CaveSpiderSpawnEgg"] = "minecraft:cave_spider_spawn_egg";
  MinecraftItemTypes2["Chain"] = "minecraft:chain";
  MinecraftItemTypes2["ChainCommandBlock"] = "minecraft:chain_command_block";
  MinecraftItemTypes2["ChainmailBoots"] = "minecraft:chainmail_boots";
  MinecraftItemTypes2["ChainmailChestplate"] = "minecraft:chainmail_chestplate";
  MinecraftItemTypes2["ChainmailHelmet"] = "minecraft:chainmail_helmet";
  MinecraftItemTypes2["ChainmailLeggings"] = "minecraft:chainmail_leggings";
  MinecraftItemTypes2["Charcoal"] = "minecraft:charcoal";
  MinecraftItemTypes2["CherryBoat"] = "minecraft:cherry_boat";
  MinecraftItemTypes2["CherryButton"] = "minecraft:cherry_button";
  MinecraftItemTypes2["CherryChestBoat"] = "minecraft:cherry_chest_boat";
  MinecraftItemTypes2["CherryDoor"] = "minecraft:cherry_door";
  MinecraftItemTypes2["CherryFence"] = "minecraft:cherry_fence";
  MinecraftItemTypes2["CherryFenceGate"] = "minecraft:cherry_fence_gate";
  MinecraftItemTypes2["CherryHangingSign"] = "minecraft:cherry_hanging_sign";
  MinecraftItemTypes2["CherryLeaves"] = "minecraft:cherry_leaves";
  MinecraftItemTypes2["CherryLog"] = "minecraft:cherry_log";
  MinecraftItemTypes2["CherryPlanks"] = "minecraft:cherry_planks";
  MinecraftItemTypes2["CherryPressurePlate"] = "minecraft:cherry_pressure_plate";
  MinecraftItemTypes2["CherrySapling"] = "minecraft:cherry_sapling";
  MinecraftItemTypes2["CherrySign"] = "minecraft:cherry_sign";
  MinecraftItemTypes2["CherrySlab"] = "minecraft:cherry_slab";
  MinecraftItemTypes2["CherryStairs"] = "minecraft:cherry_stairs";
  MinecraftItemTypes2["CherryTrapdoor"] = "minecraft:cherry_trapdoor";
  MinecraftItemTypes2["CherryWood"] = "minecraft:cherry_wood";
  MinecraftItemTypes2["Chest"] = "minecraft:chest";
  MinecraftItemTypes2["ChestBoat"] = "minecraft:chest_boat";
  MinecraftItemTypes2["ChestMinecart"] = "minecraft:chest_minecart";
  MinecraftItemTypes2["Chicken"] = "minecraft:chicken";
  MinecraftItemTypes2["ChickenSpawnEgg"] = "minecraft:chicken_spawn_egg";
  MinecraftItemTypes2["ChiseledBookshelf"] = "minecraft:chiseled_bookshelf";
  MinecraftItemTypes2["ChiseledCopper"] = "minecraft:chiseled_copper";
  MinecraftItemTypes2["ChiseledDeepslate"] = "minecraft:chiseled_deepslate";
  MinecraftItemTypes2["ChiseledNetherBricks"] = "minecraft:chiseled_nether_bricks";
  MinecraftItemTypes2["ChiseledPolishedBlackstone"] = "minecraft:chiseled_polished_blackstone";
  MinecraftItemTypes2["ChiseledTuff"] = "minecraft:chiseled_tuff";
  MinecraftItemTypes2["ChiseledTuffBricks"] = "minecraft:chiseled_tuff_bricks";
  MinecraftItemTypes2["ChorusFlower"] = "minecraft:chorus_flower";
  MinecraftItemTypes2["ChorusFruit"] = "minecraft:chorus_fruit";
  MinecraftItemTypes2["ChorusPlant"] = "minecraft:chorus_plant";
  MinecraftItemTypes2["Clay"] = "minecraft:clay";
  MinecraftItemTypes2["ClayBall"] = "minecraft:clay_ball";
  MinecraftItemTypes2["Clock"] = "minecraft:clock";
  MinecraftItemTypes2["Coal"] = "minecraft:coal";
  MinecraftItemTypes2["CoalBlock"] = "minecraft:coal_block";
  MinecraftItemTypes2["CoalOre"] = "minecraft:coal_ore";
  MinecraftItemTypes2["CoastArmorTrimSmithingTemplate"] = "minecraft:coast_armor_trim_smithing_template";
  MinecraftItemTypes2["CobbledDeepslate"] = "minecraft:cobbled_deepslate";
  MinecraftItemTypes2["CobbledDeepslateSlab"] = "minecraft:cobbled_deepslate_slab";
  MinecraftItemTypes2["CobbledDeepslateStairs"] = "minecraft:cobbled_deepslate_stairs";
  MinecraftItemTypes2["CobbledDeepslateWall"] = "minecraft:cobbled_deepslate_wall";
  MinecraftItemTypes2["Cobblestone"] = "minecraft:cobblestone";
  MinecraftItemTypes2["CobblestoneSlab"] = "minecraft:cobblestone_slab";
  MinecraftItemTypes2["CobblestoneWall"] = "minecraft:cobblestone_wall";
  MinecraftItemTypes2["CocoaBeans"] = "minecraft:cocoa_beans";
  MinecraftItemTypes2["Cod"] = "minecraft:cod";
  MinecraftItemTypes2["CodBucket"] = "minecraft:cod_bucket";
  MinecraftItemTypes2["CodSpawnEgg"] = "minecraft:cod_spawn_egg";
  MinecraftItemTypes2["CommandBlock"] = "minecraft:command_block";
  MinecraftItemTypes2["CommandBlockMinecart"] = "minecraft:command_block_minecart";
  MinecraftItemTypes2["Comparator"] = "minecraft:comparator";
  MinecraftItemTypes2["Compass"] = "minecraft:compass";
  MinecraftItemTypes2["Composter"] = "minecraft:composter";
  MinecraftItemTypes2["Concrete"] = "minecraft:concrete";
  MinecraftItemTypes2["ConcretePowder"] = "minecraft:concrete_powder";
  MinecraftItemTypes2["Conduit"] = "minecraft:conduit";
  MinecraftItemTypes2["CookedBeef"] = "minecraft:cooked_beef";
  MinecraftItemTypes2["CookedChicken"] = "minecraft:cooked_chicken";
  MinecraftItemTypes2["CookedCod"] = "minecraft:cooked_cod";
  MinecraftItemTypes2["CookedMutton"] = "minecraft:cooked_mutton";
  MinecraftItemTypes2["CookedPorkchop"] = "minecraft:cooked_porkchop";
  MinecraftItemTypes2["CookedRabbit"] = "minecraft:cooked_rabbit";
  MinecraftItemTypes2["CookedSalmon"] = "minecraft:cooked_salmon";
  MinecraftItemTypes2["Cookie"] = "minecraft:cookie";
  MinecraftItemTypes2["CopperBlock"] = "minecraft:copper_block";
  MinecraftItemTypes2["CopperBulb"] = "minecraft:copper_bulb";
  MinecraftItemTypes2["CopperDoor"] = "minecraft:copper_door";
  MinecraftItemTypes2["CopperGrate"] = "minecraft:copper_grate";
  MinecraftItemTypes2["CopperIngot"] = "minecraft:copper_ingot";
  MinecraftItemTypes2["CopperOre"] = "minecraft:copper_ore";
  MinecraftItemTypes2["CopperTrapdoor"] = "minecraft:copper_trapdoor";
  MinecraftItemTypes2["Coral"] = "minecraft:coral";
  MinecraftItemTypes2["CoralBlock"] = "minecraft:coral_block";
  MinecraftItemTypes2["CoralFan"] = "minecraft:coral_fan";
  MinecraftItemTypes2["CoralFanDead"] = "minecraft:coral_fan_dead";
  MinecraftItemTypes2["Cornflower"] = "minecraft:cornflower";
  MinecraftItemTypes2["CowSpawnEgg"] = "minecraft:cow_spawn_egg";
  MinecraftItemTypes2["CrackedDeepslateBricks"] = "minecraft:cracked_deepslate_bricks";
  MinecraftItemTypes2["CrackedDeepslateTiles"] = "minecraft:cracked_deepslate_tiles";
  MinecraftItemTypes2["CrackedNetherBricks"] = "minecraft:cracked_nether_bricks";
  MinecraftItemTypes2["CrackedPolishedBlackstoneBricks"] = "minecraft:cracked_polished_blackstone_bricks";
  MinecraftItemTypes2["Crafter"] = "minecraft:crafter";
  MinecraftItemTypes2["CraftingTable"] = "minecraft:crafting_table";
  MinecraftItemTypes2["CreeperBannerPattern"] = "minecraft:creeper_banner_pattern";
  MinecraftItemTypes2["CreeperSpawnEgg"] = "minecraft:creeper_spawn_egg";
  MinecraftItemTypes2["CrimsonButton"] = "minecraft:crimson_button";
  MinecraftItemTypes2["CrimsonDoor"] = "minecraft:crimson_door";
  MinecraftItemTypes2["CrimsonFence"] = "minecraft:crimson_fence";
  MinecraftItemTypes2["CrimsonFenceGate"] = "minecraft:crimson_fence_gate";
  MinecraftItemTypes2["CrimsonFungus"] = "minecraft:crimson_fungus";
  MinecraftItemTypes2["CrimsonHangingSign"] = "minecraft:crimson_hanging_sign";
  MinecraftItemTypes2["CrimsonHyphae"] = "minecraft:crimson_hyphae";
  MinecraftItemTypes2["CrimsonNylium"] = "minecraft:crimson_nylium";
  MinecraftItemTypes2["CrimsonPlanks"] = "minecraft:crimson_planks";
  MinecraftItemTypes2["CrimsonPressurePlate"] = "minecraft:crimson_pressure_plate";
  MinecraftItemTypes2["CrimsonRoots"] = "minecraft:crimson_roots";
  MinecraftItemTypes2["CrimsonSign"] = "minecraft:crimson_sign";
  MinecraftItemTypes2["CrimsonSlab"] = "minecraft:crimson_slab";
  MinecraftItemTypes2["CrimsonStairs"] = "minecraft:crimson_stairs";
  MinecraftItemTypes2["CrimsonStem"] = "minecraft:crimson_stem";
  MinecraftItemTypes2["CrimsonTrapdoor"] = "minecraft:crimson_trapdoor";
  MinecraftItemTypes2["Crossbow"] = "minecraft:crossbow";
  MinecraftItemTypes2["CryingObsidian"] = "minecraft:crying_obsidian";
  MinecraftItemTypes2["CutCopper"] = "minecraft:cut_copper";
  MinecraftItemTypes2["CutCopperSlab"] = "minecraft:cut_copper_slab";
  MinecraftItemTypes2["CutCopperStairs"] = "minecraft:cut_copper_stairs";
  MinecraftItemTypes2["CyanCandle"] = "minecraft:cyan_candle";
  MinecraftItemTypes2["CyanCarpet"] = "minecraft:cyan_carpet";
  MinecraftItemTypes2["CyanConcrete"] = "minecraft:cyan_concrete";
  MinecraftItemTypes2["CyanConcretePowder"] = "minecraft:cyan_concrete_powder";
  MinecraftItemTypes2["CyanDye"] = "minecraft:cyan_dye";
  MinecraftItemTypes2["CyanGlazedTerracotta"] = "minecraft:cyan_glazed_terracotta";
  MinecraftItemTypes2["CyanShulkerBox"] = "minecraft:cyan_shulker_box";
  MinecraftItemTypes2["CyanStainedGlass"] = "minecraft:cyan_stained_glass";
  MinecraftItemTypes2["CyanStainedGlassPane"] = "minecraft:cyan_stained_glass_pane";
  MinecraftItemTypes2["CyanTerracotta"] = "minecraft:cyan_terracotta";
  MinecraftItemTypes2["CyanWool"] = "minecraft:cyan_wool";
  MinecraftItemTypes2["DangerPotterySherd"] = "minecraft:danger_pottery_sherd";
  MinecraftItemTypes2["DarkOakBoat"] = "minecraft:dark_oak_boat";
  MinecraftItemTypes2["DarkOakButton"] = "minecraft:dark_oak_button";
  MinecraftItemTypes2["DarkOakChestBoat"] = "minecraft:dark_oak_chest_boat";
  MinecraftItemTypes2["DarkOakDoor"] = "minecraft:dark_oak_door";
  MinecraftItemTypes2["DarkOakFence"] = "minecraft:dark_oak_fence";
  MinecraftItemTypes2["DarkOakFenceGate"] = "minecraft:dark_oak_fence_gate";
  MinecraftItemTypes2["DarkOakHangingSign"] = "minecraft:dark_oak_hanging_sign";
  MinecraftItemTypes2["DarkOakLeaves"] = "minecraft:dark_oak_leaves";
  MinecraftItemTypes2["DarkOakLog"] = "minecraft:dark_oak_log";
  MinecraftItemTypes2["DarkOakPlanks"] = "minecraft:dark_oak_planks";
  MinecraftItemTypes2["DarkOakPressurePlate"] = "minecraft:dark_oak_pressure_plate";
  MinecraftItemTypes2["DarkOakSapling"] = "minecraft:dark_oak_sapling";
  MinecraftItemTypes2["DarkOakSign"] = "minecraft:dark_oak_sign";
  MinecraftItemTypes2["DarkOakSlab"] = "minecraft:dark_oak_slab";
  MinecraftItemTypes2["DarkOakStairs"] = "minecraft:dark_oak_stairs";
  MinecraftItemTypes2["DarkOakTrapdoor"] = "minecraft:dark_oak_trapdoor";
  MinecraftItemTypes2["DarkOakWood"] = "minecraft:dark_oak_wood";
  MinecraftItemTypes2["DarkPrismarineStairs"] = "minecraft:dark_prismarine_stairs";
  MinecraftItemTypes2["DaylightDetector"] = "minecraft:daylight_detector";
  MinecraftItemTypes2["DeadBrainCoral"] = "minecraft:dead_brain_coral";
  MinecraftItemTypes2["DeadBrainCoralBlock"] = "minecraft:dead_brain_coral_block";
  MinecraftItemTypes2["DeadBrainCoralFan"] = "minecraft:dead_brain_coral_fan";
  MinecraftItemTypes2["DeadBubbleCoral"] = "minecraft:dead_bubble_coral";
  MinecraftItemTypes2["DeadBubbleCoralBlock"] = "minecraft:dead_bubble_coral_block";
  MinecraftItemTypes2["DeadBubbleCoralFan"] = "minecraft:dead_bubble_coral_fan";
  MinecraftItemTypes2["DeadFireCoral"] = "minecraft:dead_fire_coral";
  MinecraftItemTypes2["DeadFireCoralBlock"] = "minecraft:dead_fire_coral_block";
  MinecraftItemTypes2["DeadFireCoralFan"] = "minecraft:dead_fire_coral_fan";
  MinecraftItemTypes2["DeadHornCoral"] = "minecraft:dead_horn_coral";
  MinecraftItemTypes2["DeadHornCoralBlock"] = "minecraft:dead_horn_coral_block";
  MinecraftItemTypes2["DeadHornCoralFan"] = "minecraft:dead_horn_coral_fan";
  MinecraftItemTypes2["DeadTubeCoral"] = "minecraft:dead_tube_coral";
  MinecraftItemTypes2["DeadTubeCoralBlock"] = "minecraft:dead_tube_coral_block";
  MinecraftItemTypes2["DeadTubeCoralFan"] = "minecraft:dead_tube_coral_fan";
  MinecraftItemTypes2["Deadbush"] = "minecraft:deadbush";
  MinecraftItemTypes2["DecoratedPot"] = "minecraft:decorated_pot";
  MinecraftItemTypes2["Deepslate"] = "minecraft:deepslate";
  MinecraftItemTypes2["DeepslateBrickSlab"] = "minecraft:deepslate_brick_slab";
  MinecraftItemTypes2["DeepslateBrickStairs"] = "minecraft:deepslate_brick_stairs";
  MinecraftItemTypes2["DeepslateBrickWall"] = "minecraft:deepslate_brick_wall";
  MinecraftItemTypes2["DeepslateBricks"] = "minecraft:deepslate_bricks";
  MinecraftItemTypes2["DeepslateCoalOre"] = "minecraft:deepslate_coal_ore";
  MinecraftItemTypes2["DeepslateCopperOre"] = "minecraft:deepslate_copper_ore";
  MinecraftItemTypes2["DeepslateDiamondOre"] = "minecraft:deepslate_diamond_ore";
  MinecraftItemTypes2["DeepslateEmeraldOre"] = "minecraft:deepslate_emerald_ore";
  MinecraftItemTypes2["DeepslateGoldOre"] = "minecraft:deepslate_gold_ore";
  MinecraftItemTypes2["DeepslateIronOre"] = "minecraft:deepslate_iron_ore";
  MinecraftItemTypes2["DeepslateLapisOre"] = "minecraft:deepslate_lapis_ore";
  MinecraftItemTypes2["DeepslateRedstoneOre"] = "minecraft:deepslate_redstone_ore";
  MinecraftItemTypes2["DeepslateTileSlab"] = "minecraft:deepslate_tile_slab";
  MinecraftItemTypes2["DeepslateTileStairs"] = "minecraft:deepslate_tile_stairs";
  MinecraftItemTypes2["DeepslateTileWall"] = "minecraft:deepslate_tile_wall";
  MinecraftItemTypes2["DeepslateTiles"] = "minecraft:deepslate_tiles";
  MinecraftItemTypes2["Deny"] = "minecraft:deny";
  MinecraftItemTypes2["DetectorRail"] = "minecraft:detector_rail";
  MinecraftItemTypes2["Diamond"] = "minecraft:diamond";
  MinecraftItemTypes2["DiamondAxe"] = "minecraft:diamond_axe";
  MinecraftItemTypes2["DiamondBlock"] = "minecraft:diamond_block";
  MinecraftItemTypes2["DiamondBoots"] = "minecraft:diamond_boots";
  MinecraftItemTypes2["DiamondChestplate"] = "minecraft:diamond_chestplate";
  MinecraftItemTypes2["DiamondHelmet"] = "minecraft:diamond_helmet";
  MinecraftItemTypes2["DiamondHoe"] = "minecraft:diamond_hoe";
  MinecraftItemTypes2["DiamondHorseArmor"] = "minecraft:diamond_horse_armor";
  MinecraftItemTypes2["DiamondLeggings"] = "minecraft:diamond_leggings";
  MinecraftItemTypes2["DiamondOre"] = "minecraft:diamond_ore";
  MinecraftItemTypes2["DiamondPickaxe"] = "minecraft:diamond_pickaxe";
  MinecraftItemTypes2["DiamondShovel"] = "minecraft:diamond_shovel";
  MinecraftItemTypes2["DiamondSword"] = "minecraft:diamond_sword";
  MinecraftItemTypes2["Diorite"] = "minecraft:diorite";
  MinecraftItemTypes2["DioriteStairs"] = "minecraft:diorite_stairs";
  MinecraftItemTypes2["Dirt"] = "minecraft:dirt";
  MinecraftItemTypes2["DirtWithRoots"] = "minecraft:dirt_with_roots";
  MinecraftItemTypes2["DiscFragment5"] = "minecraft:disc_fragment_5";
  MinecraftItemTypes2["Dispenser"] = "minecraft:dispenser";
  MinecraftItemTypes2["DolphinSpawnEgg"] = "minecraft:dolphin_spawn_egg";
  MinecraftItemTypes2["DonkeySpawnEgg"] = "minecraft:donkey_spawn_egg";
  MinecraftItemTypes2["DoublePlant"] = "minecraft:double_plant";
  MinecraftItemTypes2["DragonBreath"] = "minecraft:dragon_breath";
  MinecraftItemTypes2["DragonEgg"] = "minecraft:dragon_egg";
  MinecraftItemTypes2["DriedKelp"] = "minecraft:dried_kelp";
  MinecraftItemTypes2["DriedKelpBlock"] = "minecraft:dried_kelp_block";
  MinecraftItemTypes2["DripstoneBlock"] = "minecraft:dripstone_block";
  MinecraftItemTypes2["Dropper"] = "minecraft:dropper";
  MinecraftItemTypes2["DrownedSpawnEgg"] = "minecraft:drowned_spawn_egg";
  MinecraftItemTypes2["DuneArmorTrimSmithingTemplate"] = "minecraft:dune_armor_trim_smithing_template";
  MinecraftItemTypes2["Dye"] = "minecraft:dye";
  MinecraftItemTypes2["EchoShard"] = "minecraft:echo_shard";
  MinecraftItemTypes2["Egg"] = "minecraft:egg";
  MinecraftItemTypes2["ElderGuardianSpawnEgg"] = "minecraft:elder_guardian_spawn_egg";
  MinecraftItemTypes2["Elytra"] = "minecraft:elytra";
  MinecraftItemTypes2["Emerald"] = "minecraft:emerald";
  MinecraftItemTypes2["EmeraldBlock"] = "minecraft:emerald_block";
  MinecraftItemTypes2["EmeraldOre"] = "minecraft:emerald_ore";
  MinecraftItemTypes2["EmptyMap"] = "minecraft:empty_map";
  MinecraftItemTypes2["EnchantedBook"] = "minecraft:enchanted_book";
  MinecraftItemTypes2["EnchantedGoldenApple"] = "minecraft:enchanted_golden_apple";
  MinecraftItemTypes2["EnchantingTable"] = "minecraft:enchanting_table";
  MinecraftItemTypes2["EndBrickStairs"] = "minecraft:end_brick_stairs";
  MinecraftItemTypes2["EndBricks"] = "minecraft:end_bricks";
  MinecraftItemTypes2["EndCrystal"] = "minecraft:end_crystal";
  MinecraftItemTypes2["EndPortalFrame"] = "minecraft:end_portal_frame";
  MinecraftItemTypes2["EndRod"] = "minecraft:end_rod";
  MinecraftItemTypes2["EndStone"] = "minecraft:end_stone";
  MinecraftItemTypes2["EnderChest"] = "minecraft:ender_chest";
  MinecraftItemTypes2["EnderDragonSpawnEgg"] = "minecraft:ender_dragon_spawn_egg";
  MinecraftItemTypes2["EnderEye"] = "minecraft:ender_eye";
  MinecraftItemTypes2["EnderPearl"] = "minecraft:ender_pearl";
  MinecraftItemTypes2["EndermanSpawnEgg"] = "minecraft:enderman_spawn_egg";
  MinecraftItemTypes2["EndermiteSpawnEgg"] = "minecraft:endermite_spawn_egg";
  MinecraftItemTypes2["EvokerSpawnEgg"] = "minecraft:evoker_spawn_egg";
  MinecraftItemTypes2["ExperienceBottle"] = "minecraft:experience_bottle";
  MinecraftItemTypes2["ExplorerPotterySherd"] = "minecraft:explorer_pottery_sherd";
  MinecraftItemTypes2["ExposedChiseledCopper"] = "minecraft:exposed_chiseled_copper";
  MinecraftItemTypes2["ExposedCopper"] = "minecraft:exposed_copper";
  MinecraftItemTypes2["ExposedCopperBulb"] = "minecraft:exposed_copper_bulb";
  MinecraftItemTypes2["ExposedCopperDoor"] = "minecraft:exposed_copper_door";
  MinecraftItemTypes2["ExposedCopperGrate"] = "minecraft:exposed_copper_grate";
  MinecraftItemTypes2["ExposedCopperTrapdoor"] = "minecraft:exposed_copper_trapdoor";
  MinecraftItemTypes2["ExposedCutCopper"] = "minecraft:exposed_cut_copper";
  MinecraftItemTypes2["ExposedCutCopperSlab"] = "minecraft:exposed_cut_copper_slab";
  MinecraftItemTypes2["ExposedCutCopperStairs"] = "minecraft:exposed_cut_copper_stairs";
  MinecraftItemTypes2["EyeArmorTrimSmithingTemplate"] = "minecraft:eye_armor_trim_smithing_template";
  MinecraftItemTypes2["Farmland"] = "minecraft:farmland";
  MinecraftItemTypes2["Feather"] = "minecraft:feather";
  MinecraftItemTypes2["Fence"] = "minecraft:fence";
  MinecraftItemTypes2["FenceGate"] = "minecraft:fence_gate";
  MinecraftItemTypes2["FermentedSpiderEye"] = "minecraft:fermented_spider_eye";
  MinecraftItemTypes2["Fern"] = "minecraft:fern";
  MinecraftItemTypes2["FieldMasonedBannerPattern"] = "minecraft:field_masoned_banner_pattern";
  MinecraftItemTypes2["FilledMap"] = "minecraft:filled_map";
  MinecraftItemTypes2["FireCharge"] = "minecraft:fire_charge";
  MinecraftItemTypes2["FireCoral"] = "minecraft:fire_coral";
  MinecraftItemTypes2["FireCoralBlock"] = "minecraft:fire_coral_block";
  MinecraftItemTypes2["FireCoralFan"] = "minecraft:fire_coral_fan";
  MinecraftItemTypes2["FireworkRocket"] = "minecraft:firework_rocket";
  MinecraftItemTypes2["FireworkStar"] = "minecraft:firework_star";
  MinecraftItemTypes2["FishingRod"] = "minecraft:fishing_rod";
  MinecraftItemTypes2["FletchingTable"] = "minecraft:fletching_table";
  MinecraftItemTypes2["Flint"] = "minecraft:flint";
  MinecraftItemTypes2["FlintAndSteel"] = "minecraft:flint_and_steel";
  MinecraftItemTypes2["FlowArmorTrimSmithingTemplate"] = "minecraft:flow_armor_trim_smithing_template";
  MinecraftItemTypes2["FlowBannerPattern"] = "minecraft:flow_banner_pattern";
  MinecraftItemTypes2["FlowPotterySherd"] = "minecraft:flow_pottery_sherd";
  MinecraftItemTypes2["FlowerBannerPattern"] = "minecraft:flower_banner_pattern";
  MinecraftItemTypes2["FlowerPot"] = "minecraft:flower_pot";
  MinecraftItemTypes2["FloweringAzalea"] = "minecraft:flowering_azalea";
  MinecraftItemTypes2["FoxSpawnEgg"] = "minecraft:fox_spawn_egg";
  MinecraftItemTypes2["Frame"] = "minecraft:frame";
  MinecraftItemTypes2["FriendPotterySherd"] = "minecraft:friend_pottery_sherd";
  MinecraftItemTypes2["FrogSpawn"] = "minecraft:frog_spawn";
  MinecraftItemTypes2["FrogSpawnEgg"] = "minecraft:frog_spawn_egg";
  MinecraftItemTypes2["FrostedIce"] = "minecraft:frosted_ice";
  MinecraftItemTypes2["Furnace"] = "minecraft:furnace";
  MinecraftItemTypes2["GhastSpawnEgg"] = "minecraft:ghast_spawn_egg";
  MinecraftItemTypes2["GhastTear"] = "minecraft:ghast_tear";
  MinecraftItemTypes2["GildedBlackstone"] = "minecraft:gilded_blackstone";
  MinecraftItemTypes2["Glass"] = "minecraft:glass";
  MinecraftItemTypes2["GlassBottle"] = "minecraft:glass_bottle";
  MinecraftItemTypes2["GlassPane"] = "minecraft:glass_pane";
  MinecraftItemTypes2["GlisteringMelonSlice"] = "minecraft:glistering_melon_slice";
  MinecraftItemTypes2["GlobeBannerPattern"] = "minecraft:globe_banner_pattern";
  MinecraftItemTypes2["GlowBerries"] = "minecraft:glow_berries";
  MinecraftItemTypes2["GlowFrame"] = "minecraft:glow_frame";
  MinecraftItemTypes2["GlowInkSac"] = "minecraft:glow_ink_sac";
  MinecraftItemTypes2["GlowLichen"] = "minecraft:glow_lichen";
  MinecraftItemTypes2["GlowSquidSpawnEgg"] = "minecraft:glow_squid_spawn_egg";
  MinecraftItemTypes2["Glowstone"] = "minecraft:glowstone";
  MinecraftItemTypes2["GlowstoneDust"] = "minecraft:glowstone_dust";
  MinecraftItemTypes2["GoatHorn"] = "minecraft:goat_horn";
  MinecraftItemTypes2["GoatSpawnEgg"] = "minecraft:goat_spawn_egg";
  MinecraftItemTypes2["GoldBlock"] = "minecraft:gold_block";
  MinecraftItemTypes2["GoldIngot"] = "minecraft:gold_ingot";
  MinecraftItemTypes2["GoldNugget"] = "minecraft:gold_nugget";
  MinecraftItemTypes2["GoldOre"] = "minecraft:gold_ore";
  MinecraftItemTypes2["GoldenApple"] = "minecraft:golden_apple";
  MinecraftItemTypes2["GoldenAxe"] = "minecraft:golden_axe";
  MinecraftItemTypes2["GoldenBoots"] = "minecraft:golden_boots";
  MinecraftItemTypes2["GoldenCarrot"] = "minecraft:golden_carrot";
  MinecraftItemTypes2["GoldenChestplate"] = "minecraft:golden_chestplate";
  MinecraftItemTypes2["GoldenHelmet"] = "minecraft:golden_helmet";
  MinecraftItemTypes2["GoldenHoe"] = "minecraft:golden_hoe";
  MinecraftItemTypes2["GoldenHorseArmor"] = "minecraft:golden_horse_armor";
  MinecraftItemTypes2["GoldenLeggings"] = "minecraft:golden_leggings";
  MinecraftItemTypes2["GoldenPickaxe"] = "minecraft:golden_pickaxe";
  MinecraftItemTypes2["GoldenRail"] = "minecraft:golden_rail";
  MinecraftItemTypes2["GoldenShovel"] = "minecraft:golden_shovel";
  MinecraftItemTypes2["GoldenSword"] = "minecraft:golden_sword";
  MinecraftItemTypes2["Granite"] = "minecraft:granite";
  MinecraftItemTypes2["GraniteStairs"] = "minecraft:granite_stairs";
  MinecraftItemTypes2["GrassBlock"] = "minecraft:grass_block";
  MinecraftItemTypes2["GrassPath"] = "minecraft:grass_path";
  MinecraftItemTypes2["Gravel"] = "minecraft:gravel";
  MinecraftItemTypes2["GrayCandle"] = "minecraft:gray_candle";
  MinecraftItemTypes2["GrayCarpet"] = "minecraft:gray_carpet";
  MinecraftItemTypes2["GrayConcrete"] = "minecraft:gray_concrete";
  MinecraftItemTypes2["GrayConcretePowder"] = "minecraft:gray_concrete_powder";
  MinecraftItemTypes2["GrayDye"] = "minecraft:gray_dye";
  MinecraftItemTypes2["GrayGlazedTerracotta"] = "minecraft:gray_glazed_terracotta";
  MinecraftItemTypes2["GrayShulkerBox"] = "minecraft:gray_shulker_box";
  MinecraftItemTypes2["GrayStainedGlass"] = "minecraft:gray_stained_glass";
  MinecraftItemTypes2["GrayStainedGlassPane"] = "minecraft:gray_stained_glass_pane";
  MinecraftItemTypes2["GrayTerracotta"] = "minecraft:gray_terracotta";
  MinecraftItemTypes2["GrayWool"] = "minecraft:gray_wool";
  MinecraftItemTypes2["GreenCandle"] = "minecraft:green_candle";
  MinecraftItemTypes2["GreenCarpet"] = "minecraft:green_carpet";
  MinecraftItemTypes2["GreenConcrete"] = "minecraft:green_concrete";
  MinecraftItemTypes2["GreenConcretePowder"] = "minecraft:green_concrete_powder";
  MinecraftItemTypes2["GreenDye"] = "minecraft:green_dye";
  MinecraftItemTypes2["GreenGlazedTerracotta"] = "minecraft:green_glazed_terracotta";
  MinecraftItemTypes2["GreenShulkerBox"] = "minecraft:green_shulker_box";
  MinecraftItemTypes2["GreenStainedGlass"] = "minecraft:green_stained_glass";
  MinecraftItemTypes2["GreenStainedGlassPane"] = "minecraft:green_stained_glass_pane";
  MinecraftItemTypes2["GreenTerracotta"] = "minecraft:green_terracotta";
  MinecraftItemTypes2["GreenWool"] = "minecraft:green_wool";
  MinecraftItemTypes2["Grindstone"] = "minecraft:grindstone";
  MinecraftItemTypes2["GuardianSpawnEgg"] = "minecraft:guardian_spawn_egg";
  MinecraftItemTypes2["Gunpowder"] = "minecraft:gunpowder";
  MinecraftItemTypes2["GusterBannerPattern"] = "minecraft:guster_banner_pattern";
  MinecraftItemTypes2["GusterPotterySherd"] = "minecraft:guster_pottery_sherd";
  MinecraftItemTypes2["HangingRoots"] = "minecraft:hanging_roots";
  MinecraftItemTypes2["HardStainedGlass"] = "minecraft:hard_stained_glass";
  MinecraftItemTypes2["HardStainedGlassPane"] = "minecraft:hard_stained_glass_pane";
  MinecraftItemTypes2["HardenedClay"] = "minecraft:hardened_clay";
  MinecraftItemTypes2["HayBlock"] = "minecraft:hay_block";
  MinecraftItemTypes2["HeartOfTheSea"] = "minecraft:heart_of_the_sea";
  MinecraftItemTypes2["HeartPotterySherd"] = "minecraft:heart_pottery_sherd";
  MinecraftItemTypes2["HeartbreakPotterySherd"] = "minecraft:heartbreak_pottery_sherd";
  MinecraftItemTypes2["HeavyCore"] = "minecraft:heavy_core";
  MinecraftItemTypes2["HeavyWeightedPressurePlate"] = "minecraft:heavy_weighted_pressure_plate";
  MinecraftItemTypes2["HoglinSpawnEgg"] = "minecraft:hoglin_spawn_egg";
  MinecraftItemTypes2["HoneyBlock"] = "minecraft:honey_block";
  MinecraftItemTypes2["HoneyBottle"] = "minecraft:honey_bottle";
  MinecraftItemTypes2["Honeycomb"] = "minecraft:honeycomb";
  MinecraftItemTypes2["HoneycombBlock"] = "minecraft:honeycomb_block";
  MinecraftItemTypes2["Hopper"] = "minecraft:hopper";
  MinecraftItemTypes2["HopperMinecart"] = "minecraft:hopper_minecart";
  MinecraftItemTypes2["HornCoral"] = "minecraft:horn_coral";
  MinecraftItemTypes2["HornCoralBlock"] = "minecraft:horn_coral_block";
  MinecraftItemTypes2["HornCoralFan"] = "minecraft:horn_coral_fan";
  MinecraftItemTypes2["HorseSpawnEgg"] = "minecraft:horse_spawn_egg";
  MinecraftItemTypes2["HostArmorTrimSmithingTemplate"] = "minecraft:host_armor_trim_smithing_template";
  MinecraftItemTypes2["HowlPotterySherd"] = "minecraft:howl_pottery_sherd";
  MinecraftItemTypes2["HuskSpawnEgg"] = "minecraft:husk_spawn_egg";
  MinecraftItemTypes2["Ice"] = "minecraft:ice";
  MinecraftItemTypes2["InfestedDeepslate"] = "minecraft:infested_deepslate";
  MinecraftItemTypes2["InkSac"] = "minecraft:ink_sac";
  MinecraftItemTypes2["IronAxe"] = "minecraft:iron_axe";
  MinecraftItemTypes2["IronBars"] = "minecraft:iron_bars";
  MinecraftItemTypes2["IronBlock"] = "minecraft:iron_block";
  MinecraftItemTypes2["IronBoots"] = "minecraft:iron_boots";
  MinecraftItemTypes2["IronChestplate"] = "minecraft:iron_chestplate";
  MinecraftItemTypes2["IronDoor"] = "minecraft:iron_door";
  MinecraftItemTypes2["IronGolemSpawnEgg"] = "minecraft:iron_golem_spawn_egg";
  MinecraftItemTypes2["IronHelmet"] = "minecraft:iron_helmet";
  MinecraftItemTypes2["IronHoe"] = "minecraft:iron_hoe";
  MinecraftItemTypes2["IronHorseArmor"] = "minecraft:iron_horse_armor";
  MinecraftItemTypes2["IronIngot"] = "minecraft:iron_ingot";
  MinecraftItemTypes2["IronLeggings"] = "minecraft:iron_leggings";
  MinecraftItemTypes2["IronNugget"] = "minecraft:iron_nugget";
  MinecraftItemTypes2["IronOre"] = "minecraft:iron_ore";
  MinecraftItemTypes2["IronPickaxe"] = "minecraft:iron_pickaxe";
  MinecraftItemTypes2["IronShovel"] = "minecraft:iron_shovel";
  MinecraftItemTypes2["IronSword"] = "minecraft:iron_sword";
  MinecraftItemTypes2["IronTrapdoor"] = "minecraft:iron_trapdoor";
  MinecraftItemTypes2["Jigsaw"] = "minecraft:jigsaw";
  MinecraftItemTypes2["Jukebox"] = "minecraft:jukebox";
  MinecraftItemTypes2["JungleBoat"] = "minecraft:jungle_boat";
  MinecraftItemTypes2["JungleButton"] = "minecraft:jungle_button";
  MinecraftItemTypes2["JungleChestBoat"] = "minecraft:jungle_chest_boat";
  MinecraftItemTypes2["JungleDoor"] = "minecraft:jungle_door";
  MinecraftItemTypes2["JungleFence"] = "minecraft:jungle_fence";
  MinecraftItemTypes2["JungleFenceGate"] = "minecraft:jungle_fence_gate";
  MinecraftItemTypes2["JungleHangingSign"] = "minecraft:jungle_hanging_sign";
  MinecraftItemTypes2["JungleLeaves"] = "minecraft:jungle_leaves";
  MinecraftItemTypes2["JungleLog"] = "minecraft:jungle_log";
  MinecraftItemTypes2["JunglePlanks"] = "minecraft:jungle_planks";
  MinecraftItemTypes2["JunglePressurePlate"] = "minecraft:jungle_pressure_plate";
  MinecraftItemTypes2["JungleSapling"] = "minecraft:jungle_sapling";
  MinecraftItemTypes2["JungleSign"] = "minecraft:jungle_sign";
  MinecraftItemTypes2["JungleSlab"] = "minecraft:jungle_slab";
  MinecraftItemTypes2["JungleStairs"] = "minecraft:jungle_stairs";
  MinecraftItemTypes2["JungleTrapdoor"] = "minecraft:jungle_trapdoor";
  MinecraftItemTypes2["JungleWood"] = "minecraft:jungle_wood";
  MinecraftItemTypes2["Kelp"] = "minecraft:kelp";
  MinecraftItemTypes2["Ladder"] = "minecraft:ladder";
  MinecraftItemTypes2["Lantern"] = "minecraft:lantern";
  MinecraftItemTypes2["LapisBlock"] = "minecraft:lapis_block";
  MinecraftItemTypes2["LapisLazuli"] = "minecraft:lapis_lazuli";
  MinecraftItemTypes2["LapisOre"] = "minecraft:lapis_ore";
  MinecraftItemTypes2["LargeAmethystBud"] = "minecraft:large_amethyst_bud";
  MinecraftItemTypes2["LargeFern"] = "minecraft:large_fern";
  MinecraftItemTypes2["LavaBucket"] = "minecraft:lava_bucket";
  MinecraftItemTypes2["Lead"] = "minecraft:lead";
  MinecraftItemTypes2["Leather"] = "minecraft:leather";
  MinecraftItemTypes2["LeatherBoots"] = "minecraft:leather_boots";
  MinecraftItemTypes2["LeatherChestplate"] = "minecraft:leather_chestplate";
  MinecraftItemTypes2["LeatherHelmet"] = "minecraft:leather_helmet";
  MinecraftItemTypes2["LeatherHorseArmor"] = "minecraft:leather_horse_armor";
  MinecraftItemTypes2["LeatherLeggings"] = "minecraft:leather_leggings";
  MinecraftItemTypes2["Leaves"] = "minecraft:leaves";
  MinecraftItemTypes2["Leaves2"] = "minecraft:leaves2";
  MinecraftItemTypes2["Lectern"] = "minecraft:lectern";
  MinecraftItemTypes2["Lever"] = "minecraft:lever";
  MinecraftItemTypes2["LightBlock"] = "minecraft:light_block";
  MinecraftItemTypes2["LightBlueCandle"] = "minecraft:light_blue_candle";
  MinecraftItemTypes2["LightBlueCarpet"] = "minecraft:light_blue_carpet";
  MinecraftItemTypes2["LightBlueConcrete"] = "minecraft:light_blue_concrete";
  MinecraftItemTypes2["LightBlueConcretePowder"] = "minecraft:light_blue_concrete_powder";
  MinecraftItemTypes2["LightBlueDye"] = "minecraft:light_blue_dye";
  MinecraftItemTypes2["LightBlueGlazedTerracotta"] = "minecraft:light_blue_glazed_terracotta";
  MinecraftItemTypes2["LightBlueShulkerBox"] = "minecraft:light_blue_shulker_box";
  MinecraftItemTypes2["LightBlueStainedGlass"] = "minecraft:light_blue_stained_glass";
  MinecraftItemTypes2["LightBlueStainedGlassPane"] = "minecraft:light_blue_stained_glass_pane";
  MinecraftItemTypes2["LightBlueTerracotta"] = "minecraft:light_blue_terracotta";
  MinecraftItemTypes2["LightBlueWool"] = "minecraft:light_blue_wool";
  MinecraftItemTypes2["LightGrayCandle"] = "minecraft:light_gray_candle";
  MinecraftItemTypes2["LightGrayCarpet"] = "minecraft:light_gray_carpet";
  MinecraftItemTypes2["LightGrayConcrete"] = "minecraft:light_gray_concrete";
  MinecraftItemTypes2["LightGrayConcretePowder"] = "minecraft:light_gray_concrete_powder";
  MinecraftItemTypes2["LightGrayDye"] = "minecraft:light_gray_dye";
  MinecraftItemTypes2["LightGrayShulkerBox"] = "minecraft:light_gray_shulker_box";
  MinecraftItemTypes2["LightGrayStainedGlass"] = "minecraft:light_gray_stained_glass";
  MinecraftItemTypes2["LightGrayStainedGlassPane"] = "minecraft:light_gray_stained_glass_pane";
  MinecraftItemTypes2["LightGrayTerracotta"] = "minecraft:light_gray_terracotta";
  MinecraftItemTypes2["LightGrayWool"] = "minecraft:light_gray_wool";
  MinecraftItemTypes2["LightWeightedPressurePlate"] = "minecraft:light_weighted_pressure_plate";
  MinecraftItemTypes2["LightningRod"] = "minecraft:lightning_rod";
  MinecraftItemTypes2["Lilac"] = "minecraft:lilac";
  MinecraftItemTypes2["LilyOfTheValley"] = "minecraft:lily_of_the_valley";
  MinecraftItemTypes2["LimeCandle"] = "minecraft:lime_candle";
  MinecraftItemTypes2["LimeCarpet"] = "minecraft:lime_carpet";
  MinecraftItemTypes2["LimeConcrete"] = "minecraft:lime_concrete";
  MinecraftItemTypes2["LimeConcretePowder"] = "minecraft:lime_concrete_powder";
  MinecraftItemTypes2["LimeDye"] = "minecraft:lime_dye";
  MinecraftItemTypes2["LimeGlazedTerracotta"] = "minecraft:lime_glazed_terracotta";
  MinecraftItemTypes2["LimeShulkerBox"] = "minecraft:lime_shulker_box";
  MinecraftItemTypes2["LimeStainedGlass"] = "minecraft:lime_stained_glass";
  MinecraftItemTypes2["LimeStainedGlassPane"] = "minecraft:lime_stained_glass_pane";
  MinecraftItemTypes2["LimeTerracotta"] = "minecraft:lime_terracotta";
  MinecraftItemTypes2["LimeWool"] = "minecraft:lime_wool";
  MinecraftItemTypes2["LingeringPotion"] = "minecraft:lingering_potion";
  MinecraftItemTypes2["LitPumpkin"] = "minecraft:lit_pumpkin";
  MinecraftItemTypes2["LlamaSpawnEgg"] = "minecraft:llama_spawn_egg";
  MinecraftItemTypes2["Lodestone"] = "minecraft:lodestone";
  MinecraftItemTypes2["LodestoneCompass"] = "minecraft:lodestone_compass";
  MinecraftItemTypes2["Log"] = "minecraft:log";
  MinecraftItemTypes2["Log2"] = "minecraft:log2";
  MinecraftItemTypes2["Loom"] = "minecraft:loom";
  MinecraftItemTypes2["Mace"] = "minecraft:mace";
  MinecraftItemTypes2["MagentaCandle"] = "minecraft:magenta_candle";
  MinecraftItemTypes2["MagentaCarpet"] = "minecraft:magenta_carpet";
  MinecraftItemTypes2["MagentaConcrete"] = "minecraft:magenta_concrete";
  MinecraftItemTypes2["MagentaConcretePowder"] = "minecraft:magenta_concrete_powder";
  MinecraftItemTypes2["MagentaDye"] = "minecraft:magenta_dye";
  MinecraftItemTypes2["MagentaGlazedTerracotta"] = "minecraft:magenta_glazed_terracotta";
  MinecraftItemTypes2["MagentaShulkerBox"] = "minecraft:magenta_shulker_box";
  MinecraftItemTypes2["MagentaStainedGlass"] = "minecraft:magenta_stained_glass";
  MinecraftItemTypes2["MagentaStainedGlassPane"] = "minecraft:magenta_stained_glass_pane";
  MinecraftItemTypes2["MagentaTerracotta"] = "minecraft:magenta_terracotta";
  MinecraftItemTypes2["MagentaWool"] = "minecraft:magenta_wool";
  MinecraftItemTypes2["Magma"] = "minecraft:magma";
  MinecraftItemTypes2["MagmaCream"] = "minecraft:magma_cream";
  MinecraftItemTypes2["MagmaCubeSpawnEgg"] = "minecraft:magma_cube_spawn_egg";
  MinecraftItemTypes2["MangroveBoat"] = "minecraft:mangrove_boat";
  MinecraftItemTypes2["MangroveButton"] = "minecraft:mangrove_button";
  MinecraftItemTypes2["MangroveChestBoat"] = "minecraft:mangrove_chest_boat";
  MinecraftItemTypes2["MangroveDoor"] = "minecraft:mangrove_door";
  MinecraftItemTypes2["MangroveFence"] = "minecraft:mangrove_fence";
  MinecraftItemTypes2["MangroveFenceGate"] = "minecraft:mangrove_fence_gate";
  MinecraftItemTypes2["MangroveHangingSign"] = "minecraft:mangrove_hanging_sign";
  MinecraftItemTypes2["MangroveLeaves"] = "minecraft:mangrove_leaves";
  MinecraftItemTypes2["MangroveLog"] = "minecraft:mangrove_log";
  MinecraftItemTypes2["MangrovePlanks"] = "minecraft:mangrove_planks";
  MinecraftItemTypes2["MangrovePressurePlate"] = "minecraft:mangrove_pressure_plate";
  MinecraftItemTypes2["MangrovePropagule"] = "minecraft:mangrove_propagule";
  MinecraftItemTypes2["MangroveRoots"] = "minecraft:mangrove_roots";
  MinecraftItemTypes2["MangroveSign"] = "minecraft:mangrove_sign";
  MinecraftItemTypes2["MangroveSlab"] = "minecraft:mangrove_slab";
  MinecraftItemTypes2["MangroveStairs"] = "minecraft:mangrove_stairs";
  MinecraftItemTypes2["MangroveTrapdoor"] = "minecraft:mangrove_trapdoor";
  MinecraftItemTypes2["MangroveWood"] = "minecraft:mangrove_wood";
  MinecraftItemTypes2["MediumAmethystBud"] = "minecraft:medium_amethyst_bud";
  MinecraftItemTypes2["MelonBlock"] = "minecraft:melon_block";
  MinecraftItemTypes2["MelonSeeds"] = "minecraft:melon_seeds";
  MinecraftItemTypes2["MelonSlice"] = "minecraft:melon_slice";
  MinecraftItemTypes2["MilkBucket"] = "minecraft:milk_bucket";
  MinecraftItemTypes2["Minecart"] = "minecraft:minecart";
  MinecraftItemTypes2["MinerPotterySherd"] = "minecraft:miner_pottery_sherd";
  MinecraftItemTypes2["MobSpawner"] = "minecraft:mob_spawner";
  MinecraftItemTypes2["MojangBannerPattern"] = "minecraft:mojang_banner_pattern";
  MinecraftItemTypes2["MonsterEgg"] = "minecraft:monster_egg";
  MinecraftItemTypes2["MooshroomSpawnEgg"] = "minecraft:mooshroom_spawn_egg";
  MinecraftItemTypes2["MossBlock"] = "minecraft:moss_block";
  MinecraftItemTypes2["MossCarpet"] = "minecraft:moss_carpet";
  MinecraftItemTypes2["MossyCobblestone"] = "minecraft:mossy_cobblestone";
  MinecraftItemTypes2["MossyCobblestoneStairs"] = "minecraft:mossy_cobblestone_stairs";
  MinecraftItemTypes2["MossyStoneBrickStairs"] = "minecraft:mossy_stone_brick_stairs";
  MinecraftItemTypes2["MournerPotterySherd"] = "minecraft:mourner_pottery_sherd";
  MinecraftItemTypes2["Mud"] = "minecraft:mud";
  MinecraftItemTypes2["MudBrickSlab"] = "minecraft:mud_brick_slab";
  MinecraftItemTypes2["MudBrickStairs"] = "minecraft:mud_brick_stairs";
  MinecraftItemTypes2["MudBrickWall"] = "minecraft:mud_brick_wall";
  MinecraftItemTypes2["MudBricks"] = "minecraft:mud_bricks";
  MinecraftItemTypes2["MuddyMangroveRoots"] = "minecraft:muddy_mangrove_roots";
  MinecraftItemTypes2["MuleSpawnEgg"] = "minecraft:mule_spawn_egg";
  MinecraftItemTypes2["MushroomStew"] = "minecraft:mushroom_stew";
  MinecraftItemTypes2["MusicDisc11"] = "minecraft:music_disc_11";
  MinecraftItemTypes2["MusicDisc13"] = "minecraft:music_disc_13";
  MinecraftItemTypes2["MusicDisc5"] = "minecraft:music_disc_5";
  MinecraftItemTypes2["MusicDiscBlocks"] = "minecraft:music_disc_blocks";
  MinecraftItemTypes2["MusicDiscCat"] = "minecraft:music_disc_cat";
  MinecraftItemTypes2["MusicDiscChirp"] = "minecraft:music_disc_chirp";
  MinecraftItemTypes2["MusicDiscCreator"] = "minecraft:music_disc_creator";
  MinecraftItemTypes2["MusicDiscCreatorMusicBox"] = "minecraft:music_disc_creator_music_box";
  MinecraftItemTypes2["MusicDiscFar"] = "minecraft:music_disc_far";
  MinecraftItemTypes2["MusicDiscMall"] = "minecraft:music_disc_mall";
  MinecraftItemTypes2["MusicDiscMellohi"] = "minecraft:music_disc_mellohi";
  MinecraftItemTypes2["MusicDiscOtherside"] = "minecraft:music_disc_otherside";
  MinecraftItemTypes2["MusicDiscPigstep"] = "minecraft:music_disc_pigstep";
  MinecraftItemTypes2["MusicDiscPrecipice"] = "minecraft:music_disc_precipice";
  MinecraftItemTypes2["MusicDiscRelic"] = "minecraft:music_disc_relic";
  MinecraftItemTypes2["MusicDiscStal"] = "minecraft:music_disc_stal";
  MinecraftItemTypes2["MusicDiscStrad"] = "minecraft:music_disc_strad";
  MinecraftItemTypes2["MusicDiscWait"] = "minecraft:music_disc_wait";
  MinecraftItemTypes2["MusicDiscWard"] = "minecraft:music_disc_ward";
  MinecraftItemTypes2["Mutton"] = "minecraft:mutton";
  MinecraftItemTypes2["Mycelium"] = "minecraft:mycelium";
  MinecraftItemTypes2["NameTag"] = "minecraft:name_tag";
  MinecraftItemTypes2["NautilusShell"] = "minecraft:nautilus_shell";
  MinecraftItemTypes2["NetherBrick"] = "minecraft:nether_brick";
  MinecraftItemTypes2["NetherBrickFence"] = "minecraft:nether_brick_fence";
  MinecraftItemTypes2["NetherBrickSlab"] = "minecraft:nether_brick_slab";
  MinecraftItemTypes2["NetherBrickStairs"] = "minecraft:nether_brick_stairs";
  MinecraftItemTypes2["NetherGoldOre"] = "minecraft:nether_gold_ore";
  MinecraftItemTypes2["NetherSprouts"] = "minecraft:nether_sprouts";
  MinecraftItemTypes2["NetherStar"] = "minecraft:nether_star";
  MinecraftItemTypes2["NetherWart"] = "minecraft:nether_wart";
  MinecraftItemTypes2["NetherWartBlock"] = "minecraft:nether_wart_block";
  MinecraftItemTypes2["Netherbrick"] = "minecraft:netherbrick";
  MinecraftItemTypes2["NetheriteAxe"] = "minecraft:netherite_axe";
  MinecraftItemTypes2["NetheriteBlock"] = "minecraft:netherite_block";
  MinecraftItemTypes2["NetheriteBoots"] = "minecraft:netherite_boots";
  MinecraftItemTypes2["NetheriteChestplate"] = "minecraft:netherite_chestplate";
  MinecraftItemTypes2["NetheriteHelmet"] = "minecraft:netherite_helmet";
  MinecraftItemTypes2["NetheriteHoe"] = "minecraft:netherite_hoe";
  MinecraftItemTypes2["NetheriteIngot"] = "minecraft:netherite_ingot";
  MinecraftItemTypes2["NetheriteLeggings"] = "minecraft:netherite_leggings";
  MinecraftItemTypes2["NetheritePickaxe"] = "minecraft:netherite_pickaxe";
  MinecraftItemTypes2["NetheriteScrap"] = "minecraft:netherite_scrap";
  MinecraftItemTypes2["NetheriteShovel"] = "minecraft:netherite_shovel";
  MinecraftItemTypes2["NetheriteSword"] = "minecraft:netherite_sword";
  MinecraftItemTypes2["NetheriteUpgradeSmithingTemplate"] = "minecraft:netherite_upgrade_smithing_template";
  MinecraftItemTypes2["Netherrack"] = "minecraft:netherrack";
  MinecraftItemTypes2["NormalStoneStairs"] = "minecraft:normal_stone_stairs";
  MinecraftItemTypes2["Noteblock"] = "minecraft:noteblock";
  MinecraftItemTypes2["OakBoat"] = "minecraft:oak_boat";
  MinecraftItemTypes2["OakChestBoat"] = "minecraft:oak_chest_boat";
  MinecraftItemTypes2["OakFence"] = "minecraft:oak_fence";
  MinecraftItemTypes2["OakHangingSign"] = "minecraft:oak_hanging_sign";
  MinecraftItemTypes2["OakLeaves"] = "minecraft:oak_leaves";
  MinecraftItemTypes2["OakLog"] = "minecraft:oak_log";
  MinecraftItemTypes2["OakPlanks"] = "minecraft:oak_planks";
  MinecraftItemTypes2["OakSapling"] = "minecraft:oak_sapling";
  MinecraftItemTypes2["OakSign"] = "minecraft:oak_sign";
  MinecraftItemTypes2["OakSlab"] = "minecraft:oak_slab";
  MinecraftItemTypes2["OakStairs"] = "minecraft:oak_stairs";
  MinecraftItemTypes2["OakWood"] = "minecraft:oak_wood";
  MinecraftItemTypes2["Observer"] = "minecraft:observer";
  MinecraftItemTypes2["Obsidian"] = "minecraft:obsidian";
  MinecraftItemTypes2["OcelotSpawnEgg"] = "minecraft:ocelot_spawn_egg";
  MinecraftItemTypes2["OchreFroglight"] = "minecraft:ochre_froglight";
  MinecraftItemTypes2["OminousBottle"] = "minecraft:ominous_bottle";
  MinecraftItemTypes2["OminousTrialKey"] = "minecraft:ominous_trial_key";
  MinecraftItemTypes2["OrangeCandle"] = "minecraft:orange_candle";
  MinecraftItemTypes2["OrangeCarpet"] = "minecraft:orange_carpet";
  MinecraftItemTypes2["OrangeConcrete"] = "minecraft:orange_concrete";
  MinecraftItemTypes2["OrangeConcretePowder"] = "minecraft:orange_concrete_powder";
  MinecraftItemTypes2["OrangeDye"] = "minecraft:orange_dye";
  MinecraftItemTypes2["OrangeGlazedTerracotta"] = "minecraft:orange_glazed_terracotta";
  MinecraftItemTypes2["OrangeShulkerBox"] = "minecraft:orange_shulker_box";
  MinecraftItemTypes2["OrangeStainedGlass"] = "minecraft:orange_stained_glass";
  MinecraftItemTypes2["OrangeStainedGlassPane"] = "minecraft:orange_stained_glass_pane";
  MinecraftItemTypes2["OrangeTerracotta"] = "minecraft:orange_terracotta";
  MinecraftItemTypes2["OrangeTulip"] = "minecraft:orange_tulip";
  MinecraftItemTypes2["OrangeWool"] = "minecraft:orange_wool";
  MinecraftItemTypes2["OxeyeDaisy"] = "minecraft:oxeye_daisy";
  MinecraftItemTypes2["OxidizedChiseledCopper"] = "minecraft:oxidized_chiseled_copper";
  MinecraftItemTypes2["OxidizedCopper"] = "minecraft:oxidized_copper";
  MinecraftItemTypes2["OxidizedCopperBulb"] = "minecraft:oxidized_copper_bulb";
  MinecraftItemTypes2["OxidizedCopperDoor"] = "minecraft:oxidized_copper_door";
  MinecraftItemTypes2["OxidizedCopperGrate"] = "minecraft:oxidized_copper_grate";
  MinecraftItemTypes2["OxidizedCopperTrapdoor"] = "minecraft:oxidized_copper_trapdoor";
  MinecraftItemTypes2["OxidizedCutCopper"] = "minecraft:oxidized_cut_copper";
  MinecraftItemTypes2["OxidizedCutCopperSlab"] = "minecraft:oxidized_cut_copper_slab";
  MinecraftItemTypes2["OxidizedCutCopperStairs"] = "minecraft:oxidized_cut_copper_stairs";
  MinecraftItemTypes2["PackedIce"] = "minecraft:packed_ice";
  MinecraftItemTypes2["PackedMud"] = "minecraft:packed_mud";
  MinecraftItemTypes2["Painting"] = "minecraft:painting";
  MinecraftItemTypes2["PandaSpawnEgg"] = "minecraft:panda_spawn_egg";
  MinecraftItemTypes2["Paper"] = "minecraft:paper";
  MinecraftItemTypes2["ParrotSpawnEgg"] = "minecraft:parrot_spawn_egg";
  MinecraftItemTypes2["PearlescentFroglight"] = "minecraft:pearlescent_froglight";
  MinecraftItemTypes2["Peony"] = "minecraft:peony";
  MinecraftItemTypes2["PetrifiedOakSlab"] = "minecraft:petrified_oak_slab";
  MinecraftItemTypes2["PhantomMembrane"] = "minecraft:phantom_membrane";
  MinecraftItemTypes2["PhantomSpawnEgg"] = "minecraft:phantom_spawn_egg";
  MinecraftItemTypes2["PigSpawnEgg"] = "minecraft:pig_spawn_egg";
  MinecraftItemTypes2["PiglinBannerPattern"] = "minecraft:piglin_banner_pattern";
  MinecraftItemTypes2["PiglinBruteSpawnEgg"] = "minecraft:piglin_brute_spawn_egg";
  MinecraftItemTypes2["PiglinSpawnEgg"] = "minecraft:piglin_spawn_egg";
  MinecraftItemTypes2["PillagerSpawnEgg"] = "minecraft:pillager_spawn_egg";
  MinecraftItemTypes2["PinkCandle"] = "minecraft:pink_candle";
  MinecraftItemTypes2["PinkCarpet"] = "minecraft:pink_carpet";
  MinecraftItemTypes2["PinkConcrete"] = "minecraft:pink_concrete";
  MinecraftItemTypes2["PinkConcretePowder"] = "minecraft:pink_concrete_powder";
  MinecraftItemTypes2["PinkDye"] = "minecraft:pink_dye";
  MinecraftItemTypes2["PinkGlazedTerracotta"] = "minecraft:pink_glazed_terracotta";
  MinecraftItemTypes2["PinkPetals"] = "minecraft:pink_petals";
  MinecraftItemTypes2["PinkShulkerBox"] = "minecraft:pink_shulker_box";
  MinecraftItemTypes2["PinkStainedGlass"] = "minecraft:pink_stained_glass";
  MinecraftItemTypes2["PinkStainedGlassPane"] = "minecraft:pink_stained_glass_pane";
  MinecraftItemTypes2["PinkTerracotta"] = "minecraft:pink_terracotta";
  MinecraftItemTypes2["PinkTulip"] = "minecraft:pink_tulip";
  MinecraftItemTypes2["PinkWool"] = "minecraft:pink_wool";
  MinecraftItemTypes2["Piston"] = "minecraft:piston";
  MinecraftItemTypes2["PitcherPlant"] = "minecraft:pitcher_plant";
  MinecraftItemTypes2["PitcherPod"] = "minecraft:pitcher_pod";
  MinecraftItemTypes2["Planks"] = "minecraft:planks";
  MinecraftItemTypes2["PlentyPotterySherd"] = "minecraft:plenty_pottery_sherd";
  MinecraftItemTypes2["Podzol"] = "minecraft:podzol";
  MinecraftItemTypes2["PointedDripstone"] = "minecraft:pointed_dripstone";
  MinecraftItemTypes2["PoisonousPotato"] = "minecraft:poisonous_potato";
  MinecraftItemTypes2["PolarBearSpawnEgg"] = "minecraft:polar_bear_spawn_egg";
  MinecraftItemTypes2["PolishedAndesite"] = "minecraft:polished_andesite";
  MinecraftItemTypes2["PolishedAndesiteStairs"] = "minecraft:polished_andesite_stairs";
  MinecraftItemTypes2["PolishedBasalt"] = "minecraft:polished_basalt";
  MinecraftItemTypes2["PolishedBlackstone"] = "minecraft:polished_blackstone";
  MinecraftItemTypes2["PolishedBlackstoneBrickSlab"] = "minecraft:polished_blackstone_brick_slab";
  MinecraftItemTypes2["PolishedBlackstoneBrickStairs"] = "minecraft:polished_blackstone_brick_stairs";
  MinecraftItemTypes2["PolishedBlackstoneBrickWall"] = "minecraft:polished_blackstone_brick_wall";
  MinecraftItemTypes2["PolishedBlackstoneBricks"] = "minecraft:polished_blackstone_bricks";
  MinecraftItemTypes2["PolishedBlackstoneButton"] = "minecraft:polished_blackstone_button";
  MinecraftItemTypes2["PolishedBlackstonePressurePlate"] = "minecraft:polished_blackstone_pressure_plate";
  MinecraftItemTypes2["PolishedBlackstoneSlab"] = "minecraft:polished_blackstone_slab";
  MinecraftItemTypes2["PolishedBlackstoneStairs"] = "minecraft:polished_blackstone_stairs";
  MinecraftItemTypes2["PolishedBlackstoneWall"] = "minecraft:polished_blackstone_wall";
  MinecraftItemTypes2["PolishedDeepslate"] = "minecraft:polished_deepslate";
  MinecraftItemTypes2["PolishedDeepslateSlab"] = "minecraft:polished_deepslate_slab";
  MinecraftItemTypes2["PolishedDeepslateStairs"] = "minecraft:polished_deepslate_stairs";
  MinecraftItemTypes2["PolishedDeepslateWall"] = "minecraft:polished_deepslate_wall";
  MinecraftItemTypes2["PolishedDiorite"] = "minecraft:polished_diorite";
  MinecraftItemTypes2["PolishedDioriteStairs"] = "minecraft:polished_diorite_stairs";
  MinecraftItemTypes2["PolishedGranite"] = "minecraft:polished_granite";
  MinecraftItemTypes2["PolishedGraniteStairs"] = "minecraft:polished_granite_stairs";
  MinecraftItemTypes2["PolishedTuff"] = "minecraft:polished_tuff";
  MinecraftItemTypes2["PolishedTuffSlab"] = "minecraft:polished_tuff_slab";
  MinecraftItemTypes2["PolishedTuffStairs"] = "minecraft:polished_tuff_stairs";
  MinecraftItemTypes2["PolishedTuffWall"] = "minecraft:polished_tuff_wall";
  MinecraftItemTypes2["PoppedChorusFruit"] = "minecraft:popped_chorus_fruit";
  MinecraftItemTypes2["Poppy"] = "minecraft:poppy";
  MinecraftItemTypes2["Porkchop"] = "minecraft:porkchop";
  MinecraftItemTypes2["Potato"] = "minecraft:potato";
  MinecraftItemTypes2["Potion"] = "minecraft:potion";
  MinecraftItemTypes2["PowderSnowBucket"] = "minecraft:powder_snow_bucket";
  MinecraftItemTypes2["Prismarine"] = "minecraft:prismarine";
  MinecraftItemTypes2["PrismarineBricksStairs"] = "minecraft:prismarine_bricks_stairs";
  MinecraftItemTypes2["PrismarineCrystals"] = "minecraft:prismarine_crystals";
  MinecraftItemTypes2["PrismarineShard"] = "minecraft:prismarine_shard";
  MinecraftItemTypes2["PrismarineStairs"] = "minecraft:prismarine_stairs";
  MinecraftItemTypes2["PrizePotterySherd"] = "minecraft:prize_pottery_sherd";
  MinecraftItemTypes2["Pufferfish"] = "minecraft:pufferfish";
  MinecraftItemTypes2["PufferfishBucket"] = "minecraft:pufferfish_bucket";
  MinecraftItemTypes2["PufferfishSpawnEgg"] = "minecraft:pufferfish_spawn_egg";
  MinecraftItemTypes2["Pumpkin"] = "minecraft:pumpkin";
  MinecraftItemTypes2["PumpkinPie"] = "minecraft:pumpkin_pie";
  MinecraftItemTypes2["PumpkinSeeds"] = "minecraft:pumpkin_seeds";
  MinecraftItemTypes2["PurpleCandle"] = "minecraft:purple_candle";
  MinecraftItemTypes2["PurpleCarpet"] = "minecraft:purple_carpet";
  MinecraftItemTypes2["PurpleConcrete"] = "minecraft:purple_concrete";
  MinecraftItemTypes2["PurpleConcretePowder"] = "minecraft:purple_concrete_powder";
  MinecraftItemTypes2["PurpleDye"] = "minecraft:purple_dye";
  MinecraftItemTypes2["PurpleGlazedTerracotta"] = "minecraft:purple_glazed_terracotta";
  MinecraftItemTypes2["PurpleShulkerBox"] = "minecraft:purple_shulker_box";
  MinecraftItemTypes2["PurpleStainedGlass"] = "minecraft:purple_stained_glass";
  MinecraftItemTypes2["PurpleStainedGlassPane"] = "minecraft:purple_stained_glass_pane";
  MinecraftItemTypes2["PurpleTerracotta"] = "minecraft:purple_terracotta";
  MinecraftItemTypes2["PurpleWool"] = "minecraft:purple_wool";
  MinecraftItemTypes2["PurpurBlock"] = "minecraft:purpur_block";
  MinecraftItemTypes2["PurpurStairs"] = "minecraft:purpur_stairs";
  MinecraftItemTypes2["Quartz"] = "minecraft:quartz";
  MinecraftItemTypes2["QuartzBlock"] = "minecraft:quartz_block";
  MinecraftItemTypes2["QuartzBricks"] = "minecraft:quartz_bricks";
  MinecraftItemTypes2["QuartzOre"] = "minecraft:quartz_ore";
  MinecraftItemTypes2["QuartzSlab"] = "minecraft:quartz_slab";
  MinecraftItemTypes2["QuartzStairs"] = "minecraft:quartz_stairs";
  MinecraftItemTypes2["Rabbit"] = "minecraft:rabbit";
  MinecraftItemTypes2["RabbitFoot"] = "minecraft:rabbit_foot";
  MinecraftItemTypes2["RabbitHide"] = "minecraft:rabbit_hide";
  MinecraftItemTypes2["RabbitSpawnEgg"] = "minecraft:rabbit_spawn_egg";
  MinecraftItemTypes2["RabbitStew"] = "minecraft:rabbit_stew";
  MinecraftItemTypes2["Rail"] = "minecraft:rail";
  MinecraftItemTypes2["RaiserArmorTrimSmithingTemplate"] = "minecraft:raiser_armor_trim_smithing_template";
  MinecraftItemTypes2["RavagerSpawnEgg"] = "minecraft:ravager_spawn_egg";
  MinecraftItemTypes2["RawCopper"] = "minecraft:raw_copper";
  MinecraftItemTypes2["RawCopperBlock"] = "minecraft:raw_copper_block";
  MinecraftItemTypes2["RawGold"] = "minecraft:raw_gold";
  MinecraftItemTypes2["RawGoldBlock"] = "minecraft:raw_gold_block";
  MinecraftItemTypes2["RawIron"] = "minecraft:raw_iron";
  MinecraftItemTypes2["RawIronBlock"] = "minecraft:raw_iron_block";
  MinecraftItemTypes2["RecoveryCompass"] = "minecraft:recovery_compass";
  MinecraftItemTypes2["RedCandle"] = "minecraft:red_candle";
  MinecraftItemTypes2["RedCarpet"] = "minecraft:red_carpet";
  MinecraftItemTypes2["RedConcrete"] = "minecraft:red_concrete";
  MinecraftItemTypes2["RedConcretePowder"] = "minecraft:red_concrete_powder";
  MinecraftItemTypes2["RedDye"] = "minecraft:red_dye";
  MinecraftItemTypes2["RedFlower"] = "minecraft:red_flower";
  MinecraftItemTypes2["RedGlazedTerracotta"] = "minecraft:red_glazed_terracotta";
  MinecraftItemTypes2["RedMushroom"] = "minecraft:red_mushroom";
  MinecraftItemTypes2["RedMushroomBlock"] = "minecraft:red_mushroom_block";
  MinecraftItemTypes2["RedNetherBrick"] = "minecraft:red_nether_brick";
  MinecraftItemTypes2["RedNetherBrickStairs"] = "minecraft:red_nether_brick_stairs";
  MinecraftItemTypes2["RedSandstone"] = "minecraft:red_sandstone";
  MinecraftItemTypes2["RedSandstoneStairs"] = "minecraft:red_sandstone_stairs";
  MinecraftItemTypes2["RedShulkerBox"] = "minecraft:red_shulker_box";
  MinecraftItemTypes2["RedStainedGlass"] = "minecraft:red_stained_glass";
  MinecraftItemTypes2["RedStainedGlassPane"] = "minecraft:red_stained_glass_pane";
  MinecraftItemTypes2["RedTerracotta"] = "minecraft:red_terracotta";
  MinecraftItemTypes2["RedTulip"] = "minecraft:red_tulip";
  MinecraftItemTypes2["RedWool"] = "minecraft:red_wool";
  MinecraftItemTypes2["Redstone"] = "minecraft:redstone";
  MinecraftItemTypes2["RedstoneBlock"] = "minecraft:redstone_block";
  MinecraftItemTypes2["RedstoneLamp"] = "minecraft:redstone_lamp";
  MinecraftItemTypes2["RedstoneOre"] = "minecraft:redstone_ore";
  MinecraftItemTypes2["RedstoneTorch"] = "minecraft:redstone_torch";
  MinecraftItemTypes2["ReinforcedDeepslate"] = "minecraft:reinforced_deepslate";
  MinecraftItemTypes2["Repeater"] = "minecraft:repeater";
  MinecraftItemTypes2["RepeatingCommandBlock"] = "minecraft:repeating_command_block";
  MinecraftItemTypes2["RespawnAnchor"] = "minecraft:respawn_anchor";
  MinecraftItemTypes2["RibArmorTrimSmithingTemplate"] = "minecraft:rib_armor_trim_smithing_template";
  MinecraftItemTypes2["RoseBush"] = "minecraft:rose_bush";
  MinecraftItemTypes2["RottenFlesh"] = "minecraft:rotten_flesh";
  MinecraftItemTypes2["Saddle"] = "minecraft:saddle";
  MinecraftItemTypes2["Salmon"] = "minecraft:salmon";
  MinecraftItemTypes2["SalmonBucket"] = "minecraft:salmon_bucket";
  MinecraftItemTypes2["SalmonSpawnEgg"] = "minecraft:salmon_spawn_egg";
  MinecraftItemTypes2["Sand"] = "minecraft:sand";
  MinecraftItemTypes2["Sandstone"] = "minecraft:sandstone";
  MinecraftItemTypes2["SandstoneSlab"] = "minecraft:sandstone_slab";
  MinecraftItemTypes2["SandstoneStairs"] = "minecraft:sandstone_stairs";
  MinecraftItemTypes2["Sapling"] = "minecraft:sapling";
  MinecraftItemTypes2["Scaffolding"] = "minecraft:scaffolding";
  MinecraftItemTypes2["ScrapePotterySherd"] = "minecraft:scrape_pottery_sherd";
  MinecraftItemTypes2["Sculk"] = "minecraft:sculk";
  MinecraftItemTypes2["SculkCatalyst"] = "minecraft:sculk_catalyst";
  MinecraftItemTypes2["SculkSensor"] = "minecraft:sculk_sensor";
  MinecraftItemTypes2["SculkShrieker"] = "minecraft:sculk_shrieker";
  MinecraftItemTypes2["SculkVein"] = "minecraft:sculk_vein";
  MinecraftItemTypes2["SeaLantern"] = "minecraft:sea_lantern";
  MinecraftItemTypes2["SeaPickle"] = "minecraft:sea_pickle";
  MinecraftItemTypes2["Seagrass"] = "minecraft:seagrass";
  MinecraftItemTypes2["SentryArmorTrimSmithingTemplate"] = "minecraft:sentry_armor_trim_smithing_template";
  MinecraftItemTypes2["ShaperArmorTrimSmithingTemplate"] = "minecraft:shaper_armor_trim_smithing_template";
  MinecraftItemTypes2["SheafPotterySherd"] = "minecraft:sheaf_pottery_sherd";
  MinecraftItemTypes2["Shears"] = "minecraft:shears";
  MinecraftItemTypes2["SheepSpawnEgg"] = "minecraft:sheep_spawn_egg";
  MinecraftItemTypes2["ShelterPotterySherd"] = "minecraft:shelter_pottery_sherd";
  MinecraftItemTypes2["Shield"] = "minecraft:shield";
  MinecraftItemTypes2["ShortGrass"] = "minecraft:short_grass";
  MinecraftItemTypes2["Shroomlight"] = "minecraft:shroomlight";
  MinecraftItemTypes2["ShulkerBox"] = "minecraft:shulker_box";
  MinecraftItemTypes2["ShulkerShell"] = "minecraft:shulker_shell";
  MinecraftItemTypes2["ShulkerSpawnEgg"] = "minecraft:shulker_spawn_egg";
  MinecraftItemTypes2["SilenceArmorTrimSmithingTemplate"] = "minecraft:silence_armor_trim_smithing_template";
  MinecraftItemTypes2["SilverGlazedTerracotta"] = "minecraft:silver_glazed_terracotta";
  MinecraftItemTypes2["SilverfishSpawnEgg"] = "minecraft:silverfish_spawn_egg";
  MinecraftItemTypes2["SkeletonHorseSpawnEgg"] = "minecraft:skeleton_horse_spawn_egg";
  MinecraftItemTypes2["SkeletonSpawnEgg"] = "minecraft:skeleton_spawn_egg";
  MinecraftItemTypes2["Skull"] = "minecraft:skull";
  MinecraftItemTypes2["SkullBannerPattern"] = "minecraft:skull_banner_pattern";
  MinecraftItemTypes2["SkullPotterySherd"] = "minecraft:skull_pottery_sherd";
  MinecraftItemTypes2["Slime"] = "minecraft:slime";
  MinecraftItemTypes2["SlimeBall"] = "minecraft:slime_ball";
  MinecraftItemTypes2["SlimeSpawnEgg"] = "minecraft:slime_spawn_egg";
  MinecraftItemTypes2["SmallAmethystBud"] = "minecraft:small_amethyst_bud";
  MinecraftItemTypes2["SmallDripleafBlock"] = "minecraft:small_dripleaf_block";
  MinecraftItemTypes2["SmithingTable"] = "minecraft:smithing_table";
  MinecraftItemTypes2["Smoker"] = "minecraft:smoker";
  MinecraftItemTypes2["SmoothBasalt"] = "minecraft:smooth_basalt";
  MinecraftItemTypes2["SmoothQuartzStairs"] = "minecraft:smooth_quartz_stairs";
  MinecraftItemTypes2["SmoothRedSandstoneStairs"] = "minecraft:smooth_red_sandstone_stairs";
  MinecraftItemTypes2["SmoothSandstoneStairs"] = "minecraft:smooth_sandstone_stairs";
  MinecraftItemTypes2["SmoothStone"] = "minecraft:smooth_stone";
  MinecraftItemTypes2["SmoothStoneSlab"] = "minecraft:smooth_stone_slab";
  MinecraftItemTypes2["SnifferEgg"] = "minecraft:sniffer_egg";
  MinecraftItemTypes2["SnifferSpawnEgg"] = "minecraft:sniffer_spawn_egg";
  MinecraftItemTypes2["SnortPotterySherd"] = "minecraft:snort_pottery_sherd";
  MinecraftItemTypes2["SnoutArmorTrimSmithingTemplate"] = "minecraft:snout_armor_trim_smithing_template";
  MinecraftItemTypes2["Snow"] = "minecraft:snow";
  MinecraftItemTypes2["SnowGolemSpawnEgg"] = "minecraft:snow_golem_spawn_egg";
  MinecraftItemTypes2["SnowLayer"] = "minecraft:snow_layer";
  MinecraftItemTypes2["Snowball"] = "minecraft:snowball";
  MinecraftItemTypes2["SoulCampfire"] = "minecraft:soul_campfire";
  MinecraftItemTypes2["SoulLantern"] = "minecraft:soul_lantern";
  MinecraftItemTypes2["SoulSand"] = "minecraft:soul_sand";
  MinecraftItemTypes2["SoulSoil"] = "minecraft:soul_soil";
  MinecraftItemTypes2["SoulTorch"] = "minecraft:soul_torch";
  MinecraftItemTypes2["SpawnEgg"] = "minecraft:spawn_egg";
  MinecraftItemTypes2["SpiderEye"] = "minecraft:spider_eye";
  MinecraftItemTypes2["SpiderSpawnEgg"] = "minecraft:spider_spawn_egg";
  MinecraftItemTypes2["SpireArmorTrimSmithingTemplate"] = "minecraft:spire_armor_trim_smithing_template";
  MinecraftItemTypes2["SplashPotion"] = "minecraft:splash_potion";
  MinecraftItemTypes2["Sponge"] = "minecraft:sponge";
  MinecraftItemTypes2["SporeBlossom"] = "minecraft:spore_blossom";
  MinecraftItemTypes2["SpruceBoat"] = "minecraft:spruce_boat";
  MinecraftItemTypes2["SpruceButton"] = "minecraft:spruce_button";
  MinecraftItemTypes2["SpruceChestBoat"] = "minecraft:spruce_chest_boat";
  MinecraftItemTypes2["SpruceDoor"] = "minecraft:spruce_door";
  MinecraftItemTypes2["SpruceFence"] = "minecraft:spruce_fence";
  MinecraftItemTypes2["SpruceFenceGate"] = "minecraft:spruce_fence_gate";
  MinecraftItemTypes2["SpruceHangingSign"] = "minecraft:spruce_hanging_sign";
  MinecraftItemTypes2["SpruceLeaves"] = "minecraft:spruce_leaves";
  MinecraftItemTypes2["SpruceLog"] = "minecraft:spruce_log";
  MinecraftItemTypes2["SprucePlanks"] = "minecraft:spruce_planks";
  MinecraftItemTypes2["SprucePressurePlate"] = "minecraft:spruce_pressure_plate";
  MinecraftItemTypes2["SpruceSapling"] = "minecraft:spruce_sapling";
  MinecraftItemTypes2["SpruceSign"] = "minecraft:spruce_sign";
  MinecraftItemTypes2["SpruceSlab"] = "minecraft:spruce_slab";
  MinecraftItemTypes2["SpruceStairs"] = "minecraft:spruce_stairs";
  MinecraftItemTypes2["SpruceTrapdoor"] = "minecraft:spruce_trapdoor";
  MinecraftItemTypes2["SpruceWood"] = "minecraft:spruce_wood";
  MinecraftItemTypes2["Spyglass"] = "minecraft:spyglass";
  MinecraftItemTypes2["SquidSpawnEgg"] = "minecraft:squid_spawn_egg";
  MinecraftItemTypes2["StainedGlass"] = "minecraft:stained_glass";
  MinecraftItemTypes2["StainedGlassPane"] = "minecraft:stained_glass_pane";
  MinecraftItemTypes2["StainedHardenedClay"] = "minecraft:stained_hardened_clay";
  MinecraftItemTypes2["Stick"] = "minecraft:stick";
  MinecraftItemTypes2["StickyPiston"] = "minecraft:sticky_piston";
  MinecraftItemTypes2["Stone"] = "minecraft:stone";
  MinecraftItemTypes2["StoneAxe"] = "minecraft:stone_axe";
  MinecraftItemTypes2["StoneBlockSlab"] = "minecraft:stone_block_slab";
  MinecraftItemTypes2["StoneBlockSlab2"] = "minecraft:stone_block_slab2";
  MinecraftItemTypes2["StoneBlockSlab3"] = "minecraft:stone_block_slab3";
  MinecraftItemTypes2["StoneBlockSlab4"] = "minecraft:stone_block_slab4";
  MinecraftItemTypes2["StoneBrickSlab"] = "minecraft:stone_brick_slab";
  MinecraftItemTypes2["StoneBrickStairs"] = "minecraft:stone_brick_stairs";
  MinecraftItemTypes2["StoneButton"] = "minecraft:stone_button";
  MinecraftItemTypes2["StoneHoe"] = "minecraft:stone_hoe";
  MinecraftItemTypes2["StonePickaxe"] = "minecraft:stone_pickaxe";
  MinecraftItemTypes2["StonePressurePlate"] = "minecraft:stone_pressure_plate";
  MinecraftItemTypes2["StoneShovel"] = "minecraft:stone_shovel";
  MinecraftItemTypes2["StoneStairs"] = "minecraft:stone_stairs";
  MinecraftItemTypes2["StoneSword"] = "minecraft:stone_sword";
  MinecraftItemTypes2["Stonebrick"] = "minecraft:stonebrick";
  MinecraftItemTypes2["StonecutterBlock"] = "minecraft:stonecutter_block";
  MinecraftItemTypes2["StraySpawnEgg"] = "minecraft:stray_spawn_egg";
  MinecraftItemTypes2["StriderSpawnEgg"] = "minecraft:strider_spawn_egg";
  MinecraftItemTypes2["String"] = "minecraft:string";
  MinecraftItemTypes2["StrippedAcaciaLog"] = "minecraft:stripped_acacia_log";
  MinecraftItemTypes2["StrippedAcaciaWood"] = "minecraft:stripped_acacia_wood";
  MinecraftItemTypes2["StrippedBambooBlock"] = "minecraft:stripped_bamboo_block";
  MinecraftItemTypes2["StrippedBirchLog"] = "minecraft:stripped_birch_log";
  MinecraftItemTypes2["StrippedBirchWood"] = "minecraft:stripped_birch_wood";
  MinecraftItemTypes2["StrippedCherryLog"] = "minecraft:stripped_cherry_log";
  MinecraftItemTypes2["StrippedCherryWood"] = "minecraft:stripped_cherry_wood";
  MinecraftItemTypes2["StrippedCrimsonHyphae"] = "minecraft:stripped_crimson_hyphae";
  MinecraftItemTypes2["StrippedCrimsonStem"] = "minecraft:stripped_crimson_stem";
  MinecraftItemTypes2["StrippedDarkOakLog"] = "minecraft:stripped_dark_oak_log";
  MinecraftItemTypes2["StrippedDarkOakWood"] = "minecraft:stripped_dark_oak_wood";
  MinecraftItemTypes2["StrippedJungleLog"] = "minecraft:stripped_jungle_log";
  MinecraftItemTypes2["StrippedJungleWood"] = "minecraft:stripped_jungle_wood";
  MinecraftItemTypes2["StrippedMangroveLog"] = "minecraft:stripped_mangrove_log";
  MinecraftItemTypes2["StrippedMangroveWood"] = "minecraft:stripped_mangrove_wood";
  MinecraftItemTypes2["StrippedOakLog"] = "minecraft:stripped_oak_log";
  MinecraftItemTypes2["StrippedOakWood"] = "minecraft:stripped_oak_wood";
  MinecraftItemTypes2["StrippedSpruceLog"] = "minecraft:stripped_spruce_log";
  MinecraftItemTypes2["StrippedSpruceWood"] = "minecraft:stripped_spruce_wood";
  MinecraftItemTypes2["StrippedWarpedHyphae"] = "minecraft:stripped_warped_hyphae";
  MinecraftItemTypes2["StrippedWarpedStem"] = "minecraft:stripped_warped_stem";
  MinecraftItemTypes2["StructureBlock"] = "minecraft:structure_block";
  MinecraftItemTypes2["StructureVoid"] = "minecraft:structure_void";
  MinecraftItemTypes2["Sugar"] = "minecraft:sugar";
  MinecraftItemTypes2["SugarCane"] = "minecraft:sugar_cane";
  MinecraftItemTypes2["Sunflower"] = "minecraft:sunflower";
  MinecraftItemTypes2["SuspiciousGravel"] = "minecraft:suspicious_gravel";
  MinecraftItemTypes2["SuspiciousSand"] = "minecraft:suspicious_sand";
  MinecraftItemTypes2["SuspiciousStew"] = "minecraft:suspicious_stew";
  MinecraftItemTypes2["SweetBerries"] = "minecraft:sweet_berries";
  MinecraftItemTypes2["TadpoleBucket"] = "minecraft:tadpole_bucket";
  MinecraftItemTypes2["TadpoleSpawnEgg"] = "minecraft:tadpole_spawn_egg";
  MinecraftItemTypes2["TallGrass"] = "minecraft:tall_grass";
  MinecraftItemTypes2["Tallgrass"] = "minecraft:tallgrass";
  MinecraftItemTypes2["Target"] = "minecraft:target";
  MinecraftItemTypes2["TideArmorTrimSmithingTemplate"] = "minecraft:tide_armor_trim_smithing_template";
  MinecraftItemTypes2["TintedGlass"] = "minecraft:tinted_glass";
  MinecraftItemTypes2["Tnt"] = "minecraft:tnt";
  MinecraftItemTypes2["TntMinecart"] = "minecraft:tnt_minecart";
  MinecraftItemTypes2["Torch"] = "minecraft:torch";
  MinecraftItemTypes2["Torchflower"] = "minecraft:torchflower";
  MinecraftItemTypes2["TorchflowerSeeds"] = "minecraft:torchflower_seeds";
  MinecraftItemTypes2["TotemOfUndying"] = "minecraft:totem_of_undying";
  MinecraftItemTypes2["TraderLlamaSpawnEgg"] = "minecraft:trader_llama_spawn_egg";
  MinecraftItemTypes2["Trapdoor"] = "minecraft:trapdoor";
  MinecraftItemTypes2["TrappedChest"] = "minecraft:trapped_chest";
  MinecraftItemTypes2["TrialKey"] = "minecraft:trial_key";
  MinecraftItemTypes2["TrialSpawner"] = "minecraft:trial_spawner";
  MinecraftItemTypes2["Trident"] = "minecraft:trident";
  MinecraftItemTypes2["TripwireHook"] = "minecraft:tripwire_hook";
  MinecraftItemTypes2["TropicalFish"] = "minecraft:tropical_fish";
  MinecraftItemTypes2["TropicalFishBucket"] = "minecraft:tropical_fish_bucket";
  MinecraftItemTypes2["TropicalFishSpawnEgg"] = "minecraft:tropical_fish_spawn_egg";
  MinecraftItemTypes2["TubeCoral"] = "minecraft:tube_coral";
  MinecraftItemTypes2["TubeCoralBlock"] = "minecraft:tube_coral_block";
  MinecraftItemTypes2["TubeCoralFan"] = "minecraft:tube_coral_fan";
  MinecraftItemTypes2["Tuff"] = "minecraft:tuff";
  MinecraftItemTypes2["TuffBrickSlab"] = "minecraft:tuff_brick_slab";
  MinecraftItemTypes2["TuffBrickStairs"] = "minecraft:tuff_brick_stairs";
  MinecraftItemTypes2["TuffBrickWall"] = "minecraft:tuff_brick_wall";
  MinecraftItemTypes2["TuffBricks"] = "minecraft:tuff_bricks";
  MinecraftItemTypes2["TuffSlab"] = "minecraft:tuff_slab";
  MinecraftItemTypes2["TuffStairs"] = "minecraft:tuff_stairs";
  MinecraftItemTypes2["TuffWall"] = "minecraft:tuff_wall";
  MinecraftItemTypes2["TurtleEgg"] = "minecraft:turtle_egg";
  MinecraftItemTypes2["TurtleHelmet"] = "minecraft:turtle_helmet";
  MinecraftItemTypes2["TurtleScute"] = "minecraft:turtle_scute";
  MinecraftItemTypes2["TurtleSpawnEgg"] = "minecraft:turtle_spawn_egg";
  MinecraftItemTypes2["TwistingVines"] = "minecraft:twisting_vines";
  MinecraftItemTypes2["UndyedShulkerBox"] = "minecraft:undyed_shulker_box";
  MinecraftItemTypes2["Vault"] = "minecraft:vault";
  MinecraftItemTypes2["VerdantFroglight"] = "minecraft:verdant_froglight";
  MinecraftItemTypes2["VexArmorTrimSmithingTemplate"] = "minecraft:vex_armor_trim_smithing_template";
  MinecraftItemTypes2["VexSpawnEgg"] = "minecraft:vex_spawn_egg";
  MinecraftItemTypes2["VillagerSpawnEgg"] = "minecraft:villager_spawn_egg";
  MinecraftItemTypes2["VindicatorSpawnEgg"] = "minecraft:vindicator_spawn_egg";
  MinecraftItemTypes2["Vine"] = "minecraft:vine";
  MinecraftItemTypes2["WanderingTraderSpawnEgg"] = "minecraft:wandering_trader_spawn_egg";
  MinecraftItemTypes2["WardArmorTrimSmithingTemplate"] = "minecraft:ward_armor_trim_smithing_template";
  MinecraftItemTypes2["WardenSpawnEgg"] = "minecraft:warden_spawn_egg";
  MinecraftItemTypes2["WarpedButton"] = "minecraft:warped_button";
  MinecraftItemTypes2["WarpedDoor"] = "minecraft:warped_door";
  MinecraftItemTypes2["WarpedFence"] = "minecraft:warped_fence";
  MinecraftItemTypes2["WarpedFenceGate"] = "minecraft:warped_fence_gate";
  MinecraftItemTypes2["WarpedFungus"] = "minecraft:warped_fungus";
  MinecraftItemTypes2["WarpedFungusOnAStick"] = "minecraft:warped_fungus_on_a_stick";
  MinecraftItemTypes2["WarpedHangingSign"] = "minecraft:warped_hanging_sign";
  MinecraftItemTypes2["WarpedHyphae"] = "minecraft:warped_hyphae";
  MinecraftItemTypes2["WarpedNylium"] = "minecraft:warped_nylium";
  MinecraftItemTypes2["WarpedPlanks"] = "minecraft:warped_planks";
  MinecraftItemTypes2["WarpedPressurePlate"] = "minecraft:warped_pressure_plate";
  MinecraftItemTypes2["WarpedRoots"] = "minecraft:warped_roots";
  MinecraftItemTypes2["WarpedSign"] = "minecraft:warped_sign";
  MinecraftItemTypes2["WarpedSlab"] = "minecraft:warped_slab";
  MinecraftItemTypes2["WarpedStairs"] = "minecraft:warped_stairs";
  MinecraftItemTypes2["WarpedStem"] = "minecraft:warped_stem";
  MinecraftItemTypes2["WarpedTrapdoor"] = "minecraft:warped_trapdoor";
  MinecraftItemTypes2["WarpedWartBlock"] = "minecraft:warped_wart_block";
  MinecraftItemTypes2["WaterBucket"] = "minecraft:water_bucket";
  MinecraftItemTypes2["Waterlily"] = "minecraft:waterlily";
  MinecraftItemTypes2["WaxedChiseledCopper"] = "minecraft:waxed_chiseled_copper";
  MinecraftItemTypes2["WaxedCopper"] = "minecraft:waxed_copper";
  MinecraftItemTypes2["WaxedCopperBulb"] = "minecraft:waxed_copper_bulb";
  MinecraftItemTypes2["WaxedCopperDoor"] = "minecraft:waxed_copper_door";
  MinecraftItemTypes2["WaxedCopperGrate"] = "minecraft:waxed_copper_grate";
  MinecraftItemTypes2["WaxedCopperTrapdoor"] = "minecraft:waxed_copper_trapdoor";
  MinecraftItemTypes2["WaxedCutCopper"] = "minecraft:waxed_cut_copper";
  MinecraftItemTypes2["WaxedCutCopperSlab"] = "minecraft:waxed_cut_copper_slab";
  MinecraftItemTypes2["WaxedCutCopperStairs"] = "minecraft:waxed_cut_copper_stairs";
  MinecraftItemTypes2["WaxedExposedChiseledCopper"] = "minecraft:waxed_exposed_chiseled_copper";
  MinecraftItemTypes2["WaxedExposedCopper"] = "minecraft:waxed_exposed_copper";
  MinecraftItemTypes2["WaxedExposedCopperBulb"] = "minecraft:waxed_exposed_copper_bulb";
  MinecraftItemTypes2["WaxedExposedCopperDoor"] = "minecraft:waxed_exposed_copper_door";
  MinecraftItemTypes2["WaxedExposedCopperGrate"] = "minecraft:waxed_exposed_copper_grate";
  MinecraftItemTypes2["WaxedExposedCopperTrapdoor"] = "minecraft:waxed_exposed_copper_trapdoor";
  MinecraftItemTypes2["WaxedExposedCutCopper"] = "minecraft:waxed_exposed_cut_copper";
  MinecraftItemTypes2["WaxedExposedCutCopperSlab"] = "minecraft:waxed_exposed_cut_copper_slab";
  MinecraftItemTypes2["WaxedExposedCutCopperStairs"] = "minecraft:waxed_exposed_cut_copper_stairs";
  MinecraftItemTypes2["WaxedOxidizedChiseledCopper"] = "minecraft:waxed_oxidized_chiseled_copper";
  MinecraftItemTypes2["WaxedOxidizedCopper"] = "minecraft:waxed_oxidized_copper";
  MinecraftItemTypes2["WaxedOxidizedCopperBulb"] = "minecraft:waxed_oxidized_copper_bulb";
  MinecraftItemTypes2["WaxedOxidizedCopperDoor"] = "minecraft:waxed_oxidized_copper_door";
  MinecraftItemTypes2["WaxedOxidizedCopperGrate"] = "minecraft:waxed_oxidized_copper_grate";
  MinecraftItemTypes2["WaxedOxidizedCopperTrapdoor"] = "minecraft:waxed_oxidized_copper_trapdoor";
  MinecraftItemTypes2["WaxedOxidizedCutCopper"] = "minecraft:waxed_oxidized_cut_copper";
  MinecraftItemTypes2["WaxedOxidizedCutCopperSlab"] = "minecraft:waxed_oxidized_cut_copper_slab";
  MinecraftItemTypes2["WaxedOxidizedCutCopperStairs"] = "minecraft:waxed_oxidized_cut_copper_stairs";
  MinecraftItemTypes2["WaxedWeatheredChiseledCopper"] = "minecraft:waxed_weathered_chiseled_copper";
  MinecraftItemTypes2["WaxedWeatheredCopper"] = "minecraft:waxed_weathered_copper";
  MinecraftItemTypes2["WaxedWeatheredCopperBulb"] = "minecraft:waxed_weathered_copper_bulb";
  MinecraftItemTypes2["WaxedWeatheredCopperDoor"] = "minecraft:waxed_weathered_copper_door";
  MinecraftItemTypes2["WaxedWeatheredCopperGrate"] = "minecraft:waxed_weathered_copper_grate";
  MinecraftItemTypes2["WaxedWeatheredCopperTrapdoor"] = "minecraft:waxed_weathered_copper_trapdoor";
  MinecraftItemTypes2["WaxedWeatheredCutCopper"] = "minecraft:waxed_weathered_cut_copper";
  MinecraftItemTypes2["WaxedWeatheredCutCopperSlab"] = "minecraft:waxed_weathered_cut_copper_slab";
  MinecraftItemTypes2["WaxedWeatheredCutCopperStairs"] = "minecraft:waxed_weathered_cut_copper_stairs";
  MinecraftItemTypes2["WayfinderArmorTrimSmithingTemplate"] = "minecraft:wayfinder_armor_trim_smithing_template";
  MinecraftItemTypes2["WeatheredChiseledCopper"] = "minecraft:weathered_chiseled_copper";
  MinecraftItemTypes2["WeatheredCopper"] = "minecraft:weathered_copper";
  MinecraftItemTypes2["WeatheredCopperBulb"] = "minecraft:weathered_copper_bulb";
  MinecraftItemTypes2["WeatheredCopperDoor"] = "minecraft:weathered_copper_door";
  MinecraftItemTypes2["WeatheredCopperGrate"] = "minecraft:weathered_copper_grate";
  MinecraftItemTypes2["WeatheredCopperTrapdoor"] = "minecraft:weathered_copper_trapdoor";
  MinecraftItemTypes2["WeatheredCutCopper"] = "minecraft:weathered_cut_copper";
  MinecraftItemTypes2["WeatheredCutCopperSlab"] = "minecraft:weathered_cut_copper_slab";
  MinecraftItemTypes2["WeatheredCutCopperStairs"] = "minecraft:weathered_cut_copper_stairs";
  MinecraftItemTypes2["Web"] = "minecraft:web";
  MinecraftItemTypes2["WeepingVines"] = "minecraft:weeping_vines";
  MinecraftItemTypes2["Wheat"] = "minecraft:wheat";
  MinecraftItemTypes2["WheatSeeds"] = "minecraft:wheat_seeds";
  MinecraftItemTypes2["WhiteCandle"] = "minecraft:white_candle";
  MinecraftItemTypes2["WhiteCarpet"] = "minecraft:white_carpet";
  MinecraftItemTypes2["WhiteConcrete"] = "minecraft:white_concrete";
  MinecraftItemTypes2["WhiteConcretePowder"] = "minecraft:white_concrete_powder";
  MinecraftItemTypes2["WhiteDye"] = "minecraft:white_dye";
  MinecraftItemTypes2["WhiteGlazedTerracotta"] = "minecraft:white_glazed_terracotta";
  MinecraftItemTypes2["WhiteShulkerBox"] = "minecraft:white_shulker_box";
  MinecraftItemTypes2["WhiteStainedGlass"] = "minecraft:white_stained_glass";
  MinecraftItemTypes2["WhiteStainedGlassPane"] = "minecraft:white_stained_glass_pane";
  MinecraftItemTypes2["WhiteTerracotta"] = "minecraft:white_terracotta";
  MinecraftItemTypes2["WhiteTulip"] = "minecraft:white_tulip";
  MinecraftItemTypes2["WhiteWool"] = "minecraft:white_wool";
  MinecraftItemTypes2["WildArmorTrimSmithingTemplate"] = "minecraft:wild_armor_trim_smithing_template";
  MinecraftItemTypes2["WindCharge"] = "minecraft:wind_charge";
  MinecraftItemTypes2["WitchSpawnEgg"] = "minecraft:witch_spawn_egg";
  MinecraftItemTypes2["WitherRose"] = "minecraft:wither_rose";
  MinecraftItemTypes2["WitherSkeletonSpawnEgg"] = "minecraft:wither_skeleton_spawn_egg";
  MinecraftItemTypes2["WitherSpawnEgg"] = "minecraft:wither_spawn_egg";
  MinecraftItemTypes2["WolfArmor"] = "minecraft:wolf_armor";
  MinecraftItemTypes2["WolfSpawnEgg"] = "minecraft:wolf_spawn_egg";
  MinecraftItemTypes2["Wood"] = "minecraft:wood";
  MinecraftItemTypes2["WoodenAxe"] = "minecraft:wooden_axe";
  MinecraftItemTypes2["WoodenButton"] = "minecraft:wooden_button";
  MinecraftItemTypes2["WoodenDoor"] = "minecraft:wooden_door";
  MinecraftItemTypes2["WoodenHoe"] = "minecraft:wooden_hoe";
  MinecraftItemTypes2["WoodenPickaxe"] = "minecraft:wooden_pickaxe";
  MinecraftItemTypes2["WoodenPressurePlate"] = "minecraft:wooden_pressure_plate";
  MinecraftItemTypes2["WoodenShovel"] = "minecraft:wooden_shovel";
  MinecraftItemTypes2["WoodenSlab"] = "minecraft:wooden_slab";
  MinecraftItemTypes2["WoodenSword"] = "minecraft:wooden_sword";
  MinecraftItemTypes2["Wool"] = "minecraft:wool";
  MinecraftItemTypes2["WritableBook"] = "minecraft:writable_book";
  MinecraftItemTypes2["YellowCandle"] = "minecraft:yellow_candle";
  MinecraftItemTypes2["YellowCarpet"] = "minecraft:yellow_carpet";
  MinecraftItemTypes2["YellowConcrete"] = "minecraft:yellow_concrete";
  MinecraftItemTypes2["YellowConcretePowder"] = "minecraft:yellow_concrete_powder";
  MinecraftItemTypes2["YellowDye"] = "minecraft:yellow_dye";
  MinecraftItemTypes2["YellowFlower"] = "minecraft:yellow_flower";
  MinecraftItemTypes2["YellowGlazedTerracotta"] = "minecraft:yellow_glazed_terracotta";
  MinecraftItemTypes2["YellowShulkerBox"] = "minecraft:yellow_shulker_box";
  MinecraftItemTypes2["YellowStainedGlass"] = "minecraft:yellow_stained_glass";
  MinecraftItemTypes2["YellowStainedGlassPane"] = "minecraft:yellow_stained_glass_pane";
  MinecraftItemTypes2["YellowTerracotta"] = "minecraft:yellow_terracotta";
  MinecraftItemTypes2["YellowWool"] = "minecraft:yellow_wool";
  MinecraftItemTypes2["ZoglinSpawnEgg"] = "minecraft:zoglin_spawn_egg";
  MinecraftItemTypes2["ZombieHorseSpawnEgg"] = "minecraft:zombie_horse_spawn_egg";
  MinecraftItemTypes2["ZombiePigmanSpawnEgg"] = "minecraft:zombie_pigman_spawn_egg";
  MinecraftItemTypes2["ZombieSpawnEgg"] = "minecraft:zombie_spawn_egg";
  MinecraftItemTypes2["ZombieVillagerSpawnEgg"] = "minecraft:zombie_villager_spawn_egg";
  return MinecraftItemTypes2;
})(MinecraftItemTypes || {});

// scripts/Luckyblocks/luckyblock_fishrain.ts
var LuckyBlock_FishRain = class _LuckyBlock_FishRain extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world38.sendMessage("LuckyBlock_DropWool! Weight:" + _LuckyBlock_FishRain.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system38.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let from = Vector3Utils.subtract(atEntity.location, { x: 5, y: 0, z: 5 });
    let to = Vector3Utils.add(atEntity.location, { x: 5, y: 0, z: 5 });
    let ty = atEntity.location.y + 10;
    for (let tx = from.x; tx < to.x; tx++) {
      for (let tz = from.z; tz < to.z; tz++) {
        let pos = { x: tx, y: ty, z: tz };
        atEntity.dimension.spawnEntity(MinecraftEntityTypes.Tropicalfish, pos);
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnflyingpig.ts
import { world as world39, system as system39 } from "@minecraft/server";
var LuckyBlock_FlyingPig = class _LuckyBlock_FlyingPig extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world39.sendMessage("LuckyBlock_FlyingPig! Weight:" + _LuckyBlock_FlyingPig.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system39.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("hoh_luc:flyingpig", hitPosition);
    this.destroyEntity(atEntity);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:flyingpig");
  }
};

// scripts/Luckyblocks/luckyblock_snowday.ts
import { world as world40, system as system40 } from "@minecraft/server";
var LuckyBlock_Snowday = class _LuckyBlock_Snowday extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world40.sendMessage("LuckyBlock_Snowday! Weight:" + _LuckyBlock_Snowday.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system40.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const hitPosition = atEntity.location;
    const size = 5;
    for (let x = size * -1; x <= size; x++) {
      for (let z = size * -1; z <= size; z++) {
        const spawnLocation = { x: hitPosition.x, y: 0 + hitPosition.y, z: hitPosition.z };
        spawnLocation.x = Math.floor(spawnLocation.x) + x;
        spawnLocation.y = Math.round(spawnLocation.y);
        spawnLocation.z = Math.floor(spawnLocation.z) + z;
        atEntity.runCommand("setblock " + spawnLocation.x + " " + spawnLocation.y + " " + spawnLocation.z + " snow_layer keep");
      }
    }
    atEntity.dimension.spawnEntity(MinecraftEntityTypes.SnowGolem, hitPosition);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:snowday");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_friendlycreeper.ts
import { world as world41, system as system41 } from "@minecraft/server";
var LuckyBlock_FriendlyCreeper = class _LuckyBlock_FriendlyCreeper extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world41.sendMessage("LuckyBlock_FriendlyCreeper! Weight:" + _LuckyBlock_FriendlyCreeper.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system41.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const hitPosition = atEntity.location;
    atEntity.dimension.spawnEntity("hoh_luc:friendlycreeper", hitPosition);
    Utilities.DisplayTitleAtClosestPlayers(atEntity, "title.hoh_luc:friendlycreeper");
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_lightningbolt.ts
import { world as world42, system as system42 } from "@minecraft/server";
var LuckyBlock_LightningBolt = class _LuckyBlock_LightningBolt extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world42.sendMessage("LuckyBlock_LightningBolt! Weight:" + _LuckyBlock_LightningBolt.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system42.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:lightning_bolt", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawngiantslime.ts
import { world as world43, system as system43 } from "@minecraft/server";
var LuckyBlock_SpawnGiantSlime = class _LuckyBlock_SpawnGiantSlime extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world43.sendMessage("LuckyBlock_SpawnGiantSlime! Weight:" + _LuckyBlock_SpawnGiantSlime.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system43.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    try {
      atEntity.dimension.spawnEntity("minecraft:slime<spawn_large>", hitPosition);
    } catch (e) {
      try {
        atEntity.dimension.spawnEntity("minecraft:wolf", hitPosition);
      } catch (error) {
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawntrader.ts
import { world as world44, system as system44 } from "@minecraft/server";
var LuckyBlock_SpawnTrader = class _LuckyBlock_SpawnTrader extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world44.sendMessage("LuckyBlock_SpawnTrader! Weight:" + _LuckyBlock_SpawnTrader.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system44.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    let trader = atEntity.dimension.spawnEntity("minecraft:villager_v2", hitPosition);
    const professions = [
      "minecraft:farmer",
      "minecraft:fisherman",
      "minecraft:shepherd",
      "minecraft:fletcher",
      "minecraft:librarian",
      "minecraft:cleric",
      "minecraft:armorer",
      "minecraft:weapon_smith",
      "minecraft:tool_smith",
      "minecraft:butcher",
      "minecraft:leatherworker",
      "minecraft:cartographer",
      "minecraft:mason"
    ];
    const randomIndex = Math.floor(Math.random() * professions.length);
    const randomProfession = professions[randomIndex];
    let villagerData = trader.getComponent("minecraft:entity");
    const villagerNBT = {
      VillagerData: {
        profession: randomProfession,
        level: 32767,
        type: "minecraft:plains"
      }
    };
    if (villagerData !== void 0) {
      villagerData.setComponent("minecraft:entity", villagerNBT);
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_frograin.ts
import { system as system45, world as world45 } from "@minecraft/server";
var LuckyBlock_FrogRain = class _LuckyBlock_FrogRain extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world45.sendMessage("LuckyBlock_FrogRain! Weight:" + _LuckyBlock_FrogRain.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system45.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let from = Vector3Utils.subtract(atEntity.location, { x: 5, y: 0, z: 5 });
    let to = Vector3Utils.add(atEntity.location, { x: 5, y: 0, z: 5 });
    let ty = atEntity.location.y + 10;
    for (let tx = from.x; tx < to.x; tx++) {
      for (let tz = from.z; tz < to.z; tz++) {
        let pos = { x: tx, y: ty, z: tz };
        atEntity.dimension.spawnEntity(MinecraftEntityTypes.Frog, pos);
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnmooshroom.ts
import { world as world46, system as system46 } from "@minecraft/server";
var LuckyBlock_SpawnMooshroom = class _LuckyBlock_SpawnMooshroom extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world46.sendMessage("LuckyBlock_SpawnMooshroom! Weight:" + _LuckyBlock_SpawnMooshroom.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system46.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:mooshroom", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_jokefish.ts
import {
  world as world47,
  system as system47,
  EquipmentSlot as EquipmentSlot3
} from "@minecraft/server";
var LuckyBlock_JokeFish = class _LuckyBlock_JokeFish extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world47.sendMessage("LuckyBlock_JokeFish! Weight:" + _LuckyBlock_JokeFish.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system47.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luc_jokefish\"");
    this.destroyEntity(atEntity);
  }
};
function FishEntityHitEntity(e) {
  const equipmentCompPlayer = e.damagingEntity.getComponent("minecraft:equippable");
  if (equipmentCompPlayer) {
    let itemStack = equipmentCompPlayer.getEquipment(EquipmentSlot3.Mainhand);
    if (itemStack) {
      if (itemStack.typeId == "hoh_luc:jokefish") {
        e.damagingEntity.runCommand("playsound hoh_luc:fishburp @p ~~~ 10 1.3");
      }
    }
  }
}
world47.afterEvents.entityHitEntity.subscribe(FishEntityHitEntity);

// scripts/Luckyblocks/luckyblock_birdparty.ts
import {
  world as world48,
  system as system48,
  ItemStack,
  BlockComponentTypes
} from "@minecraft/server";
var LuckyBlock_BirdParty = class _LuckyBlock_BirdParty extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world48.sendMessage("LuckyBlock_BirdParty! Weight:" + _LuckyBlock_BirdParty.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system48.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const hitPosition = atEntity.location;
    let block = atEntity.dimension.getBlock(atEntity.location);
    if (block) {
      block.setType(MinecraftBlockTypes.Jukebox);
      let bc = block.getComponent(BlockComponentTypes.Inventory);
      if (bc && bc.container) {
        bc.container.addItem(new ItemStack(MinecraftItemTypes.MusicDiscChirp));
      }
    }
    const spawnRadius = 5;
    for (let i = 0; i < 10; i++) {
      const angle = i / 10 * 2 * Math.PI;
      const xOffset = spawnRadius * Math.cos(angle);
      const zOffset = spawnRadius * Math.sin(angle);
      const spawnLocation = { x: xOffset + hitPosition.x, y: 0 + hitPosition.y, z: zOffset + hitPosition.z };
      spawnLocation.x = Math.floor(spawnLocation.x) + 0.5;
      spawnLocation.y = Math.round(spawnLocation.y);
      spawnLocation.z = Math.floor(spawnLocation.z) + 0.5;
      atEntity.dimension.spawnEntity("minecraft:parrot", spawnLocation);
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnchargedcreeper.ts
import { world as world49, system as system49 } from "@minecraft/server";
var LuckyBlock_SpawnChargedCreeper = class _LuckyBlock_SpawnChargedCreeper extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world49.sendMessage("LuckyBlock_SpawnChargedCreeper! Weight:" + _LuckyBlock_SpawnChargedCreeper.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system49.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    try {
      atEntity.dimension.spawnEntity("minecraft:creeper<minecraft:become_charged>", hitPosition);
    } catch (e) {
      try {
        atEntity.dimension.spawnEntity("minecraft:iron_golem", hitPosition);
      } catch (error) {
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_rainbowsheep.ts
import {
  world as world50,
  system as system50
} from "@minecraft/server";
var LuckyBlock_RainbowSheep = class _LuckyBlock_RainbowSheep extends LuckyBlock {
  static weight = 10;
  static color = [
    1,
    2,
    3,
    4,
    5,
    6,
    9,
    10,
    11,
    13,
    14
  ];
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world50.sendMessage("LuckyBlock_RainbowSheep! Weight:" + _LuckyBlock_RainbowSheep.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system50.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const hitPosition = atEntity.location;
    const spawnRadius = 3;
    for (let i = 0; i < 10; i++) {
      const angle = i / 10 * 2 * Math.PI;
      const xOffset = spawnRadius * Math.cos(angle);
      const zOffset = spawnRadius * Math.sin(angle);
      const spawnLocation = { x: xOffset + hitPosition.x, y: 0 + hitPosition.y, z: zOffset + hitPosition.z };
      spawnLocation.x = Math.floor(spawnLocation.x) + 0.5;
      spawnLocation.y = Math.round(spawnLocation.y);
      spawnLocation.z = Math.floor(spawnLocation.z) + 0.5;
      atEntity.dimension.spawnEntity(MinecraftEntityTypes.Sheep, spawnLocation);
      let sheep = atEntity.dimension.getEntitiesAtBlockLocation(spawnLocation);
      try {
        if (sheep) {
          let sc = sheep[0].getComponent("minecraft:color");
          if (sc) {
            let color = _LuckyBlock_RainbowSheep.color[Math.floor(Math.random() * _LuckyBlock_RainbowSheep.color.length)];
            sc.value = color;
          }
        }
      } catch (error) {
      }
    }
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawndinosaur.ts
import { world as world51, system as system51 } from "@minecraft/server";
var LuckyBlock_SpawnDinosaur = class _LuckyBlock_SpawnDinosaur extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world51.sendMessage("LuckyBlock_SpawnDinosaur! Weight:" + _LuckyBlock_SpawnDinosaur.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system51.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("hoh_luc:dinosaur", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnpartydog.ts
import { world as world52, system as system52 } from "@minecraft/server";
var LuckyBlock_SpawnPartyDog = class _LuckyBlock_SpawnPartyDog extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world52.sendMessage("LuckyBlock_SpawnPartyDog! Weight:" + _LuckyBlock_SpawnPartyDog.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system52.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("hoh_luc:party_dog", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawncat.ts
import { world as world53, system as system53 } from "@minecraft/server";
var LuckyBlock_SpawnCat = class _LuckyBlock_SpawnCat extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world53.sendMessage("LuckyBlock_SpawnCat! Weight:" + _LuckyBlock_SpawnCat.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system53.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let hitPosition = atEntity.location;
    hitPosition.x = Math.floor(hitPosition.x) + 0.5;
    hitPosition.y = Math.round(hitPosition.y);
    hitPosition.z = Math.floor(hitPosition.z) + 0.5;
    atEntity.dimension.spawnEntity("minecraft:cat", hitPosition);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_dropbutterflywings.ts
import { world as world54, system as system54, ItemStack as ItemStack2 } from "@minecraft/server";
var LuckyBlock_DropButterflyWings = class _LuckyBlock_DropButterflyWings extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world54.sendMessage("LuckyBlock_DropButterflyWings! Weight:" + _LuckyBlock_DropButterflyWings.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system54.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    let itemToGive = new ItemStack2("hoh_luc:butterfly_wings", 1);
    atEntity.dimension.spawnItem(itemToGive, atEntity.location);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_droprainbowsword.ts
import {
  world as world55,
  system as system55,
  ItemStack as ItemStack3,
  EntityEquippableComponent as EntityEquippableComponent4,
  Player as Player6,
  EquipmentSlot as EquipmentSlot4
} from "@minecraft/server";
var LuckyBlock_DropRainbowSword = class _LuckyBlock_DropRainbowSword extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world55.sendMessage("LuckyBlock_DropRainbowSword! Weight:" + _LuckyBlock_DropRainbowSword.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system55.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const Weapon = new ItemStack3("hoh_luc:rainbow_sword", 1);
    atEntity.dimension.spawnItem(Weapon, atEntity.location);
    this.destroyEntity(atEntity);
  }
  static EntityHitEffect(arg) {
    if (arg.damageSource.damagingEntity instanceof Player6) {
      try {
        const comp = arg.damageSource.damagingEntity?.getComponent(
          EntityEquippableComponent4.componentId
        );
        if (comp) {
          const Inhand = comp.getEquipmentSlot(EquipmentSlot4.Mainhand);
          if (Inhand.typeId == "hoh_luc:rainbow_sword") {
            const position = arg.hurtEntity.location;
            const dimId = arg.hurtEntity.dimension.id;
            system55.runTimeout(() => {
              const eqo = {
                location: position,
                maxDistance: 2,
                excludeTypes: ["item"]
              };
              let entitesOnSpot = world55.getDimension(dimId).getEntities(eqo);
              entitesOnSpot = entitesOnSpot.filter((entity) => entity !== arg.damageSource.damagingEntity);
              world55.getDimension(dimId).spawnParticle("hoh_luc:rainbow_explosion", position);
              world55.getDimension(dimId).playSound("hoh_luc:rainbow_crash", position);
              entitesOnSpot.forEach((entity) => {
                try {
                  if (entity.isValid()) {
                    entity.applyDamage(3);
                  }
                } catch (error) {
                }
              });
            }, 36);
            arg.hurtEntity.dimension.playSound("hoh_luc:rainbow", position);
            arg.hurtEntity.dimension.spawnParticle("hoh_luc:rainbow", arg.hurtEntity.location);
          }
        }
      } catch (error) {
      }
    }
  }
};
world55.afterEvents.entityHurt.subscribe(LuckyBlock_DropRainbowSword.EntityHitEffect);

// scripts/Luckyblocks/luckyblock_dropconfettisword.ts
import { world as world56, system as system56, ItemStack as ItemStack4, EntityEquippableComponent as EntityEquippableComponent5, Player as Player7, EquipmentSlot as EquipmentSlot5 } from "@minecraft/server";
var LuckyBlock_DropConfettisword = class _LuckyBlock_DropConfettisword extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world56.sendMessage("LuckyBlock_DropConfettisword! Weight:" + _LuckyBlock_DropConfettisword.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system56.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const Weapon = new ItemStack4("hoh_luc:party_sword", 1);
    atEntity.dimension.spawnItem(Weapon, atEntity.location);
    this.destroyEntity(atEntity);
  }
  static EntityHitEffect(arg) {
    if (arg.damageSource.damagingEntity instanceof Player7) {
      try {
        const comp = arg.damageSource.damagingEntity?.getComponent(EntityEquippableComponent5.componentId);
        if (comp) {
          const Inhand = comp.getEquipmentSlot(EquipmentSlot5.Mainhand);
          if (Inhand.typeId == "hoh_luc:party_sword") {
            arg.hurtEntity.dimension.spawnParticle("hoh_luc:confettie_small", arg.hurtEntity.location);
            arg.hurtEntity.runCommand("playsound hoh_luc:party_sword_hit @p ~~~ 10 1.3");
          }
        }
      } catch (error) {
      }
    }
  }
};
world56.afterEvents.entityHurt.subscribe(LuckyBlock_DropConfettisword.EntityHitEffect);

// scripts/Luckyblocks/luckyblock_dropluckyarmor.ts
import { world as world57, system as system57, ItemStack as ItemStack5, EntityEquippableComponent as EntityEquippableComponent6, EquipmentSlot as EquipmentSlot6 } from "@minecraft/server";
var LuckyBlock_DropLuckyArmor = class _LuckyBlock_DropLuckyArmor extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world57.sendMessage("LuckyBlock_DropLuckyArmor! Weight:" + _LuckyBlock_DropLuckyArmor.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system57.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const Weapon = new ItemStack5("hoh_luc:rainbow_armor", 1);
    atEntity.dimension.spawnItem(Weapon, atEntity.location);
    this.destroyEntity(atEntity);
  }
  static SpawnParticle(arg) {
    let Interval = system57.runInterval(() => {
      const allplayer = world57.getAllPlayers();
      allplayer.forEach((player) => {
        const comp = player.getComponent(EntityEquippableComponent6.componentId);
        if (comp && comp.isValid()) {
          try {
            const Inhand = comp.getEquipmentSlot(EquipmentSlot6.Chest);
            if (Inhand.isValid() && Inhand.typeId) {
              if (Inhand.typeId == "hoh_luc:rainbow_armor") {
                player.dimension.spawnParticle("hoh_luc:Rainbow_trail", player.location);
              }
            }
          } catch (error) {
          }
        }
      });
    }, 1);
  }
};
world57.afterEvents.worldInitialize.subscribe(LuckyBlock_DropLuckyArmor.SpawnParticle);

// scripts/Luckyblocks/luckyblock_spawnsharkparticle.ts
import { world as world58, system as system58 } from "@minecraft/server";
var LuckyBlock_SpawnSharkParticle = class _LuckyBlock_SpawnSharkParticle extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world58.sendMessage("LuckyBlock_SpawnSharkParticle! Weight:" + _LuckyBlock_SpawnSharkParticle.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system58.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.dimension.spawnParticle("hoh_luc:shark", atEntity.location);
  }
};

// scripts/Luckyblocks/luckyblock_dropinstrumentdrum.ts
import { world as world59, system as system59, ItemStack as ItemStack6 } from "@minecraft/server";
var LuckyBlock_DropInstrumentDrum = class _LuckyBlock_DropInstrumentDrum extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world59.sendMessage("LuckyBlock_DropInstrumentDrum! Weight:" + _LuckyBlock_DropInstrumentDrum.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system59.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const Weapon = new ItemStack6("hoh_luc:party_drum", 1);
    atEntity.dimension.spawnItem(Weapon, atEntity.location);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_dropinstrumentkazoo.ts
import { world as world60, system as system60, ItemStack as ItemStack7 } from "@minecraft/server";
var LuckyBlock_DropInstrumentKazoo = class _LuckyBlock_DropInstrumentKazoo extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world60.sendMessage("LuckyBlock_DropInstrumentKazoo! Weight:" + _LuckyBlock_DropInstrumentKazoo.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system60.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const Weapon = new ItemStack7("hoh_luc:party_kazoo", 1);
    atEntity.dimension.spawnItem(Weapon, atEntity.location);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_dropinstrumenttrumpet.ts
import { world as world61, system as system61, ItemStack as ItemStack8 } from "@minecraft/server";
var LuckyBlock_DropInstrumentTrumpet = class _LuckyBlock_DropInstrumentTrumpet extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world61.sendMessage("LuckyBlock_DropInstrumentTrumpet! Weight:" + _LuckyBlock_DropInstrumentTrumpet.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system61.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    const Weapon = new ItemStack8("hoh_luc:party_trumpet", 1);
    atEntity.dimension.spawnItem(Weapon, atEntity.location);
    this.destroyEntity(atEntity);
  }
};

// scripts/Luckyblocks/luckyblock_spawnparticlebanana.ts
import { world as world62, system as system62 } from "@minecraft/server";
var LuckyBlock_SpawnParticleBanana = class _LuckyBlock_SpawnParticleBanana extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world62.sendMessage("LuckyBlock_SpawnParticleBanana! Weight:" + _LuckyBlock_SpawnParticleBanana.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system62.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.dimension.spawnParticle("hoh_luc:banana", atEntity.location);
  }
};

// scripts/Luckyblocks/luckyblock_spawnparticlecandy.ts
import { world as world63, system as system63 } from "@minecraft/server";
var LuckyBlock_SpawnParticleCandy = class _LuckyBlock_SpawnParticleCandy extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world63.sendMessage("LuckyBlock_SpawnParticleCandy! Weight:" + _LuckyBlock_SpawnParticleCandy.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system63.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.dimension.spawnParticle("hoh_luc:candy", atEntity.location);
  }
};

// scripts/Luckyblocks/luckyblock_spawnparticlecat.ts
import { world as world64, system as system64 } from "@minecraft/server";
var LuckyBlock_SpawnParticleCat = class _LuckyBlock_SpawnParticleCat extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world64.sendMessage("LuckyBlock_SpawnParticleCat! Weight:" + _LuckyBlock_SpawnParticleCat.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system64.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.dimension.spawnParticle("hoh_luc:cat", atEntity.location);
  }
};

// scripts/Luckyblocks/luckyblock_spawnparticlechicken.ts
import { world as world65, system as system65 } from "@minecraft/server";
var LuckyBlock_SpawnParticleChicken = class _LuckyBlock_SpawnParticleChicken extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world65.sendMessage("LuckyBlock_SpawnParticleChicken! Weight:" + _LuckyBlock_SpawnParticleChicken.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system65.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.dimension.spawnParticle("hoh_luc:chicken", atEntity.location);
  }
};

// scripts/Luckyblocks/luckyblock_spawnparticledinosuarpart.ts
import { world as world66, system as system66 } from "@minecraft/server";
var LuckyBlock_SpawnParticleDinosaurPart = class _LuckyBlock_SpawnParticleDinosaurPart extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world66.sendMessage("LuckyBlock_SpawnParticleDinosaurPart! Weight:" + _LuckyBlock_SpawnParticleDinosaurPart.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system66.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.dimension.spawnParticle("hoh_luc:dinosuarpart", atEntity.location);
  }
};

// scripts/Luckyblocks/luckyblock_spawnparticlelollipop.ts
import { world as world67, system as system67 } from "@minecraft/server";
var LuckyBlock_SpawnParticleLollipop = class _LuckyBlock_SpawnParticleLollipop extends LuckyBlock {
  static weight = 10;
  Trigger(atEntity) {
    if (LuckyBlock.debug == true) {
      world67.sendMessage("LuckyBlock_SpawnParticleLollipop! Weight:" + _LuckyBlock_SpawnParticleLollipop.weight);
    }
    atEntity.runCommand("event entity @s open_block");
    atEntity.addTag("luckyblock_triggered");
    system67.runTimeout(() => {
      this.DelayActivate(atEntity);
    }, LuckyBlock.DelayTrigger);
  }
  DelayActivate(atEntity) {
    atEntity.dimension.spawnParticle("hoh_luc:lollipop", atEntity.location);
  }
};

// scripts/luckyblock_handler.ts
var LuckyBlock_Handler = class _LuckyBlock_Handler {
  static lastLuckyBlock;
  static DebugCount = 0;
  static GetRandomLuckyBlock(atEntity) {
    if (LuckyBlock.debug) {
      const dsubclass = LuckyBlock.Hsubclassees[this.DebugCount];
      const dlcblock = new dsubclass();
      _LuckyBlock_Handler.DebugCount++;
      if (_LuckyBlock_Handler.DebugCount >= LuckyBlock.Hsubclassees.length) {
        _LuckyBlock_Handler.DebugCount = 0;
      }
      return dlcblock;
    }
    let tempArr = LuckyBlock.Hsubclassees;
    for (let i = tempArr.length - 1; i > 0; i--) {
      const j = Math.floor(Math.random() * (i + 1));
      [tempArr[i], tempArr[j]] = [tempArr[j], tempArr[i]];
    }
    const totalWeight = LuckyBlock.Hsubclassees.reduce((total, subclass) => total + subclass.weight, 0);
    const randomNumber = Math.floor(Math.random() * totalWeight);
    let cumulativeWeight = 0;
    for (let subclass of tempArr) {
      cumulativeWeight += subclass.weight;
      if (randomNumber <= cumulativeWeight) {
        if (subclass === _LuckyBlock_Handler.lastLuckyBlock) {
          continue;
        }
        const lcblock = new subclass();
        if (!lcblock.CheckIfValid(atEntity)) {
          continue;
        }
        _LuckyBlock_Handler.lastLuckyBlock = subclass;
        return lcblock;
      }
    }
    return new LuckyBlock_DropLuckyBlocks();
  }
};
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnCow);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnDonkey);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnBee);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnChicken);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnRabbit);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnCreeper);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnWolf);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnHorse);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnSkeletonHorse);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnSlime);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnBoat);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnGhast);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnMooshroom);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnGiantSlime);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnTrader);
LuckyBlock.Hsubclassees.push(LuckyBlock_LightningBolt);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnChargedCreeper);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnCat);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnSkeletonArmy);
LuckyBlock.Hsubclassees.push(LuckyBlock_FishRain);
LuckyBlock.Hsubclassees.push(LuckyBlock_Snowday);
LuckyBlock.Hsubclassees.push(LuckyBlock_FrogRain);
LuckyBlock.Hsubclassees.push(LuckyBlock_BirdParty);
LuckyBlock.Hsubclassees.push(LuckyBlock_GravityShift);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectPower);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectNausea);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectMiningPower);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectSpeed);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectNightVision);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectBlindness);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectFireResist);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectJumpBoost);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveEffectAbsorption);
LuckyBlock.Hsubclassees.push(LuckyBlock_ChangeDay);
LuckyBlock.Hsubclassees.push(LuckyBlock_ChangeWeatherClear);
LuckyBlock.Hsubclassees.push(LuckyBlock_ChangeWeatherThunder);
LuckyBlock.Hsubclassees.push(LuckyBlock_HappyBirthDay);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropConfettisword);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropLuckyArmor);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnSharkParticle);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropInstrumentDrum);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropInstrumentKazoo);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropInstrumentTrumpet);
LuckyBlock.Hsubclassees.push(LuckyBlock_LaunchPlayerUp);
LuckyBlock.Hsubclassees.push(Luckyblock_GivePlayerSuperKnockbackStick);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropLuckyBlocks);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropHotPotato);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpecialCookie);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveCustomEffectWitherAura);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveCustomEffectSpin);
LuckyBlock.Hsubclassees.push(LuckyBlock_GiveCustomEffectKnockbackAura);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnPartyPig);
LuckyBlock.Hsubclassees.push(LuckyBlock_FlyingPig);
LuckyBlock.Hsubclassees.push(LuckyBlock_JokeFish);
LuckyBlock.Hsubclassees.push(LuckyBlock_FriendlyCreeper);
LuckyBlock.Hsubclassees.push(LuckyBlock_RainbowSheep);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnDinosaur);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnPartyDog);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropButterflyWings);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnParticleBanana);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnParticleCandy);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnParticleCat);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnParticleChicken);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnParticleDinosaurPart);
LuckyBlock.Hsubclassees.push(LuckyBlock_SpawnParticleLollipop);
LuckyBlock.Hsubclassees.push(LuckyBlock_DropRainbowSword);

// scripts/lootHandler.ts
import { world as world68, ItemStack as ItemStack9 } from "@minecraft/server";

// scripts/lootData.ts
var LootData = class {
  static entityLootData = [
    {
      id: "minecraft:skeleton",
      drops: [
        {
          dropid: "hoh_luc:party_dust",
          dropChance: 0.15,
          amount: 1,
          dimension: [
            MinecraftDimensionTypes.Overworld,
            MinecraftDimensionTypes.Nether,
            MinecraftDimensionTypes.TheEnd
          ]
        }
      ]
    },
    {
      id: "minecraft:creeper",
      drops: [
        {
          dropid: "hoh_luc:party_dust",
          dropChance: 0.15,
          amount: 1,
          dimension: [
            MinecraftDimensionTypes.Overworld,
            MinecraftDimensionTypes.Nether,
            MinecraftDimensionTypes.TheEnd
          ]
        }
      ]
    },
    {
      id: "minecraft:zombie",
      drops: [
        {
          dropid: "hoh_luc:party_dust",
          dropChance: 0.15,
          amount: 1,
          dimension: [
            MinecraftDimensionTypes.Overworld,
            MinecraftDimensionTypes.Nether,
            MinecraftDimensionTypes.TheEnd
          ]
        }
      ]
    },
    {
      id: "minecraft:spider",
      drops: [
        {
          dropid: "hoh_luc:party_dust",
          dropChance: 0.15,
          amount: 1,
          dimension: [
            MinecraftDimensionTypes.Overworld,
            MinecraftDimensionTypes.Nether,
            MinecraftDimensionTypes.TheEnd
          ]
        }
      ]
    }
  ];
};

// scripts/lootHandler.ts
var LootHandler = class _LootHandler {
  static entityDataMap = /* @__PURE__ */ new Map();
  static Initialize() {
    LootData.entityLootData.forEach((val) => {
      _LootHandler.addEntityData(val);
    });
    world68.afterEvents.entityDie.subscribe(_LootHandler.EntityDied);
  }
  static addEntityData(et) {
    if (_LootHandler.entityDataMap.has(et.id)) {
      const arr = _LootHandler.entityDataMap.get(et.id);
      arr.concat(et.drops);
    } else {
      _LootHandler.entityDataMap.set(et.id, et.drops);
    }
  }
  static getEntityData(entityId) {
    return _LootHandler.entityDataMap.get(entityId);
  }
  static removeEntityData(entityId) {
    _LootHandler.entityDataMap.delete(entityId);
  }
  static getRandomItemFromDropData(arr) {
    for (const drop of arr) {
      if (Math.random() <= drop.dropChance) {
        return drop;
      }
    }
    return void 0;
  }
  static EntityDied(arg) {
    const ExtraLoot = _LootHandler.getEntityData(arg.deadEntity.typeId);
    if (ExtraLoot == void 0 || ExtraLoot.length === 0) {
      return;
    }
    let filterdArr = [];
    ExtraLoot.forEach((loot) => {
      if (loot.dimension.includes(arg.deadEntity.dimension.id)) {
        filterdArr.push(loot);
      }
    });
    if (filterdArr.length === 0) {
      return;
    }
    for (let i = filterdArr.length - 1; i > 0; i--) {
      const j = Math.floor(Math.random() * (i + 1));
      [filterdArr[i], filterdArr[j]] = [filterdArr[j], filterdArr[i]];
    }
    const drop = _LootHandler.getRandomItemFromDropData(filterdArr);
    if (drop) {
      const itemStack = new ItemStack9(drop.dropid, drop.amount);
      world68.getDimension(arg.deadEntity.dimension.id).spawnItem(itemStack, arg.deadEntity.location);
    }
  }
};

// scripts/main.ts
LootHandler.Initialize();
function destroyEntity(e) {
  system68.runTimeout(() => {
    if (e && e.isValid())
      e.remove();
  }, 2);
}
function entityKillEntity(e) {
  if (e.deadEntity instanceof Player12) {
    return;
  }
  const damagingEntity = e.damageSource.damagingEntity;
  if (damagingEntity) {
    const equipmentCompPlayer = damagingEntity.getComponent("minecraft:equippable");
    if (equipmentCompPlayer) {
      let itemStack = equipmentCompPlayer.getEquipment(EquipmentSlot10.Mainhand);
      if (itemStack) {
        const withWand = itemStack.typeId == "hoh_luc:magic_wand_wood" || itemStack.typeId == "hoh_luc:magic_wand_iron" || itemStack.typeId == "hoh_luc:magic_wand_diamond" || itemStack.typeId == "hoh_luc:magic_wand_netherite";
        if (e.deadEntity.typeId == "hoh_luc:lucky_block" && !e.deadEntity.hasTag("luckyblock_triggered")) {
          LuckyBlock_Handler.GetRandomLuckyBlock(e.deadEntity).Trigger(e.deadEntity);
        } else if (withWand && e.deadEntity.typeId != "minecraft:player" && e.deadEntity.typeId != "hoh_luc:lucky_block") {
          try {
            let hitPosition = e.deadEntity.location;
            hitPosition.x = Math.floor(hitPosition.x) + 0.5;
            hitPosition.y = Math.round(hitPosition.y);
            hitPosition.z = Math.floor(hitPosition.z) + 0.5;
            e.deadEntity.dimension.spawnEntity("hoh_luc:lucky_block", hitPosition);
            destroyEntity(e.deadEntity);
          } catch (error) {
          }
        }
      }
    }
  }
}
world69.afterEvents.entityDie.subscribe(entityKillEntity);
function entityEventTriggered(e) {
  if (e.entity.typeId == "hoh_luc:lucky_block" && e.entity.isValid() && !e.entity.hasTag("luckyblock_triggered")) {
    LuckyBlock_Handler.GetRandomLuckyBlock(e.entity).Trigger(e.entity);
  }
}
world69.afterEvents.dataDrivenEntityTrigger.subscribe(entityEventTriggered);
function PlayerSpawned3(arg) {
  if (!arg.player.hasTag("hoh_luc:welcomed")) {
    arg.player.runCommand("loot spawn ~~~ loot \"HoH/luc/hoh_luck_infobook\"");
    arg.player.addTag("hoh_luc:welcomed");
  }
}
world69.afterEvents.playerSpawn.subscribe(PlayerSpawned3);
world69.afterEvents.entityDie.subscribe((arg) => {
  if (!(arg.damageSource.damagingEntity instanceof Player12)) {
    return;
  }
  let equipmentCompPlayer = arg.damageSource.damagingEntity.getComponent(EntityComponentTypes.Equippable);
  let itemStack = equipmentCompPlayer.getEquipment(EquipmentSlot10.Mainhand);
  if (!itemStack) {
    return;
  }
  let props = itemStack.getDynamicPropertyIds();
  if (props.length <= 0) {
    return;
  }
  if (props.includes("hoh_luc_midas")) {
    arg.deadEntity.dimension.spawnItem(
      new ItemStack10(MinecraftItemTypes.GoldIngot, Math.floor(Utilities.RandomIntInRange(1, 20))),
      arg.deadEntity.location
    );
  }
});
world69.afterEvents.entityHitEntity.subscribe((arg) => {
  if (!(arg.damagingEntity instanceof Player12)) {
    return;
  }
  let equipmentCompPlayer = arg.damagingEntity.getComponent(
    EntityComponentTypes.Equippable
  );
  let itemStack = equipmentCompPlayer.getEquipment(EquipmentSlot10.Mainhand);
  if (!itemStack) {
    return;
  }
  let props = itemStack.getDynamicPropertyIds();
  if (props.length <= 0) {
    return;
  }
  if (props.includes("hoh_luc_elementalaxe")) {
    let state = itemStack.getDynamicProperty("hoh_luc_elementalaxe");
    if (state === 0) {
      arg.hitEntity.dimension.spawnEntity(MinecraftEntityTypes.LightningBolt, arg.hitEntity.location);
      itemStack.setDynamicProperty("hoh_luc_elementalaxe", state + 1);
    } else if (state === 1) {
      arg.damagingEntity.addEffect(MinecraftEffectTypes.InstantHealth, 1, { amplifier: 10, showParticles: false });
      itemStack.setDynamicProperty("hoh_luc_elementalaxe", state + 1);
    } else if (state === 2) {
      let diff = Vector3Utils.subtract(arg.hitEntity.location, arg.damagingEntity.location);
      let magnitude = Vector3Utils.magnitude(diff);
      let dir = { x: diff.x / magnitude, y: diff.y / magnitude, z: diff.z / magnitude };
      arg.hitEntity.applyImpulse(dir);
      itemStack.setDynamicProperty("hoh_luc_elementalaxe", state + 1);
    } else if (state === 3) {
      arg.damagingEntity.addEffect(MinecraftEffectTypes.Absorption, 60, { amplifier: 2, showParticles: false });
      itemStack.setDynamicProperty("hoh_luc_elementalaxe", 0);
    }
    equipmentCompPlayer.setEquipment(EquipmentSlot10.Mainhand, itemStack);
  }
});
system68.runInterval(() => {
  world69.getAllPlayers().forEach((player) => {
    PotionCheck(player);
    ButterflyWingsCheck(player);
  });
}, 1);
function PotionCheck(player) {
  try {
    const inventoryCompPlayer = player.getComponent("minecraft:inventory");
    const inventoryContainer = inventoryCompPlayer.container;
    const inventorySize = inventoryContainer.size;
    for (let index = 0; index < inventorySize; index++) {
      let slot = inventoryContainer.getSlot(index);
      if (slot.hasItem()) {
        let prop = slot.getDynamicProperty("hoh_luc_potionfountain");
        if (prop) {
          slot.setItem();
          world69.gameRules.sendCommandFeedback = false;
          player.runCommand(prop);
          world69.gameRules.sendCommandFeedback = true;
        }
      }
    }
  } catch (error) {
  }
}
function ButterflyWingsCheck(player) {
  const equipmentCompPlayer = player.getComponent(
    EntityComponentTypes.Equippable
  );
  const itemStack = equipmentCompPlayer.getEquipment(EquipmentSlot10.Chest);
  if (!itemStack || itemStack.typeId !== "hoh_luc:butterfly_wings") {
    return;
  }
  player.addEffect(MinecraftEffectTypes.SlowFalling, 200, { showParticles: false, amplifier: 1 });
}

//# sourceMappingURL=../debug/main.js.map
